#! /bin/python
import re
prog='schedule2'
#------------------------------------------
def readnumbers(f):
  a=[]
  f=open(f,'r')
  for line in f:
    m=re.search('^\s*[0-9]+', line)
    if m != None:
      s=m.group(0)
      s=s.strip()
      #print(s)
      a.append(int(s))
  f.close()
  return a
#------------------------------------------
def getlinecov(f):
  a=[]
  f=open(f,'r')
  for line in f:
    m=re.search('^\s*[0-9]+:', line)
    if m != None:
      #s=m.group(0)
      s=line.strip()#s.strip()
      parts=s.split(':')
      s=parts[1]      
      s=s.strip()
      if len(s)>0:
        #print(s)
        a.append(int(s))
  f.close()
  return a

#------------------------------------------ 
tkill=readnumbers('testkill')
mline=readnumbers('%s.c.MutantDescs.txt'%(prog))
#print(mline)
md=dict()
for m in mline:
  if m in md:
    md[m] += 1
    #print('jk')
  else:
    md[m] = 1

for i in range(1,2711):
  gcovfile='%s.c.gcov.%d'%(prog,i)
  lc=getlinecov(gcovfile)
  #print(lc)
  hit=0
  for l in lc:
    if l in md:
      hit = hit+md[l]
  print(tkill[i-1]/(0.0+hit))
  




#cat replace.c.gcov | grep -E "^\s*[0-9]+:" -n | cut -f1 -d: | tr -d ' '
