#! bin/bash
segid=$1

prog=schedule2
gcc -o ../source/$prog.exe ../source/$prog.c
rm ../outputs/* -rf
mkdir ../outputs/oracle
bash runalltimeout.sh
mv ../outputs/t* ../outputs/oracle/

echo -n "" > mukill

end=`ls ../mutants/mutant*.c|wc -l`
start=1
echo $start
echo $end
for mi in $(seq $start $end)
do
    mufile=`printf "../mutants/mutant1%05d_$prog.c" $mi`
    rm ../source/$prog.exe
    gcc -o ../source/$prog.exe $mufile
    if [ -e ../source/$prog.exe ]; then
      rm ../outputs/t*    
      bash runalltimeout.sh
      for i in {1..2710}
      do
        if [ -e ../outputs/t$i ]; then
            dr=`diff ../outputs/oracle/t$i ../outputs/t$i | wc -l`
            if [ $dr -eq 0 ]; then
                echo -n "0," >> mukill
            else
                echo -n "1," >> mukill
            fi
        else
            echo -n "1," >> mukill
        fi
 
      done
      echo "" >> mukill
    fi
done

cat mukill >> /nfs/stak/students/z/zhangch/public_html/mukill_$prog
