oldmymethoddirs={
    '/media/148C54428C542112/ISSTA2013DATA/covbasedtestcasedata/schedule', ...   
 	'/media/148C54428C542112/ISSTA2013DATA/covbasedtestcasedata/schedule2', ...
    '/media/148C54428C542112/ISSTA2013DATA/covbasedtestcasedata/replace', ...
    '/media/148C54428C542112/ISSTA2013DATA/covbasedtestcasedata/printtokens',...
    '/media/148C54428C542112/ISSTA2013DATA/covbasedtestcasedata/printtokens2',... 
    '/media/148C54428C542112/ISSTA2013DATA/covbasedtestcasedata/tcas',...
    '/media/148C54428C542112/ISSTA2013DATA/covbasedtestcasedata/totinfo_2.0', ...
    '/media/148C54428C542112/ISSTA2013DATA/covbasedtestcasedata/space', ...
    '/media/148C54428C542112/ISSTA2013DATA/covbasedtestcasedata/yaffs2tester',...
	'/media/148C54428C542112/ISSTA2013DATA/covbasedtestcasedata/sglibtester',...
    '/media/148C54428C542112/ISSTA2013DATA/covbasedtestcasedata/SQLite'
    };
oldalldirs={
    '/media/148C54428C542112/ISSTA2013DATA/correlationdata/schedule', ...   
 	'/media/148C54428C542112/ISSTA2013DATA/correlationdata/schedule2', ...
    '/media/148C54428C542112/ISSTA2013DATA/correlationdata/replace', ...
    '/media/148C54428C542112/ISSTA2013DATA/correlationdata/printtokens',...
    '/media/148C54428C542112/ISSTA2013DATA/correlationdata/printtokens2',... 
    '/media/148C54428C542112/ISSTA2013DATA/correlationdata/tcas',...
    '/media/148C54428C542112/ISSTA2013DATA/correlationdata/totinfo_2.0', ...
    '/media/148C54428C542112/ISSTA2013DATA/correlationdata/space', ...
    '/media/148C54428C542112/ISSTA2013DATA/correlationdata/yaffs2tester',...
	'/media/148C54428C542112/ISSTA2013DATA/correlationdata/sglibtester',...
    '/media/148C54428C542112/ISSTA2013DATA/correlationdata/SQLite'
    };


subdirs = { 
    'subjects/schedule/scripts/', ...   
 	'subjects/schedule2/scripts/', ...
    'subjects/replace/scripts/', ...
    'subjects/printtokens/scripts/',...
    'subjects/printtokens2/scripts/', ...
    'subjects/tcas/scripts/',...
    'subjects/totinfo_2.0/totinfo/scripts/', ...
    'subjects/space/source/', ...
    'subjects/yaffs2tester/w200/coverage',...    
	'subjects/sglibtester/experiment/rbtree/',...
    'subjects/SQLite-7fac56ed9feda819/'
    };

prognames = {
'ScheduleOn',...
'ScheduleTw',...
'Replace',...
'PrinttokensOn',...
'PrinttokensTw',...
'Tcas',...
'Totinfo',...
'SPACE',...
'YAFFS',...
'Siglib',...
'SQLite'
};

colnames= { 'SIZES','MUTANS','BC','SC','IMP','PMIT','PCTBB','PCTST','DBB' };

all=[];

for subidx = 1:11%size(subnames,2)
  
  linecov=load(sprintf('%s/mymethodcov_line',char(subdirs(subidx))));
  linesize=load(sprintf('%s/allcov_line',char(subdirs(subidx))));
  dbbcov=load(sprintf('%s/dbb_covbased',char(subdirs(subidx))));
  dbbsize=load(sprintf('%s/dbb',char(subdirs(subidx))));

  oldmymethod=load(sprintf('%s/allcov',char(oldmymethoddirs(subidx))));
  oldall=load(sprintf('%s/allcov',char(oldalldirs(subidx))));
  
  r=[];
  
  % mymethod first
  % size
  r=[r; linecov(:,1)'];
  % mutants
  r=[r; linecov(:,end)'];
  % branch
  r=[r; oldmymethod(:,3)'];
  % statement
  r=[r; linecov(:,2)'];
  % imp
  r=[r; oldmymethod(:,6)'];  
  % aimp
  r=[r; oldmymethod(:,7)'];
  % pctbb
  r=[r; oldmymethod(:,4)'];  
  % pctst
  r=[r; oldmymethod(:,5)'];
  % dbb
  r=[r;dbbcov(:,2)'];
   
  progname=char(prognames(subidx));
  fid=fopen(sprintf('C/mymethod/%s-Supersi-rscript-kendall-we.log',progname),'w+');
  for j =1:size(colnames,2)
    colname=char(colnames(j));
    s=sprintf('%d',r(j,1));
    for i=2:size(r,2)
      s=sprintf('%s, %d',s,r(j,i));
    end;
    s=sprintf('%s = c(%s)\n',colname,s);
    fprintf(fid,s);
  end
  fclose(fid);
  
  r=[];
  size(linesize)
  
  if subidx==11
      maxrow=size(linesize(:,1));
  else
      maxrow=5000;     
  end;
  % namin second
  % size
  r=[r; linesize(1:maxrow,1)'];
  % mutants
  r=[r; linesize(1:maxrow,end)'];
  % branch
  r=[r; oldall(1:maxrow,3)'];
  % statement
  r=[r; linesize(1:maxrow,2)'];
  % imp
  r=[r; oldall(1:maxrow,6)'];  
  % aimp
  r=[r; oldall(1:maxrow,7)'];
  % pctbb
  r=[r; oldall(1:maxrow,4)'];  
  % pctst
  r=[r; oldall(1:maxrow,5)'];
  % dbb
  r=[r;dbbsize(1:maxrow,2)'];
   
  progname=char(prognames(subidx));
  fid=fopen(sprintf('C/namin/%s-Supersi-rscript-kendall-namin.log',progname),'w+');
  for j =1:size(colnames,2)
    colname=char(colnames(j));
    s=sprintf('%d',r(j,1));
    for i=2:size(r,2)
      s=sprintf('%s, %d',s,r(j,i));
    end;
    s=sprintf('%s = c(%s)\n',colname,s);
    fprintf(fid,s);
  end
  fclose(fid);
  
end
