subnames = {'Printtokens','Printtokens2',...
    'Schedule','Schedule2',...
    'Replace','Totinfo','Space',...
	};

subdirs = { 'subjects/printtokens/scripts/',...
    'subjects/printtokens2/scripts/', ...
    'subjects/schedule/scripts/', ...   
 	'subjects/schedule2/scripts/', ...
    'subjects/replace/scripts/', ...
    'subjects/totinfo_2.0/totinfo/scripts/', ...
    'subjects/tcas/scripts/',...
    'subjects/yaffs2tester/w200/coverage',...
    'subjects/space/source/', ...
	'subjects/sglibtester/experiment/rbtree/'
    };

%fsrsquare=fopen('fsrsquare_new','w+');
%fskendall=fopen('fskendall_new','w+');
% headers
%fprintf(fsrsquare, 'Size Block Branch PCT(BB) PCT(ST) Path TPath');
%fprintf(fskendall, 'Size Block Branch PCT(BB) PCT(ST) Path TPath');
all=[];
for subidx = 1:10%size(subnames,2)
   r=[];
  linecov=load(sprintf('%s/mymethodcov_line',char(subdirs(subidx))));
  linesize=load(sprintf('%s/allcov_line',char(subdirs(subidx))));
  dbbcov=load(sprintf('%s/dbb_covbased',char(subdirs(subidx))));
  dbbsize=load(sprintf('%s/dbb',char(subdirs(subidx))));
subidx
    x=corr(linecov(:,end), dbbcov(:,2),'type','Kendall');
	%display(sprintf('%.3f',x));
    r=[r,x];
	
    x=corr(linesize(:,end), dbbsize(:,2),'type','Kendall');
	%display(sprintf('%.3f',x));
    r=[r,x];
	stats=regstats(linecov(:,end),[dbbcov(:,2)],'linear',{'rsquare'});
	x=stats.rsquare;
	%display(sprintf('%.3f',x));
    r=[r,x];
	stats=regstats(linesize(:,end),[dbbsize(:,2)],'linear',{'rsquare'});
	x=stats.rsquare;
	%display(sprintf('%.3f',x));
    r=[r,x];
	stats=regstats(linecov(:,end),[dbbcov(:,2), dbbcov(:,1)],'linear',{'rsquare'});
	x=stats.rsquare;
	%display(sprintf('%.3f',x));
    r=[r,x];
	stats=regstats(linesize(:,end),[dbbsize(:,2), dbbsize(:,1)],'linear',{'rsquare'});
	x=stats.rsquare;
	%display(sprintf('%.3f',x));
    r=[r,x];
	stats=regstats(linecov(:,end),[dbbcov(:,2), log(dbbcov(:,1))],'linear',{'rsquare'});
	x=stats.rsquare;
	%display(sprintf('%.3f',x));
    r=[r,x];
	stats=regstats(linesize(:,end),[dbbsize(:,2), log(dbbsize(:,1))],'linear',{'rsquare'});
	x=stats.rsquare;
	%display(sprintf('%.3f',x));
    r=[r,x];
    
    all=[all;r];
    
    %all
end

fdbb=fopen('fdbbcorr.csv','w+');

for i =1:size(all,1)
   for j=1:size(all,2)
        fprintf(fdbb,' %.3f,', all(i,j));        
   end;
   fprintf(fdbb,'\n');
end
fclose(fdbb);
