# 1 "./schedule.cil.c"
# 1 "<built-in>"
# 1 "<command-line>"
# 1 "./schedule.cil.c"



typedef unsigned long size_t;
typedef long __off_t;
typedef long __off64_t;
struct _IO_FILE;
struct _IO_FILE;
typedef struct _IO_FILE FILE;
struct _IO_FILE;
typedef void _IO_lock_t;
struct _IO_marker {
   struct _IO_marker *_next ;
   struct _IO_FILE *_sbuf ;
   int _pos ;
};
struct _IO_FILE {
   int _flags ;
   char *_IO_read_ptr ;
   char *_IO_read_end ;
   char *_IO_read_base ;
   char *_IO_write_base ;
   char *_IO_write_ptr ;
   char *_IO_write_end ;
   char *_IO_buf_base ;
   char *_IO_buf_end ;
   char *_IO_save_base ;
   char *_IO_backup_base ;
   char *_IO_save_end ;
   struct _IO_marker *_markers ;
   struct _IO_FILE *_chain ;
   int _fileno ;
   int _flags2 ;
   __off_t _old_offset ;
   unsigned short _cur_column ;
   signed char _vtable_offset ;
   char _shortbuf[1] ;
   _IO_lock_t *_lock ;
   __off64_t _offset ;
   void *__pad1 ;
   void *__pad2 ;
   void *__pad3 ;
   void *__pad4 ;
   size_t __pad5 ;
   int _mode ;
   char _unused2[(15UL * sizeof(int ) - 4UL * sizeof(void *)) - sizeof(size_t )] ;
};
struct _job {
   struct _job *next ;
   struct _job *prev ;
   int val ;
   short priority ;
};
typedef struct _job Ele;
struct list {
   Ele *first ;
   Ele *last ;
   int mem_count ;
};
typedef struct list List;
extern struct _IO_FILE *stdin ;
extern struct _IO_FILE *stdout ;
extern int fprintf(FILE * __restrict __stream , char const * __restrict __format
                   , ...) ;
extern int fscanf(FILE * __restrict __stream , char const * __restrict __format
                  , ...) __asm__("__isoc99_fscanf") ;
extern int ( malloc)() ;
Ele *new_ele(int new_num )
{ Ele *ele ;
  int tmp ;

  {
  __cil_begin_pred_values(0, "./schedule.i", "new_ele");
  tmp = malloc(sizeof(Ele ));
  __cil_begin_pred_values(1, "./schedule.i", "new_ele");
  ele = (Ele *)tmp;
  __cil_begin_pred_values(2, "./schedule.i", "new_ele");
  ele->next = (struct _job *)0;
  __cil_begin_pred_values(3, "./schedule.i", "new_ele");
  ele->prev = (struct _job *)0;
  __cil_begin_pred_values(4, "./schedule.i", "new_ele");
  ele->val = new_num;
  __cil_begin_pred_values(5, "./schedule.i", "new_ele");
  return (ele);
}
}
List *new_list(void)
{ List *list ;
  int tmp ;

  {
  __cil_begin_pred_values(6, "./schedule.i", "new_list");
  tmp = malloc(sizeof(List ));
  __cil_begin_pred_values(7, "./schedule.i", "new_list");
  list = (List *)tmp;
  __cil_begin_pred_values(8, "./schedule.i", "new_list");
  list->first = (Ele *)0;
  __cil_begin_pred_values(9, "./schedule.i", "new_list");
  list->last = (Ele *)0;
  __cil_begin_pred_values(10, "./schedule.i", "new_list");
  list->mem_count = 0;
  __cil_begin_pred_values(11, "./schedule.i", "new_list");
  return (list);
}
}
List *append_ele(List *a_list , Ele *a_ele )
{

  {
  __cil_begin_pred_values(12, "./schedule.i", "append_ele");
  __cil_add_pred_value(0, "a_list != 0", a_list != 0);
  __cil_add_pred_value(1, "! a_list", ! a_list);
  if (! a_list) {
    __cil_begin_pred_values(19, "./schedule.i", "append_ele");
    __cil_add_pred_value(14, "a_list != 0", a_list != 0);
    __cil_add_pred_value(15, "! a_list", ! a_list);
    a_list = new_list();
  }
  __cil_begin_pred_values(13, "./schedule.i", "append_ele");
  __cil_add_pred_value(2, "a_list != 0", a_list != 0);
  __cil_add_pred_value(3, "! a_list", ! a_list);
  a_ele->prev = a_list->last;
  __cil_begin_pred_values(14, "./schedule.i", "append_ele");
  __cil_add_pred_value(4, "a_list != 0", a_list != 0);
  __cil_add_pred_value(5, "! a_list", ! a_list);
  if (a_list->last) {
    __cil_begin_pred_values(20, "./schedule.i", "append_ele");
    __cil_add_pred_value(16, "a_list != 0", a_list != 0);
    __cil_add_pred_value(17, "! a_list", ! a_list);
    (a_list->last)->next = a_ele;
  } else {
    __cil_begin_pred_values(21, "./schedule.i", "append_ele");
    __cil_add_pred_value(18, "a_list != 0", a_list != 0);
    __cil_add_pred_value(19, "! a_list", ! a_list);
    a_list->first = a_ele;
  }
  __cil_begin_pred_values(15, "./schedule.i", "append_ele");
  __cil_add_pred_value(6, "a_list != 0", a_list != 0);
  __cil_add_pred_value(7, "! a_list", ! a_list);
  a_list->last = a_ele;
  __cil_begin_pred_values(16, "./schedule.i", "append_ele");
  __cil_add_pred_value(8, "a_list != 0", a_list != 0);
  __cil_add_pred_value(9, "! a_list", ! a_list);
  a_ele->next = (struct _job *)0;
  __cil_begin_pred_values(17, "./schedule.i", "append_ele");
  __cil_add_pred_value(10, "a_list != 0", a_list != 0);
  __cil_add_pred_value(11, "! a_list", ! a_list);
  (a_list->mem_count) ++;
  __cil_begin_pred_values(18, "./schedule.i", "append_ele");
  __cil_add_pred_value(12, "a_list != 0", a_list != 0);
  __cil_add_pred_value(13, "! a_list", ! a_list);
  return (a_list);
}
}
Ele *find_nth(List *f_list , int n )
{ Ele *f_ele ;
  int i ;

  {
  __cil_begin_pred_values(22, "./schedule.i", "find_nth");
  __cil_add_pred_value(20, "f_ele != 0", f_ele != 0);
  __cil_add_pred_value(21, "i < n", i < n);
  __cil_add_pred_value(22, "f_ele", f_ele);
  __cil_add_pred_value(23, "f_list != 0", f_list != 0);
  __cil_add_pred_value(24, "! f_list", ! f_list);
  if (! f_list) {
    __cil_begin_pred_values(27, "./schedule.i", "find_nth");
    __cil_add_pred_value(45, "f_ele != 0", f_ele != 0);
    __cil_add_pred_value(46, "i < n", i < n);
    __cil_add_pred_value(47, "f_ele", f_ele);
    __cil_add_pred_value(48, "f_list != 0", f_list != 0);
    __cil_add_pred_value(49, "! f_list", ! f_list);
    return ((Ele *)0);
  }
  __cil_begin_pred_values(23, "./schedule.i", "find_nth");
  __cil_add_pred_value(25, "f_ele != 0", f_ele != 0);
  __cil_add_pred_value(26, "i < n", i < n);
  __cil_add_pred_value(27, "f_ele", f_ele);
  __cil_add_pred_value(28, "f_list != 0", f_list != 0);
  __cil_add_pred_value(29, "! f_list", ! f_list);
  f_ele = f_list->first;
  __cil_begin_pred_values(24, "./schedule.i", "find_nth");
  __cil_add_pred_value(30, "f_ele != 0", f_ele != 0);
  __cil_add_pred_value(31, "i < n", i < n);
  __cil_add_pred_value(32, "f_ele", f_ele);
  __cil_add_pred_value(33, "f_list != 0", f_list != 0);
  __cil_add_pred_value(34, "! f_list", ! f_list);
  i = 1;
  __cil_begin_pred_values(25, "./schedule.i", "find_nth");
  __cil_add_pred_value(35, "f_ele != 0", f_ele != 0);
  __cil_add_pred_value(36, "i < n", i < n);
  __cil_add_pred_value(37, "f_ele", f_ele);
  __cil_add_pred_value(38, "f_list != 0", f_list != 0);
  __cil_add_pred_value(39, "! f_list", ! f_list);
  while (1) {
    __cil_begin_pred_values(28, "./schedule.i", "find_nth");
    __cil_add_pred_value(50, "f_list != 0", f_list != 0);
    __cil_add_pred_value(51, "f_ele != 0", f_ele != 0);
    __cil_add_pred_value(52, "i < n", i < n);
    __cil_add_pred_value(53, "f_ele", f_ele);
    __cil_add_pred_value(54, "! f_list", ! f_list);
    if (f_ele) {
      __cil_begin_pred_values(31, "./schedule.i", "find_nth");
      __cil_add_pred_value(65, "f_list != 0", f_list != 0);
      __cil_add_pred_value(66, "f_ele != 0", f_ele != 0);
      __cil_add_pred_value(67, "i < n", i < n);
      __cil_add_pred_value(68, "f_ele", f_ele);
      __cil_add_pred_value(69, "! f_list", ! f_list);
      if (! (i < n)) {
        __cil_begin_pred_values(32, "./schedule.i", "find_nth");
        __cil_add_pred_value(70, "f_list != 0", f_list != 0);
        __cil_add_pred_value(71, "f_ele != 0", f_ele != 0);
        __cil_add_pred_value(72, "i < n", i < n);
        __cil_add_pred_value(73, "f_ele", f_ele);
        __cil_add_pred_value(74, "! f_list", ! f_list);
        break;
      }
    } else {
      __cil_begin_pred_values(33, "./schedule.i", "find_nth");
      __cil_add_pred_value(75, "f_list != 0", f_list != 0);
      __cil_add_pred_value(76, "f_ele != 0", f_ele != 0);
      __cil_add_pred_value(77, "i < n", i < n);
      __cil_add_pred_value(78, "f_ele", f_ele);
      __cil_add_pred_value(79, "! f_list", ! f_list);
      break;
    }
    __cil_begin_pred_values(29, "./schedule.i", "find_nth");
    __cil_add_pred_value(55, "f_list != 0", f_list != 0);
    __cil_add_pred_value(56, "f_ele != 0", f_ele != 0);
    __cil_add_pred_value(57, "i < n", i < n);
    __cil_add_pred_value(58, "f_ele", f_ele);
    __cil_add_pred_value(59, "! f_list", ! f_list);
    f_ele = f_ele->next;
    __cil_begin_pred_values(30, "./schedule.i", "find_nth");
    __cil_add_pred_value(60, "f_list != 0", f_list != 0);
    __cil_add_pred_value(61, "f_ele != 0", f_ele != 0);
    __cil_add_pred_value(62, "i < n", i < n);
    __cil_add_pred_value(63, "f_ele", f_ele);
    __cil_add_pred_value(64, "! f_list", ! f_list);
    i ++;
  }
  __cil_begin_pred_values(26, "./schedule.i", "find_nth");
  __cil_add_pred_value(40, "f_ele != 0", f_ele != 0);
  __cil_add_pred_value(41, "i < n", i < n);
  __cil_add_pred_value(42, "f_ele", f_ele);
  __cil_add_pred_value(43, "f_list != 0", f_list != 0);
  __cil_add_pred_value(44, "! f_list", ! f_list);
  return (f_ele);
}
}
List *del_ele(List *d_list , Ele *d_ele )
{

  {
  __cil_begin_pred_values(34, "./schedule.i", "del_ele");
  __cil_add_pred_value(80, "d_list != 0", d_list != 0);
  __cil_add_pred_value(81, "d_ele != 0", d_ele != 0);
  __cil_add_pred_value(82, "! d_ele", ! d_ele);
  __cil_add_pred_value(83, "! d_list", ! d_list);
  if (! d_list) {
    __cil_begin_pred_values(39, "./schedule.i", "del_ele");
    __cil_add_pred_value(100, "d_list != 0", d_list != 0);
    __cil_add_pred_value(101, "d_ele != 0", d_ele != 0);
    __cil_add_pred_value(102, "! d_ele", ! d_ele);
    __cil_add_pred_value(103, "! d_list", ! d_list);
    return ((List *)0);
  } else {
    __cil_begin_pred_values(40, "./schedule.i", "del_ele");
    __cil_add_pred_value(104, "d_list != 0", d_list != 0);
    __cil_add_pred_value(105, "d_ele != 0", d_ele != 0);
    __cil_add_pred_value(106, "! d_ele", ! d_ele);
    __cil_add_pred_value(107, "! d_list", ! d_list);
    if (! d_ele) {
      __cil_begin_pred_values(41, "./schedule.i", "del_ele");
      __cil_add_pred_value(108, "d_list != 0", d_list != 0);
      __cil_add_pred_value(109, "d_ele != 0", d_ele != 0);
      __cil_add_pred_value(110, "! d_ele", ! d_ele);
      __cil_add_pred_value(111, "! d_list", ! d_list);
      return ((List *)0);
    }
  }
  __cil_begin_pred_values(35, "./schedule.i", "del_ele");
  __cil_add_pred_value(84, "d_list != 0", d_list != 0);
  __cil_add_pred_value(85, "d_ele != 0", d_ele != 0);
  __cil_add_pred_value(86, "! d_ele", ! d_ele);
  __cil_add_pred_value(87, "! d_list", ! d_list);
  if (d_ele->next) {
    __cil_begin_pred_values(42, "./schedule.i", "del_ele");
    __cil_add_pred_value(112, "d_ele != 0", d_ele != 0);
    __cil_add_pred_value(113, "d_list != 0", d_list != 0);
    __cil_add_pred_value(114, "! d_ele", ! d_ele);
    __cil_add_pred_value(115, "! d_list", ! d_list);
    (d_ele->next)->prev = d_ele->prev;
  } else {
    __cil_begin_pred_values(43, "./schedule.i", "del_ele");
    __cil_add_pred_value(116, "d_ele != 0", d_ele != 0);
    __cil_add_pred_value(117, "d_list != 0", d_list != 0);
    __cil_add_pred_value(118, "! d_ele", ! d_ele);
    __cil_add_pred_value(119, "! d_list", ! d_list);
    d_list->last = d_ele->prev;
  }
  __cil_begin_pred_values(36, "./schedule.i", "del_ele");
  __cil_add_pred_value(88, "d_list != 0", d_list != 0);
  __cil_add_pred_value(89, "d_ele != 0", d_ele != 0);
  __cil_add_pred_value(90, "! d_ele", ! d_ele);
  __cil_add_pred_value(91, "! d_list", ! d_list);
  if (d_ele->prev) {
    __cil_begin_pred_values(44, "./schedule.i", "del_ele");
    __cil_add_pred_value(120, "d_ele != 0", d_ele != 0);
    __cil_add_pred_value(121, "d_list != 0", d_list != 0);
    __cil_add_pred_value(122, "! d_ele", ! d_ele);
    __cil_add_pred_value(123, "! d_list", ! d_list);
    (d_ele->prev)->next = d_ele->next;
  } else {
    __cil_begin_pred_values(45, "./schedule.i", "del_ele");
    __cil_add_pred_value(124, "d_ele != 0", d_ele != 0);
    __cil_add_pred_value(125, "d_list != 0", d_list != 0);
    __cil_add_pred_value(126, "! d_ele", ! d_ele);
    __cil_add_pred_value(127, "! d_list", ! d_list);
    d_list->first = d_ele->next;
  }
  __cil_begin_pred_values(37, "./schedule.i", "del_ele");
  __cil_add_pred_value(92, "d_list != 0", d_list != 0);
  __cil_add_pred_value(93, "d_ele != 0", d_ele != 0);
  __cil_add_pred_value(94, "! d_ele", ! d_ele);
  __cil_add_pred_value(95, "! d_list", ! d_list);
  (d_list->mem_count) --;
  __cil_begin_pred_values(38, "./schedule.i", "del_ele");
  __cil_add_pred_value(96, "d_list != 0", d_list != 0);
  __cil_add_pred_value(97, "d_ele != 0", d_ele != 0);
  __cil_add_pred_value(98, "! d_ele", ! d_ele);
  __cil_add_pred_value(99, "! d_list", ! d_list);
  return (d_list);
}
}
extern int ( free)() ;
void free_ele(Ele *ptr )
{

  {
  __cil_begin_pred_values(46, "./schedule.i", "free_ele");
  free(ptr);
  __cil_begin_pred_values(47, "./schedule.i", "free_ele");
  return;
}
}
int alloc_proc_num ;
int num_processes ;
Ele *cur_proc ;
List *prio_queue[4] ;
List *block_queue ;
int schedule(void) ;
void finish_process(void)
{

  {
  __cil_begin_pred_values(48, "./schedule.i", "finish_process");
  __cil_add_pred_value(128, "cur_proc", cur_proc);
  __cil_add_pred_value(129, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(130, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(131, "block_queue", block_queue);
  schedule();
  __cil_begin_pred_values(49, "./schedule.i", "finish_process");
  __cil_add_pred_value(132, "cur_proc", cur_proc);
  __cil_add_pred_value(133, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(134, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(135, "block_queue", block_queue);
  if (cur_proc) {
    __cil_begin_pred_values(51, "./schedule.i", "finish_process");
    __cil_add_pred_value(140, "cur_proc", cur_proc);
    __cil_add_pred_value(141, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(142, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(143, "block_queue", block_queue);
    fprintf((FILE * __restrict )stdout, (char const * __restrict )"%d ", cur_proc->val);
    __cil_begin_pred_values(52, "./schedule.i", "finish_process");
    __cil_add_pred_value(144, "cur_proc", cur_proc);
    __cil_add_pred_value(145, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(146, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(147, "block_queue", block_queue);
    free_ele(cur_proc);
    __cil_begin_pred_values(53, "./schedule.i", "finish_process");
    __cil_add_pred_value(148, "cur_proc", cur_proc);
    __cil_add_pred_value(149, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(150, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(151, "block_queue", block_queue);
    num_processes --;
  }
  __cil_begin_pred_values(50, "./schedule.i", "finish_process");
  __cil_add_pred_value(136, "cur_proc", cur_proc);
  __cil_add_pred_value(137, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(138, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(139, "block_queue", block_queue);
  return;
}
}
void finish_all_processes(void)
{ int i ;
  int total ;

  {
  __cil_begin_pred_values(54, "./schedule.i", "finish_all_processes");
  __cil_add_pred_value(152, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(153, "cur_proc", cur_proc);
  __cil_add_pred_value(154, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(155, "block_queue", block_queue);
  __cil_add_pred_value(156, "i < total", i < total);
  total = num_processes;
  __cil_begin_pred_values(55, "./schedule.i", "finish_all_processes");
  __cil_add_pred_value(157, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(158, "cur_proc", cur_proc);
  __cil_add_pred_value(159, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(160, "block_queue", block_queue);
  __cil_add_pred_value(161, "i < total", i < total);
  i = 0;
  __cil_begin_pred_values(56, "./schedule.i", "finish_all_processes");
  __cil_add_pred_value(162, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(163, "cur_proc", cur_proc);
  __cil_add_pred_value(164, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(165, "block_queue", block_queue);
  __cil_add_pred_value(166, "i < total", i < total);
  while (1) {
    __cil_begin_pred_values(58, "./schedule.i", "finish_all_processes");
    __cil_add_pred_value(172, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(173, "cur_proc", cur_proc);
    __cil_add_pred_value(174, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(175, "block_queue", block_queue);
    __cil_add_pred_value(176, "i < total", i < total);
    if (! (i < total)) {
      __cil_begin_pred_values(61, "./schedule.i", "finish_all_processes");
      __cil_add_pred_value(187, "cur_proc != 0", cur_proc != 0);
      __cil_add_pred_value(188, "cur_proc", cur_proc);
      __cil_add_pred_value(189, "block_queue != 0", block_queue != 0);
      __cil_add_pred_value(190, "block_queue", block_queue);
      __cil_add_pred_value(191, "i < total", i < total);
      break;
    }
    __cil_begin_pred_values(59, "./schedule.i", "finish_all_processes");
    __cil_add_pred_value(177, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(178, "cur_proc", cur_proc);
    __cil_add_pred_value(179, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(180, "block_queue", block_queue);
    __cil_add_pred_value(181, "i < total", i < total);
    finish_process();
    __cil_begin_pred_values(60, "./schedule.i", "finish_all_processes");
    __cil_add_pred_value(182, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(183, "cur_proc", cur_proc);
    __cil_add_pred_value(184, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(185, "block_queue", block_queue);
    __cil_add_pred_value(186, "i < total", i < total);
    i ++;
  }
  __cil_begin_pred_values(57, "./schedule.i", "finish_all_processes");
  __cil_add_pred_value(167, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(168, "cur_proc", cur_proc);
  __cil_add_pred_value(169, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(170, "block_queue", block_queue);
  __cil_add_pred_value(171, "i < total", i < total);
  return;
}
}
int schedule(void)
{ int i ;

  {
  __cil_begin_pred_values(62, "./schedule.i", "schedule");
  __cil_add_pred_value(192, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(193, "cur_proc", cur_proc);
  __cil_add_pred_value(194, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(195, "block_queue", block_queue);
  __cil_add_pred_value(196, "i > 0", i > 0);
  cur_proc = (Ele *)0;
  __cil_begin_pred_values(63, "./schedule.i", "schedule");
  __cil_add_pred_value(197, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(198, "cur_proc", cur_proc);
  __cil_add_pred_value(199, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(200, "block_queue", block_queue);
  __cil_add_pred_value(201, "i > 0", i > 0);
  i = 3;
  __cil_begin_pred_values(64, "./schedule.i", "schedule");
  __cil_add_pred_value(202, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(203, "cur_proc", cur_proc);
  __cil_add_pred_value(204, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(205, "block_queue", block_queue);
  __cil_add_pred_value(206, "i > 0", i > 0);
  while (1) {
    __cil_begin_pred_values(66, "./schedule.i", "schedule");
    __cil_add_pred_value(212, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(213, "cur_proc", cur_proc);
    __cil_add_pred_value(214, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(215, "block_queue", block_queue);
    __cil_add_pred_value(216, "i > 0", i > 0);
    if (! (i > 0)) {
      __cil_begin_pred_values(69, "./schedule.i", "schedule");
      __cil_add_pred_value(227, "cur_proc != 0", cur_proc != 0);
      __cil_add_pred_value(228, "cur_proc", cur_proc);
      __cil_add_pred_value(229, "block_queue != 0", block_queue != 0);
      __cil_add_pred_value(230, "block_queue", block_queue);
      __cil_add_pred_value(231, "i > 0", i > 0);
      break;
    }
    __cil_begin_pred_values(67, "./schedule.i", "schedule");
    __cil_add_pred_value(217, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(218, "cur_proc", cur_proc);
    __cil_add_pred_value(219, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(220, "block_queue", block_queue);
    __cil_add_pred_value(221, "i > 0", i > 0);
    if ((prio_queue[i])->mem_count > 0) {
      __cil_begin_pred_values(70, "./schedule.i", "schedule");
      __cil_add_pred_value(232, "cur_proc != 0", cur_proc != 0);
      __cil_add_pred_value(233, "cur_proc", cur_proc);
      __cil_add_pred_value(234, "block_queue != 0", block_queue != 0);
      __cil_add_pred_value(235, "block_queue", block_queue);
      __cil_add_pred_value(236, "i > 0", i > 0);
      cur_proc = (prio_queue[i])->first;
      __cil_begin_pred_values(71, "./schedule.i", "schedule");
      __cil_add_pred_value(237, "cur_proc != 0", cur_proc != 0);
      __cil_add_pred_value(238, "cur_proc", cur_proc);
      __cil_add_pred_value(239, "block_queue != 0", block_queue != 0);
      __cil_add_pred_value(240, "block_queue", block_queue);
      __cil_add_pred_value(241, "i > 0", i > 0);
      prio_queue[i] = del_ele(prio_queue[i], cur_proc);
      __cil_begin_pred_values(72, "./schedule.i", "schedule");
      __cil_add_pred_value(242, "cur_proc != 0", cur_proc != 0);
      __cil_add_pred_value(243, "cur_proc", cur_proc);
      __cil_add_pred_value(244, "block_queue != 0", block_queue != 0);
      __cil_add_pred_value(245, "block_queue", block_queue);
      __cil_add_pred_value(246, "i > 0", i > 0);
      return;
    }
    __cil_begin_pred_values(68, "./schedule.i", "schedule");
    __cil_add_pred_value(222, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(223, "cur_proc", cur_proc);
    __cil_add_pred_value(224, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(225, "block_queue", block_queue);
    __cil_add_pred_value(226, "i > 0", i > 0);
    i --;
  }
  __cil_begin_pred_values(65, "./schedule.i", "schedule");
  __cil_add_pred_value(207, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(208, "cur_proc", cur_proc);
  __cil_add_pred_value(209, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(210, "block_queue", block_queue);
  __cil_add_pred_value(211, "i > 0", i > 0);
  return (0);
}
}
void upgrade_process_prio(int prio , float ratio )
{ int count ;
  int n ;
  Ele *proc ;
  List *src_queue ;
  List *dest_queue ;

  {
  __cil_begin_pred_values(73, "./schedule.i", "upgrade_process_prio");
  __cil_add_pred_value(247, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(248, "cur_proc", cur_proc);
  __cil_add_pred_value(249, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(250, "block_queue", block_queue);
  __cil_add_pred_value(251, "proc", proc);
  __cil_add_pred_value(252, "count > 0", count > 0);
  __cil_add_pred_value(253, "src_queue != 0", src_queue != 0);
  __cil_add_pred_value(254, "prio >= 3", prio >= 3);
  if (prio >= 3) {
    __cil_begin_pred_values(79, "./schedule.i", "upgrade_process_prio");
    __cil_add_pred_value(295, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(296, "cur_proc", cur_proc);
    __cil_add_pred_value(297, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(298, "block_queue", block_queue);
    __cil_add_pred_value(299, "proc", proc);
    __cil_add_pred_value(300, "count > 0", count > 0);
    __cil_add_pred_value(301, "src_queue != 0", src_queue != 0);
    __cil_add_pred_value(302, "prio >= 3", prio >= 3);
    return;
  }
  __cil_begin_pred_values(74, "./schedule.i", "upgrade_process_prio");
  __cil_add_pred_value(255, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(256, "cur_proc", cur_proc);
  __cil_add_pred_value(257, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(258, "block_queue", block_queue);
  __cil_add_pred_value(259, "proc", proc);
  __cil_add_pred_value(260, "count > 0", count > 0);
  __cil_add_pred_value(261, "src_queue != 0", src_queue != 0);
  __cil_add_pred_value(262, "prio >= 3", prio >= 3);
  src_queue = prio_queue[prio];
  __cil_begin_pred_values(75, "./schedule.i", "upgrade_process_prio");
  __cil_add_pred_value(263, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(264, "cur_proc", cur_proc);
  __cil_add_pred_value(265, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(266, "block_queue", block_queue);
  __cil_add_pred_value(267, "proc", proc);
  __cil_add_pred_value(268, "count > 0", count > 0);
  __cil_add_pred_value(269, "src_queue != 0", src_queue != 0);
  __cil_add_pred_value(270, "prio >= 3", prio >= 3);
  dest_queue = prio_queue[prio + 1];
  __cil_begin_pred_values(76, "./schedule.i", "upgrade_process_prio");
  __cil_add_pred_value(271, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(272, "cur_proc", cur_proc);
  __cil_add_pred_value(273, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(274, "block_queue", block_queue);
  __cil_add_pred_value(275, "proc", proc);
  __cil_add_pred_value(276, "count > 0", count > 0);
  __cil_add_pred_value(277, "src_queue != 0", src_queue != 0);
  __cil_add_pred_value(278, "prio >= 3", prio >= 3);
  count = src_queue->mem_count;
  __cil_begin_pred_values(77, "./schedule.i", "upgrade_process_prio");
  __cil_add_pred_value(279, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(280, "cur_proc", cur_proc);
  __cil_add_pred_value(281, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(282, "block_queue", block_queue);
  __cil_add_pred_value(283, "proc", proc);
  __cil_add_pred_value(284, "count > 0", count > 0);
  __cil_add_pred_value(285, "src_queue != 0", src_queue != 0);
  __cil_add_pred_value(286, "prio >= 3", prio >= 3);
  if (count > 0) {
    __cil_begin_pred_values(80, "./schedule.i", "upgrade_process_prio");
    __cil_add_pred_value(303, "src_queue != 0", src_queue != 0);
    __cil_add_pred_value(304, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(305, "cur_proc", cur_proc);
    __cil_add_pred_value(306, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(307, "block_queue", block_queue);
    __cil_add_pred_value(308, "proc", proc);
    __cil_add_pred_value(309, "count > 0", count > 0);
    __cil_add_pred_value(310, "prio >= 3", prio >= 3);
    n = (int )((float )count * ratio + (float )1);
    __cil_begin_pred_values(81, "./schedule.i", "upgrade_process_prio");
    __cil_add_pred_value(311, "src_queue != 0", src_queue != 0);
    __cil_add_pred_value(312, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(313, "cur_proc", cur_proc);
    __cil_add_pred_value(314, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(315, "block_queue", block_queue);
    __cil_add_pred_value(316, "proc", proc);
    __cil_add_pred_value(317, "count > 0", count > 0);
    __cil_add_pred_value(318, "prio >= 3", prio >= 3);
    proc = find_nth(src_queue, n);
    __cil_begin_pred_values(82, "./schedule.i", "upgrade_process_prio");
    __cil_add_pred_value(319, "src_queue != 0", src_queue != 0);
    __cil_add_pred_value(320, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(321, "cur_proc", cur_proc);
    __cil_add_pred_value(322, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(323, "block_queue", block_queue);
    __cil_add_pred_value(324, "proc", proc);
    __cil_add_pred_value(325, "count > 0", count > 0);
    __cil_add_pred_value(326, "prio >= 3", prio >= 3);
    if (proc) {
      __cil_begin_pred_values(83, "./schedule.i", "upgrade_process_prio");
      __cil_add_pred_value(327, "src_queue != 0", src_queue != 0);
      __cil_add_pred_value(328, "cur_proc != 0", cur_proc != 0);
      __cil_add_pred_value(329, "cur_proc", cur_proc);
      __cil_add_pred_value(330, "block_queue != 0", block_queue != 0);
      __cil_add_pred_value(331, "block_queue", block_queue);
      __cil_add_pred_value(332, "proc", proc);
      __cil_add_pred_value(333, "count > 0", count > 0);
      __cil_add_pred_value(334, "prio >= 3", prio >= 3);
      src_queue = del_ele(src_queue, proc);
      __cil_begin_pred_values(84, "./schedule.i", "upgrade_process_prio");
      __cil_add_pred_value(335, "src_queue != 0", src_queue != 0);
      __cil_add_pred_value(336, "cur_proc != 0", cur_proc != 0);
      __cil_add_pred_value(337, "cur_proc", cur_proc);
      __cil_add_pred_value(338, "block_queue != 0", block_queue != 0);
      __cil_add_pred_value(339, "block_queue", block_queue);
      __cil_add_pred_value(340, "proc", proc);
      __cil_add_pred_value(341, "count > 0", count > 0);
      __cil_add_pred_value(342, "prio >= 3", prio >= 3);
      proc->priority = (short )prio;
      __cil_begin_pred_values(85, "./schedule.i", "upgrade_process_prio");
      __cil_add_pred_value(343, "src_queue != 0", src_queue != 0);
      __cil_add_pred_value(344, "cur_proc != 0", cur_proc != 0);
      __cil_add_pred_value(345, "cur_proc", cur_proc);
      __cil_add_pred_value(346, "block_queue != 0", block_queue != 0);
      __cil_add_pred_value(347, "block_queue", block_queue);
      __cil_add_pred_value(348, "proc", proc);
      __cil_add_pred_value(349, "count > 0", count > 0);
      __cil_add_pred_value(350, "prio >= 3", prio >= 3);
      dest_queue = append_ele(dest_queue, proc);
    }
  }
  __cil_begin_pred_values(78, "./schedule.i", "upgrade_process_prio");
  __cil_add_pred_value(287, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(288, "cur_proc", cur_proc);
  __cil_add_pred_value(289, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(290, "block_queue", block_queue);
  __cil_add_pred_value(291, "proc", proc);
  __cil_add_pred_value(292, "count > 0", count > 0);
  __cil_add_pred_value(293, "src_queue != 0", src_queue != 0);
  __cil_add_pred_value(294, "prio >= 3", prio >= 3);
  return;
}
}
void unblock_process(float ratio )
{ int count ;
  int n ;
  Ele *proc ;
  int prio ;

  {
  __cil_begin_pred_values(86, "./schedule.i", "unblock_process");
  __cil_add_pred_value(351, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(352, "cur_proc", cur_proc);
  __cil_add_pred_value(353, "proc != 0", proc != 0);
  __cil_add_pred_value(354, "proc", proc);
  __cil_add_pred_value(355, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(356, "block_queue", block_queue);
  if (block_queue) {
    __cil_begin_pred_values(88, "./schedule.i", "unblock_process");
    __cil_add_pred_value(363, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(364, "cur_proc", cur_proc);
    __cil_add_pred_value(365, "proc != 0", proc != 0);
    __cil_add_pred_value(366, "proc", proc);
    __cil_add_pred_value(367, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(368, "block_queue", block_queue);
    count = block_queue->mem_count;
    __cil_begin_pred_values(89, "./schedule.i", "unblock_process");
    __cil_add_pred_value(369, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(370, "cur_proc", cur_proc);
    __cil_add_pred_value(371, "proc != 0", proc != 0);
    __cil_add_pred_value(372, "proc", proc);
    __cil_add_pred_value(373, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(374, "block_queue", block_queue);
    n = (int )((float )count * ratio + (float )1);
    __cil_begin_pred_values(90, "./schedule.i", "unblock_process");
    __cil_add_pred_value(375, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(376, "cur_proc", cur_proc);
    __cil_add_pred_value(377, "proc != 0", proc != 0);
    __cil_add_pred_value(378, "proc", proc);
    __cil_add_pred_value(379, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(380, "block_queue", block_queue);
    proc = find_nth(block_queue, n);
    __cil_begin_pred_values(91, "./schedule.i", "unblock_process");
    __cil_add_pred_value(381, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(382, "cur_proc", cur_proc);
    __cil_add_pred_value(383, "proc != 0", proc != 0);
    __cil_add_pred_value(384, "proc", proc);
    __cil_add_pred_value(385, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(386, "block_queue", block_queue);
    if (proc) {
      __cil_begin_pred_values(92, "./schedule.i", "unblock_process");
      __cil_add_pred_value(387, "block_queue != 0", block_queue != 0);
      __cil_add_pred_value(388, "cur_proc != 0", cur_proc != 0);
      __cil_add_pred_value(389, "cur_proc", cur_proc);
      __cil_add_pred_value(390, "proc != 0", proc != 0);
      __cil_add_pred_value(391, "proc", proc);
      __cil_add_pred_value(392, "block_queue", block_queue);
      block_queue = del_ele(block_queue, proc);
      __cil_begin_pred_values(93, "./schedule.i", "unblock_process");
      __cil_add_pred_value(393, "block_queue != 0", block_queue != 0);
      __cil_add_pred_value(394, "cur_proc != 0", cur_proc != 0);
      __cil_add_pred_value(395, "cur_proc", cur_proc);
      __cil_add_pred_value(396, "proc != 0", proc != 0);
      __cil_add_pred_value(397, "proc", proc);
      __cil_add_pred_value(398, "block_queue", block_queue);
      prio = (int )proc->priority;
      __cil_begin_pred_values(94, "./schedule.i", "unblock_process");
      __cil_add_pred_value(399, "block_queue != 0", block_queue != 0);
      __cil_add_pred_value(400, "cur_proc != 0", cur_proc != 0);
      __cil_add_pred_value(401, "cur_proc", cur_proc);
      __cil_add_pred_value(402, "proc != 0", proc != 0);
      __cil_add_pred_value(403, "proc", proc);
      __cil_add_pred_value(404, "block_queue", block_queue);
      prio_queue[prio] = append_ele(prio_queue[prio], proc);
    }
  }
  __cil_begin_pred_values(87, "./schedule.i", "unblock_process");
  __cil_add_pred_value(357, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(358, "cur_proc", cur_proc);
  __cil_add_pred_value(359, "proc != 0", proc != 0);
  __cil_add_pred_value(360, "proc", proc);
  __cil_add_pred_value(361, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(362, "block_queue", block_queue);
  return;
}
}
void quantum_expire(void)
{ int prio ;

  {
  __cil_begin_pred_values(95, "./schedule.i", "quantum_expire");
  __cil_add_pred_value(405, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(406, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(407, "cur_proc", cur_proc);
  __cil_add_pred_value(408, "block_queue", block_queue);
  schedule();
  __cil_begin_pred_values(96, "./schedule.i", "quantum_expire");
  __cil_add_pred_value(409, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(410, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(411, "cur_proc", cur_proc);
  __cil_add_pred_value(412, "block_queue", block_queue);
  if (cur_proc) {
    __cil_begin_pred_values(98, "./schedule.i", "quantum_expire");
    __cil_add_pred_value(417, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(418, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(419, "cur_proc", cur_proc);
    __cil_add_pred_value(420, "block_queue", block_queue);
    prio = (int )cur_proc->priority;
    __cil_begin_pred_values(99, "./schedule.i", "quantum_expire");
    __cil_add_pred_value(421, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(422, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(423, "cur_proc", cur_proc);
    __cil_add_pred_value(424, "block_queue", block_queue);
    prio_queue[prio] = append_ele(prio_queue[prio], cur_proc);
  }
  __cil_begin_pred_values(97, "./schedule.i", "quantum_expire");
  __cil_add_pred_value(413, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(414, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(415, "cur_proc", cur_proc);
  __cil_add_pred_value(416, "block_queue", block_queue);
  return;
}
}
void block_process(void)
{

  {
  __cil_begin_pred_values(100, "./schedule.i", "block_process");
  __cil_add_pred_value(425, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(426, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(427, "cur_proc", cur_proc);
  __cil_add_pred_value(428, "block_queue", block_queue);
  schedule();
  __cil_begin_pred_values(101, "./schedule.i", "block_process");
  __cil_add_pred_value(429, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(430, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(431, "cur_proc", cur_proc);
  __cil_add_pred_value(432, "block_queue", block_queue);
  if (cur_proc) {
    __cil_begin_pred_values(103, "./schedule.i", "block_process");
    __cil_add_pred_value(437, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(438, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(439, "cur_proc", cur_proc);
    __cil_add_pred_value(440, "block_queue", block_queue);
    block_queue = append_ele(block_queue, cur_proc);
  }
  __cil_begin_pred_values(102, "./schedule.i", "block_process");
  __cil_add_pred_value(433, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(434, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(435, "cur_proc", cur_proc);
  __cil_add_pred_value(436, "block_queue", block_queue);
  return;
}
}
Ele *new_process(int prio )
{ Ele *proc ;
  int tmp ;

  {
  __cil_begin_pred_values(104, "./schedule.i", "new_process");
  __cil_add_pred_value(441, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(442, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(443, "cur_proc", cur_proc);
  __cil_add_pred_value(444, "block_queue", block_queue);
  tmp = alloc_proc_num;
  __cil_begin_pred_values(105, "./schedule.i", "new_process");
  __cil_add_pred_value(445, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(446, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(447, "cur_proc", cur_proc);
  __cil_add_pred_value(448, "block_queue", block_queue);
  alloc_proc_num ++;
  __cil_begin_pred_values(106, "./schedule.i", "new_process");
  __cil_add_pred_value(449, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(450, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(451, "cur_proc", cur_proc);
  __cil_add_pred_value(452, "block_queue", block_queue);
  proc = new_ele(tmp);
  __cil_begin_pred_values(107, "./schedule.i", "new_process");
  __cil_add_pred_value(453, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(454, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(455, "cur_proc", cur_proc);
  __cil_add_pred_value(456, "block_queue", block_queue);
  proc->priority = (short )prio;
  __cil_begin_pred_values(108, "./schedule.i", "new_process");
  __cil_add_pred_value(457, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(458, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(459, "cur_proc", cur_proc);
  __cil_add_pred_value(460, "block_queue", block_queue);
  num_processes ++;
  __cil_begin_pred_values(109, "./schedule.i", "new_process");
  __cil_add_pred_value(461, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(462, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(463, "cur_proc", cur_proc);
  __cil_add_pred_value(464, "block_queue", block_queue);
  return (proc);
}
}
void add_process(int prio )
{ Ele *proc ;

  {
  __cil_begin_pred_values(110, "./schedule.i", "add_process");
  __cil_add_pred_value(465, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(466, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(467, "cur_proc", cur_proc);
  __cil_add_pred_value(468, "block_queue", block_queue);
  proc = new_process(prio);
  __cil_begin_pred_values(111, "./schedule.i", "add_process");
  __cil_add_pred_value(469, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(470, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(471, "cur_proc", cur_proc);
  __cil_add_pred_value(472, "block_queue", block_queue);
  prio_queue[prio] = append_ele(prio_queue[prio], proc);
  __cil_begin_pred_values(112, "./schedule.i", "add_process");
  __cil_add_pred_value(473, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(474, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(475, "cur_proc", cur_proc);
  __cil_add_pred_value(476, "block_queue", block_queue);
  return;
}
}
void init_prio_queue(int prio , int num_proc )
{ List *queue ;
  Ele *proc ;
  int i ;

  {
  __cil_begin_pred_values(113, "./schedule.i", "init_prio_queue");
  __cil_add_pred_value(477, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(478, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(479, "i < num_proc", i < num_proc);
  __cil_add_pred_value(480, "cur_proc", cur_proc);
  __cil_add_pred_value(481, "block_queue", block_queue);
  queue = new_list();
  __cil_begin_pred_values(114, "./schedule.i", "init_prio_queue");
  __cil_add_pred_value(482, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(483, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(484, "i < num_proc", i < num_proc);
  __cil_add_pred_value(485, "cur_proc", cur_proc);
  __cil_add_pred_value(486, "block_queue", block_queue);
  i = 0;
  __cil_begin_pred_values(115, "./schedule.i", "init_prio_queue");
  __cil_add_pred_value(487, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(488, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(489, "i < num_proc", i < num_proc);
  __cil_add_pred_value(490, "cur_proc", cur_proc);
  __cil_add_pred_value(491, "block_queue", block_queue);
  while (1) {
    __cil_begin_pred_values(118, "./schedule.i", "init_prio_queue");
    __cil_add_pred_value(502, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(503, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(504, "i < num_proc", i < num_proc);
    __cil_add_pred_value(505, "cur_proc", cur_proc);
    __cil_add_pred_value(506, "block_queue", block_queue);
    if (! (i < num_proc)) {
      __cil_begin_pred_values(122, "./schedule.i", "init_prio_queue");
      __cil_add_pred_value(522, "cur_proc != 0", cur_proc != 0);
      __cil_add_pred_value(523, "block_queue != 0", block_queue != 0);
      __cil_add_pred_value(524, "i < num_proc", i < num_proc);
      __cil_add_pred_value(525, "cur_proc", cur_proc);
      __cil_add_pred_value(526, "block_queue", block_queue);
      break;
    }
    __cil_begin_pred_values(119, "./schedule.i", "init_prio_queue");
    __cil_add_pred_value(507, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(508, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(509, "i < num_proc", i < num_proc);
    __cil_add_pred_value(510, "cur_proc", cur_proc);
    __cil_add_pred_value(511, "block_queue", block_queue);
    proc = new_process(prio);
    __cil_begin_pred_values(120, "./schedule.i", "init_prio_queue");
    __cil_add_pred_value(512, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(513, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(514, "i < num_proc", i < num_proc);
    __cil_add_pred_value(515, "cur_proc", cur_proc);
    __cil_add_pred_value(516, "block_queue", block_queue);
    queue = append_ele(queue, proc);
    __cil_begin_pred_values(121, "./schedule.i", "init_prio_queue");
    __cil_add_pred_value(517, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(518, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(519, "i < num_proc", i < num_proc);
    __cil_add_pred_value(520, "cur_proc", cur_proc);
    __cil_add_pred_value(521, "block_queue", block_queue);
    i ++;
  }
  __cil_begin_pred_values(116, "./schedule.i", "init_prio_queue");
  __cil_add_pred_value(492, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(493, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(494, "i < num_proc", i < num_proc);
  __cil_add_pred_value(495, "cur_proc", cur_proc);
  __cil_add_pred_value(496, "block_queue", block_queue);
  prio_queue[prio] = queue;
  __cil_begin_pred_values(117, "./schedule.i", "init_prio_queue");
  __cil_add_pred_value(497, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(498, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(499, "i < num_proc", i < num_proc);
  __cil_add_pred_value(500, "cur_proc", cur_proc);
  __cil_add_pred_value(501, "block_queue", block_queue);
  return;
}
}
void initialize(void)
{

  {
  __cil_begin_pred_values(123, "./schedule.i", "initialize");
  __cil_add_pred_value(527, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(528, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(529, "cur_proc", cur_proc);
  __cil_add_pred_value(530, "block_queue", block_queue);
  alloc_proc_num = 0;
  __cil_begin_pred_values(124, "./schedule.i", "initialize");
  __cil_add_pred_value(531, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(532, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(533, "cur_proc", cur_proc);
  __cil_add_pred_value(534, "block_queue", block_queue);
  num_processes = 0;
  __cil_begin_pred_values(125, "./schedule.i", "initialize");
  __cil_add_pred_value(535, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(536, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(537, "cur_proc", cur_proc);
  __cil_add_pred_value(538, "block_queue", block_queue);
  return;
}
}
extern int ( atoi)() ;
int main(int argc , char **argv )
{ int command ;
  int prio ;
  float ratio ;
  int status ;
  int tmp ;

  {
  begin_trace_session("predStmt", 0);
  __cil_begin_pred_values(126, "./schedule.i", "main");
  __cil_add_pred_value(539, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(540, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(541, "prio <= 0", prio <= 0);
  __cil_add_pred_value(542, "prio > 3", prio > 3);
  __cil_add_pred_value(543, "status", status);
  __cil_add_pred_value(544, "status != -1", status != -1);
  __cil_add_pred_value(545, "argv + prio != 0", argv + prio != 0);
  __cil_add_pred_value(546, "prio >= 1", prio >= 1);
  __cil_add_pred_value(547, "argc < 4", argc < 4);
  __cil_add_pred_value(548, "cur_proc", cur_proc);
  __cil_add_pred_value(549, "block_queue", block_queue);
  if (argc < 4) {
    __cil_begin_pred_values(133, "./schedule.i", "main");
    __cil_add_pred_value(616, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(617, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(618, "prio <= 0", prio <= 0);
    __cil_add_pred_value(619, "prio > 3", prio > 3);
    __cil_add_pred_value(620, "status", status);
    __cil_add_pred_value(621, "status != -1", status != -1);
    __cil_add_pred_value(622, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(623, "prio >= 1", prio >= 1);
    __cil_add_pred_value(624, "argc < 4", argc < 4);
    __cil_add_pred_value(625, "cur_proc", cur_proc);
    __cil_add_pred_value(626, "block_queue", block_queue);
    fprintf((FILE * __restrict )stdout, (char const * __restrict )"incorrect usage\n");
    __cil_begin_pred_values(134, "./schedule.i", "main");
    __cil_add_pred_value(627, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(628, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(629, "prio <= 0", prio <= 0);
    __cil_add_pred_value(630, "prio > 3", prio > 3);
    __cil_add_pred_value(631, "status", status);
    __cil_add_pred_value(632, "status != -1", status != -1);
    __cil_add_pred_value(633, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(634, "prio >= 1", prio >= 1);
    __cil_add_pred_value(635, "argc < 4", argc < 4);
    __cil_add_pred_value(636, "cur_proc", cur_proc);
    __cil_add_pred_value(637, "block_queue", block_queue);
    return;
  }
  __cil_begin_pred_values(127, "./schedule.i", "main");
  __cil_add_pred_value(550, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(551, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(552, "prio <= 0", prio <= 0);
  __cil_add_pred_value(553, "prio > 3", prio > 3);
  __cil_add_pred_value(554, "status", status);
  __cil_add_pred_value(555, "status != -1", status != -1);
  __cil_add_pred_value(556, "argv + prio != 0", argv + prio != 0);
  __cil_add_pred_value(557, "prio >= 1", prio >= 1);
  __cil_add_pred_value(558, "argc < 4", argc < 4);
  __cil_add_pred_value(559, "cur_proc", cur_proc);
  __cil_add_pred_value(560, "block_queue", block_queue);
  initialize();
  __cil_begin_pred_values(128, "./schedule.i", "main");
  __cil_add_pred_value(561, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(562, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(563, "prio <= 0", prio <= 0);
  __cil_add_pred_value(564, "prio > 3", prio > 3);
  __cil_add_pred_value(565, "status", status);
  __cil_add_pred_value(566, "status != -1", status != -1);
  __cil_add_pred_value(567, "argv + prio != 0", argv + prio != 0);
  __cil_add_pred_value(568, "prio >= 1", prio >= 1);
  __cil_add_pred_value(569, "argc < 4", argc < 4);
  __cil_add_pred_value(570, "cur_proc", cur_proc);
  __cil_add_pred_value(571, "block_queue", block_queue);
  prio = 3;
  __cil_begin_pred_values(129, "./schedule.i", "main");
  __cil_add_pred_value(572, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(573, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(574, "prio <= 0", prio <= 0);
  __cil_add_pred_value(575, "prio > 3", prio > 3);
  __cil_add_pred_value(576, "status", status);
  __cil_add_pred_value(577, "status != -1", status != -1);
  __cil_add_pred_value(578, "argv + prio != 0", argv + prio != 0);
  __cil_add_pred_value(579, "prio >= 1", prio >= 1);
  __cil_add_pred_value(580, "argc < 4", argc < 4);
  __cil_add_pred_value(581, "cur_proc", cur_proc);
  __cil_add_pred_value(582, "block_queue", block_queue);
  while (1) {
    __cil_begin_pred_values(135, "./schedule.i", "main");
    __cil_add_pred_value(638, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(639, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(640, "prio <= 0", prio <= 0);
    __cil_add_pred_value(641, "prio > 3", prio > 3);
    __cil_add_pred_value(642, "status", status);
    __cil_add_pred_value(643, "status != -1", status != -1);
    __cil_add_pred_value(644, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(645, "prio >= 1", prio >= 1);
    __cil_add_pred_value(646, "argc < 4", argc < 4);
    __cil_add_pred_value(647, "cur_proc", cur_proc);
    __cil_add_pred_value(648, "block_queue", block_queue);
    if (! (prio >= 1)) {
      __cil_begin_pred_values(139, "./schedule.i", "main");
      __cil_add_pred_value(682, "cur_proc != 0", cur_proc != 0);
      __cil_add_pred_value(683, "block_queue != 0", block_queue != 0);
      __cil_add_pred_value(684, "prio <= 0", prio <= 0);
      __cil_add_pred_value(685, "prio > 3", prio > 3);
      __cil_add_pred_value(686, "status", status);
      __cil_add_pred_value(687, "status != -1", status != -1);
      __cil_add_pred_value(688, "argv + prio != 0", argv + prio != 0);
      __cil_add_pred_value(689, "prio >= 1", prio >= 1);
      __cil_add_pred_value(690, "argc < 4", argc < 4);
      __cil_add_pred_value(691, "cur_proc", cur_proc);
      __cil_add_pred_value(692, "block_queue", block_queue);
      break;
    }
    __cil_begin_pred_values(136, "./schedule.i", "main");
    __cil_add_pred_value(649, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(650, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(651, "prio <= 0", prio <= 0);
    __cil_add_pred_value(652, "prio > 3", prio > 3);
    __cil_add_pred_value(653, "status", status);
    __cil_add_pred_value(654, "status != -1", status != -1);
    __cil_add_pred_value(655, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(656, "prio >= 1", prio >= 1);
    __cil_add_pred_value(657, "argc < 4", argc < 4);
    __cil_add_pred_value(658, "cur_proc", cur_proc);
    __cil_add_pred_value(659, "block_queue", block_queue);
    tmp = atoi(*(argv + prio));
    __cil_begin_pred_values(137, "./schedule.i", "main");
    __cil_add_pred_value(660, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(661, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(662, "prio <= 0", prio <= 0);
    __cil_add_pred_value(663, "prio > 3", prio > 3);
    __cil_add_pred_value(664, "status", status);
    __cil_add_pred_value(665, "status != -1", status != -1);
    __cil_add_pred_value(666, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(667, "prio >= 1", prio >= 1);
    __cil_add_pred_value(668, "argc < 4", argc < 4);
    __cil_add_pred_value(669, "cur_proc", cur_proc);
    __cil_add_pred_value(670, "block_queue", block_queue);
    init_prio_queue(prio, tmp);
    __cil_begin_pred_values(138, "./schedule.i", "main");
    __cil_add_pred_value(671, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(672, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(673, "prio <= 0", prio <= 0);
    __cil_add_pred_value(674, "prio > 3", prio > 3);
    __cil_add_pred_value(675, "status", status);
    __cil_add_pred_value(676, "status != -1", status != -1);
    __cil_add_pred_value(677, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(678, "prio >= 1", prio >= 1);
    __cil_add_pred_value(679, "argc < 4", argc < 4);
    __cil_add_pred_value(680, "cur_proc", cur_proc);
    __cil_add_pred_value(681, "block_queue", block_queue);
    prio --;
  }
  __cil_begin_pred_values(130, "./schedule.i", "main");
  __cil_add_pred_value(583, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(584, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(585, "prio <= 0", prio <= 0);
  __cil_add_pred_value(586, "prio > 3", prio > 3);
  __cil_add_pred_value(587, "status", status);
  __cil_add_pred_value(588, "status != -1", status != -1);
  __cil_add_pred_value(589, "argv + prio != 0", argv + prio != 0);
  __cil_add_pred_value(590, "prio >= 1", prio >= 1);
  __cil_add_pred_value(591, "argc < 4", argc < 4);
  __cil_add_pred_value(592, "cur_proc", cur_proc);
  __cil_add_pred_value(593, "block_queue", block_queue);
  status = fscanf((FILE * __restrict )stdin, (char const * __restrict )"%d", & command);
  __cil_begin_pred_values(131, "./schedule.i", "main");
  __cil_add_pred_value(594, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(595, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(596, "prio <= 0", prio <= 0);
  __cil_add_pred_value(597, "prio > 3", prio > 3);
  __cil_add_pred_value(598, "status", status);
  __cil_add_pred_value(599, "status != -1", status != -1);
  __cil_add_pred_value(600, "argv + prio != 0", argv + prio != 0);
  __cil_add_pred_value(601, "prio >= 1", prio >= 1);
  __cil_add_pred_value(602, "argc < 4", argc < 4);
  __cil_add_pred_value(603, "cur_proc", cur_proc);
  __cil_add_pred_value(604, "block_queue", block_queue);
  while (1) {
    __cil_begin_pred_values(140, "./schedule.i", "main");
    __cil_add_pred_value(693, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(694, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(695, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(696, "prio <= 0", prio <= 0);
    __cil_add_pred_value(697, "prio > 3", prio > 3);
    __cil_add_pred_value(698, "status", status);
    __cil_add_pred_value(699, "status != -1", status != -1);
    __cil_add_pred_value(700, "prio >= 1", prio >= 1);
    __cil_add_pred_value(701, "argc < 4", argc < 4);
    __cil_add_pred_value(702, "cur_proc", cur_proc);
    __cil_add_pred_value(703, "block_queue", block_queue);
    if (status != -1) {
      __cil_begin_pred_values(143, "./schedule.i", "main");
      __cil_add_pred_value(726, "argv + prio != 0", argv + prio != 0);
      __cil_add_pred_value(727, "cur_proc != 0", cur_proc != 0);
      __cil_add_pred_value(728, "block_queue != 0", block_queue != 0);
      __cil_add_pred_value(729, "prio <= 0", prio <= 0);
      __cil_add_pred_value(730, "prio > 3", prio > 3);
      __cil_add_pred_value(731, "status", status);
      __cil_add_pred_value(732, "status != -1", status != -1);
      __cil_add_pred_value(733, "prio >= 1", prio >= 1);
      __cil_add_pred_value(734, "argc < 4", argc < 4);
      __cil_add_pred_value(735, "cur_proc", cur_proc);
      __cil_add_pred_value(736, "block_queue", block_queue);
      if (! status) {
        __cil_begin_pred_values(144, "./schedule.i", "main");
        __cil_add_pred_value(737, "argv + prio != 0", argv + prio != 0);
        __cil_add_pred_value(738, "cur_proc != 0", cur_proc != 0);
        __cil_add_pred_value(739, "block_queue != 0", block_queue != 0);
        __cil_add_pred_value(740, "prio <= 0", prio <= 0);
        __cil_add_pred_value(741, "prio > 3", prio > 3);
        __cil_add_pred_value(742, "status", status);
        __cil_add_pred_value(743, "status != -1", status != -1);
        __cil_add_pred_value(744, "prio >= 1", prio >= 1);
        __cil_add_pred_value(745, "argc < 4", argc < 4);
        __cil_add_pred_value(746, "cur_proc", cur_proc);
        __cil_add_pred_value(747, "block_queue", block_queue);
        break;
      }
    } else {
      __cil_begin_pred_values(145, "./schedule.i", "main");
      __cil_add_pred_value(748, "argv + prio != 0", argv + prio != 0);
      __cil_add_pred_value(749, "cur_proc != 0", cur_proc != 0);
      __cil_add_pred_value(750, "block_queue != 0", block_queue != 0);
      __cil_add_pred_value(751, "prio <= 0", prio <= 0);
      __cil_add_pred_value(752, "prio > 3", prio > 3);
      __cil_add_pred_value(753, "status", status);
      __cil_add_pred_value(754, "status != -1", status != -1);
      __cil_add_pred_value(755, "prio >= 1", prio >= 1);
      __cil_add_pred_value(756, "argc < 4", argc < 4);
      __cil_add_pred_value(757, "cur_proc", cur_proc);
      __cil_add_pred_value(758, "block_queue", block_queue);
      break;
    }
    __cil_begin_pred_values(141, "./schedule.i", "main");
    __cil_add_pred_value(704, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(705, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(706, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(707, "prio <= 0", prio <= 0);
    __cil_add_pred_value(708, "prio > 3", prio > 3);
    __cil_add_pred_value(709, "status", status);
    __cil_add_pred_value(710, "status != -1", status != -1);
    __cil_add_pred_value(711, "prio >= 1", prio >= 1);
    __cil_add_pred_value(712, "argc < 4", argc < 4);
    __cil_add_pred_value(713, "cur_proc", cur_proc);
    __cil_add_pred_value(714, "block_queue", block_queue);
    switch (command) {
    case 6:
    __cil_begin_pred_values(146, "./schedule.i", "main");
    __cil_add_pred_value(759, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(760, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(761, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(762, "prio <= 0", prio <= 0);
    __cil_add_pred_value(763, "prio > 3", prio > 3);
    __cil_add_pred_value(764, "status", status);
    __cil_add_pred_value(765, "status != -1", status != -1);
    __cil_add_pred_value(766, "prio >= 1", prio >= 1);
    __cil_add_pred_value(767, "argc < 4", argc < 4);
    __cil_add_pred_value(768, "cur_proc", cur_proc);
    __cil_add_pred_value(769, "block_queue", block_queue);
    finish_process();
    __cil_begin_pred_values(147, "./schedule.i", "main");
    __cil_add_pred_value(770, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(771, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(772, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(773, "prio <= 0", prio <= 0);
    __cil_add_pred_value(774, "prio > 3", prio > 3);
    __cil_add_pred_value(775, "status", status);
    __cil_add_pred_value(776, "status != -1", status != -1);
    __cil_add_pred_value(777, "prio >= 1", prio >= 1);
    __cil_add_pred_value(778, "argc < 4", argc < 4);
    __cil_add_pred_value(779, "cur_proc", cur_proc);
    __cil_add_pred_value(780, "block_queue", block_queue);
    break;
    case 3:
    __cil_begin_pred_values(148, "./schedule.i", "main");
    __cil_add_pred_value(781, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(782, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(783, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(784, "prio <= 0", prio <= 0);
    __cil_add_pred_value(785, "prio > 3", prio > 3);
    __cil_add_pred_value(786, "status", status);
    __cil_add_pred_value(787, "status != -1", status != -1);
    __cil_add_pred_value(788, "prio >= 1", prio >= 1);
    __cil_add_pred_value(789, "argc < 4", argc < 4);
    __cil_add_pred_value(790, "cur_proc", cur_proc);
    __cil_add_pred_value(791, "block_queue", block_queue);
    block_process();
    __cil_begin_pred_values(149, "./schedule.i", "main");
    __cil_add_pred_value(792, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(793, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(794, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(795, "prio <= 0", prio <= 0);
    __cil_add_pred_value(796, "prio > 3", prio > 3);
    __cil_add_pred_value(797, "status", status);
    __cil_add_pred_value(798, "status != -1", status != -1);
    __cil_add_pred_value(799, "prio >= 1", prio >= 1);
    __cil_add_pred_value(800, "argc < 4", argc < 4);
    __cil_add_pred_value(801, "cur_proc", cur_proc);
    __cil_add_pred_value(802, "block_queue", block_queue);
    break;
    case 5:
    __cil_begin_pred_values(150, "./schedule.i", "main");
    __cil_add_pred_value(803, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(804, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(805, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(806, "prio <= 0", prio <= 0);
    __cil_add_pred_value(807, "prio > 3", prio > 3);
    __cil_add_pred_value(808, "status", status);
    __cil_add_pred_value(809, "status != -1", status != -1);
    __cil_add_pred_value(810, "prio >= 1", prio >= 1);
    __cil_add_pred_value(811, "argc < 4", argc < 4);
    __cil_add_pred_value(812, "cur_proc", cur_proc);
    __cil_add_pred_value(813, "block_queue", block_queue);
    quantum_expire();
    __cil_begin_pred_values(151, "./schedule.i", "main");
    __cil_add_pred_value(814, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(815, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(816, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(817, "prio <= 0", prio <= 0);
    __cil_add_pred_value(818, "prio > 3", prio > 3);
    __cil_add_pred_value(819, "status", status);
    __cil_add_pred_value(820, "status != -1", status != -1);
    __cil_add_pred_value(821, "prio >= 1", prio >= 1);
    __cil_add_pred_value(822, "argc < 4", argc < 4);
    __cil_add_pred_value(823, "cur_proc", cur_proc);
    __cil_add_pred_value(824, "block_queue", block_queue);
    break;
    case 4:
    __cil_begin_pred_values(152, "./schedule.i", "main");
    __cil_add_pred_value(825, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(826, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(827, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(828, "prio <= 0", prio <= 0);
    __cil_add_pred_value(829, "prio > 3", prio > 3);
    __cil_add_pred_value(830, "status", status);
    __cil_add_pred_value(831, "status != -1", status != -1);
    __cil_add_pred_value(832, "prio >= 1", prio >= 1);
    __cil_add_pred_value(833, "argc < 4", argc < 4);
    __cil_add_pred_value(834, "cur_proc", cur_proc);
    __cil_add_pred_value(835, "block_queue", block_queue);
    fscanf((FILE * __restrict )stdin, (char const * __restrict )"%f", & ratio);
    __cil_begin_pred_values(153, "./schedule.i", "main");
    __cil_add_pred_value(836, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(837, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(838, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(839, "prio <= 0", prio <= 0);
    __cil_add_pred_value(840, "prio > 3", prio > 3);
    __cil_add_pred_value(841, "status", status);
    __cil_add_pred_value(842, "status != -1", status != -1);
    __cil_add_pred_value(843, "prio >= 1", prio >= 1);
    __cil_add_pred_value(844, "argc < 4", argc < 4);
    __cil_add_pred_value(845, "cur_proc", cur_proc);
    __cil_add_pred_value(846, "block_queue", block_queue);
    unblock_process(ratio);
    __cil_begin_pred_values(154, "./schedule.i", "main");
    __cil_add_pred_value(847, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(848, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(849, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(850, "prio <= 0", prio <= 0);
    __cil_add_pred_value(851, "prio > 3", prio > 3);
    __cil_add_pred_value(852, "status", status);
    __cil_add_pred_value(853, "status != -1", status != -1);
    __cil_add_pred_value(854, "prio >= 1", prio >= 1);
    __cil_add_pred_value(855, "argc < 4", argc < 4);
    __cil_add_pred_value(856, "cur_proc", cur_proc);
    __cil_add_pred_value(857, "block_queue", block_queue);
    break;
    case 2:
    __cil_begin_pred_values(155, "./schedule.i", "main");
    __cil_add_pred_value(858, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(859, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(860, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(861, "prio <= 0", prio <= 0);
    __cil_add_pred_value(862, "prio > 3", prio > 3);
    __cil_add_pred_value(863, "status", status);
    __cil_add_pred_value(864, "status != -1", status != -1);
    __cil_add_pred_value(865, "prio >= 1", prio >= 1);
    __cil_add_pred_value(866, "argc < 4", argc < 4);
    __cil_add_pred_value(867, "cur_proc", cur_proc);
    __cil_add_pred_value(868, "block_queue", block_queue);
    fscanf((FILE * __restrict )stdin, (char const * __restrict )"%d", & prio);
    __cil_begin_pred_values(156, "./schedule.i", "main");
    __cil_add_pred_value(869, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(870, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(871, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(872, "prio <= 0", prio <= 0);
    __cil_add_pred_value(873, "prio > 3", prio > 3);
    __cil_add_pred_value(874, "status", status);
    __cil_add_pred_value(875, "status != -1", status != -1);
    __cil_add_pred_value(876, "prio >= 1", prio >= 1);
    __cil_add_pred_value(877, "argc < 4", argc < 4);
    __cil_add_pred_value(878, "cur_proc", cur_proc);
    __cil_add_pred_value(879, "block_queue", block_queue);
    fscanf((FILE * __restrict )stdin, (char const * __restrict )"%f", & ratio);
    __cil_begin_pred_values(157, "./schedule.i", "main");
    __cil_add_pred_value(880, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(881, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(882, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(883, "prio <= 0", prio <= 0);
    __cil_add_pred_value(884, "prio > 3", prio > 3);
    __cil_add_pred_value(885, "status", status);
    __cil_add_pred_value(886, "status != -1", status != -1);
    __cil_add_pred_value(887, "prio >= 1", prio >= 1);
    __cil_add_pred_value(888, "argc < 4", argc < 4);
    __cil_add_pred_value(889, "cur_proc", cur_proc);
    __cil_add_pred_value(890, "block_queue", block_queue);
    if (prio > 3) {
      __cil_begin_pred_values(164, "./schedule.i", "main");
      __cil_add_pred_value(957, "argv + prio != 0", argv + prio != 0);
      __cil_add_pred_value(958, "cur_proc != 0", cur_proc != 0);
      __cil_add_pred_value(959, "block_queue != 0", block_queue != 0);
      __cil_add_pred_value(960, "prio <= 0", prio <= 0);
      __cil_add_pred_value(961, "prio > 3", prio > 3);
      __cil_add_pred_value(962, "status", status);
      __cil_add_pred_value(963, "status != -1", status != -1);
      __cil_add_pred_value(964, "prio >= 1", prio >= 1);
      __cil_add_pred_value(965, "argc < 4", argc < 4);
      __cil_add_pred_value(966, "cur_proc", cur_proc);
      __cil_add_pred_value(967, "block_queue", block_queue);
      fprintf((FILE * __restrict )stdout, (char const * __restrict )"** invalid priority\n");
      __cil_begin_pred_values(165, "./schedule.i", "main");
      __cil_add_pred_value(968, "argv + prio != 0", argv + prio != 0);
      __cil_add_pred_value(969, "cur_proc != 0", cur_proc != 0);
      __cil_add_pred_value(970, "block_queue != 0", block_queue != 0);
      __cil_add_pred_value(971, "prio <= 0", prio <= 0);
      __cil_add_pred_value(972, "prio > 3", prio > 3);
      __cil_add_pred_value(973, "status", status);
      __cil_add_pred_value(974, "status != -1", status != -1);
      __cil_add_pred_value(975, "prio >= 1", prio >= 1);
      __cil_add_pred_value(976, "argc < 4", argc < 4);
      __cil_add_pred_value(977, "cur_proc", cur_proc);
      __cil_add_pred_value(978, "block_queue", block_queue);
      return;
    } else {
      __cil_begin_pred_values(166, "./schedule.i", "main");
      __cil_add_pred_value(979, "argv + prio != 0", argv + prio != 0);
      __cil_add_pred_value(980, "cur_proc != 0", cur_proc != 0);
      __cil_add_pred_value(981, "block_queue != 0", block_queue != 0);
      __cil_add_pred_value(982, "prio <= 0", prio <= 0);
      __cil_add_pred_value(983, "prio > 3", prio > 3);
      __cil_add_pred_value(984, "status", status);
      __cil_add_pred_value(985, "status != -1", status != -1);
      __cil_add_pred_value(986, "prio >= 1", prio >= 1);
      __cil_add_pred_value(987, "argc < 4", argc < 4);
      __cil_add_pred_value(988, "cur_proc", cur_proc);
      __cil_add_pred_value(989, "block_queue", block_queue);
      if (prio <= 0) {
        __cil_begin_pred_values(167, "./schedule.i", "main");
        __cil_add_pred_value(990, "argv + prio != 0", argv + prio != 0);
        __cil_add_pred_value(991, "cur_proc != 0", cur_proc != 0);
        __cil_add_pred_value(992, "block_queue != 0", block_queue != 0);
        __cil_add_pred_value(993, "prio <= 0", prio <= 0);
        __cil_add_pred_value(994, "prio > 3", prio > 3);
        __cil_add_pred_value(995, "status", status);
        __cil_add_pred_value(996, "status != -1", status != -1);
        __cil_add_pred_value(997, "prio >= 1", prio >= 1);
        __cil_add_pred_value(998, "argc < 4", argc < 4);
        __cil_add_pred_value(999, "cur_proc", cur_proc);
        __cil_add_pred_value(1000, "block_queue", block_queue);
        fprintf((FILE * __restrict )stdout, (char const * __restrict )"** invalid priority\n");
        __cil_begin_pred_values(168, "./schedule.i", "main");
        __cil_add_pred_value(1001, "argv + prio != 0", argv + prio != 0);
        __cil_add_pred_value(1002, "cur_proc != 0", cur_proc != 0);
        __cil_add_pred_value(1003, "block_queue != 0", block_queue != 0);
        __cil_add_pred_value(1004, "prio <= 0", prio <= 0);
        __cil_add_pred_value(1005, "prio > 3", prio > 3);
        __cil_add_pred_value(1006, "status", status);
        __cil_add_pred_value(1007, "status != -1", status != -1);
        __cil_add_pred_value(1008, "prio >= 1", prio >= 1);
        __cil_add_pred_value(1009, "argc < 4", argc < 4);
        __cil_add_pred_value(1010, "cur_proc", cur_proc);
        __cil_add_pred_value(1011, "block_queue", block_queue);
        return;
      } else {
        __cil_begin_pred_values(169, "./schedule.i", "main");
        __cil_add_pred_value(1012, "argv + prio != 0", argv + prio != 0);
        __cil_add_pred_value(1013, "cur_proc != 0", cur_proc != 0);
        __cil_add_pred_value(1014, "block_queue != 0", block_queue != 0);
        __cil_add_pred_value(1015, "prio <= 0", prio <= 0);
        __cil_add_pred_value(1016, "prio > 3", prio > 3);
        __cil_add_pred_value(1017, "status", status);
        __cil_add_pred_value(1018, "status != -1", status != -1);
        __cil_add_pred_value(1019, "prio >= 1", prio >= 1);
        __cil_add_pred_value(1020, "argc < 4", argc < 4);
        __cil_add_pred_value(1021, "cur_proc", cur_proc);
        __cil_add_pred_value(1022, "block_queue", block_queue);
        upgrade_process_prio(prio, ratio);
      }
    }
    __cil_begin_pred_values(158, "./schedule.i", "main");
    __cil_add_pred_value(891, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(892, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(893, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(894, "prio <= 0", prio <= 0);
    __cil_add_pred_value(895, "prio > 3", prio > 3);
    __cil_add_pred_value(896, "status", status);
    __cil_add_pred_value(897, "status != -1", status != -1);
    __cil_add_pred_value(898, "prio >= 1", prio >= 1);
    __cil_add_pred_value(899, "argc < 4", argc < 4);
    __cil_add_pred_value(900, "cur_proc", cur_proc);
    __cil_add_pred_value(901, "block_queue", block_queue);
    break;
    case 1:
    __cil_begin_pred_values(159, "./schedule.i", "main");
    __cil_add_pred_value(902, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(903, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(904, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(905, "prio <= 0", prio <= 0);
    __cil_add_pred_value(906, "prio > 3", prio > 3);
    __cil_add_pred_value(907, "status", status);
    __cil_add_pred_value(908, "status != -1", status != -1);
    __cil_add_pred_value(909, "prio >= 1", prio >= 1);
    __cil_add_pred_value(910, "argc < 4", argc < 4);
    __cil_add_pred_value(911, "cur_proc", cur_proc);
    __cil_add_pred_value(912, "block_queue", block_queue);
    fscanf((FILE * __restrict )stdin, (char const * __restrict )"%d", & prio);
    __cil_begin_pred_values(160, "./schedule.i", "main");
    __cil_add_pred_value(913, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(914, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(915, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(916, "prio <= 0", prio <= 0);
    __cil_add_pred_value(917, "prio > 3", prio > 3);
    __cil_add_pred_value(918, "status", status);
    __cil_add_pred_value(919, "status != -1", status != -1);
    __cil_add_pred_value(920, "prio >= 1", prio >= 1);
    __cil_add_pred_value(921, "argc < 4", argc < 4);
    __cil_add_pred_value(922, "cur_proc", cur_proc);
    __cil_add_pred_value(923, "block_queue", block_queue);
    if (prio > 3) {
      __cil_begin_pred_values(170, "./schedule.i", "main");
      __cil_add_pred_value(1023, "argv + prio != 0", argv + prio != 0);
      __cil_add_pred_value(1024, "cur_proc != 0", cur_proc != 0);
      __cil_add_pred_value(1025, "block_queue != 0", block_queue != 0);
      __cil_add_pred_value(1026, "prio <= 0", prio <= 0);
      __cil_add_pred_value(1027, "prio > 3", prio > 3);
      __cil_add_pred_value(1028, "status", status);
      __cil_add_pred_value(1029, "status != -1", status != -1);
      __cil_add_pred_value(1030, "prio >= 1", prio >= 1);
      __cil_add_pred_value(1031, "argc < 4", argc < 4);
      __cil_add_pred_value(1032, "cur_proc", cur_proc);
      __cil_add_pred_value(1033, "block_queue", block_queue);
      fprintf((FILE * __restrict )stdout, (char const * __restrict )"** invalid priority\n");
      __cil_begin_pred_values(171, "./schedule.i", "main");
      __cil_add_pred_value(1034, "argv + prio != 0", argv + prio != 0);
      __cil_add_pred_value(1035, "cur_proc != 0", cur_proc != 0);
      __cil_add_pred_value(1036, "block_queue != 0", block_queue != 0);
      __cil_add_pred_value(1037, "prio <= 0", prio <= 0);
      __cil_add_pred_value(1038, "prio > 3", prio > 3);
      __cil_add_pred_value(1039, "status", status);
      __cil_add_pred_value(1040, "status != -1", status != -1);
      __cil_add_pred_value(1041, "prio >= 1", prio >= 1);
      __cil_add_pred_value(1042, "argc < 4", argc < 4);
      __cil_add_pred_value(1043, "cur_proc", cur_proc);
      __cil_add_pred_value(1044, "block_queue", block_queue);
      return;
    } else {
      __cil_begin_pred_values(172, "./schedule.i", "main");
      __cil_add_pred_value(1045, "argv + prio != 0", argv + prio != 0);
      __cil_add_pred_value(1046, "cur_proc != 0", cur_proc != 0);
      __cil_add_pred_value(1047, "block_queue != 0", block_queue != 0);
      __cil_add_pred_value(1048, "prio <= 0", prio <= 0);
      __cil_add_pred_value(1049, "prio > 3", prio > 3);
      __cil_add_pred_value(1050, "status", status);
      __cil_add_pred_value(1051, "status != -1", status != -1);
      __cil_add_pred_value(1052, "prio >= 1", prio >= 1);
      __cil_add_pred_value(1053, "argc < 4", argc < 4);
      __cil_add_pred_value(1054, "cur_proc", cur_proc);
      __cil_add_pred_value(1055, "block_queue", block_queue);
      if (prio <= 0) {
        __cil_begin_pred_values(173, "./schedule.i", "main");
        __cil_add_pred_value(1056, "argv + prio != 0", argv + prio != 0);
        __cil_add_pred_value(1057, "cur_proc != 0", cur_proc != 0);
        __cil_add_pred_value(1058, "block_queue != 0", block_queue != 0);
        __cil_add_pred_value(1059, "prio <= 0", prio <= 0);
        __cil_add_pred_value(1060, "prio > 3", prio > 3);
        __cil_add_pred_value(1061, "status", status);
        __cil_add_pred_value(1062, "status != -1", status != -1);
        __cil_add_pred_value(1063, "prio >= 1", prio >= 1);
        __cil_add_pred_value(1064, "argc < 4", argc < 4);
        __cil_add_pred_value(1065, "cur_proc", cur_proc);
        __cil_add_pred_value(1066, "block_queue", block_queue);
        fprintf((FILE * __restrict )stdout, (char const * __restrict )"** invalid priority\n");
        __cil_begin_pred_values(174, "./schedule.i", "main");
        __cil_add_pred_value(1067, "argv + prio != 0", argv + prio != 0);
        __cil_add_pred_value(1068, "cur_proc != 0", cur_proc != 0);
        __cil_add_pred_value(1069, "block_queue != 0", block_queue != 0);
        __cil_add_pred_value(1070, "prio <= 0", prio <= 0);
        __cil_add_pred_value(1071, "prio > 3", prio > 3);
        __cil_add_pred_value(1072, "status", status);
        __cil_add_pred_value(1073, "status != -1", status != -1);
        __cil_add_pred_value(1074, "prio >= 1", prio >= 1);
        __cil_add_pred_value(1075, "argc < 4", argc < 4);
        __cil_add_pred_value(1076, "cur_proc", cur_proc);
        __cil_add_pred_value(1077, "block_queue", block_queue);
        return;
      } else {
        __cil_begin_pred_values(175, "./schedule.i", "main");
        __cil_add_pred_value(1078, "argv + prio != 0", argv + prio != 0);
        __cil_add_pred_value(1079, "cur_proc != 0", cur_proc != 0);
        __cil_add_pred_value(1080, "block_queue != 0", block_queue != 0);
        __cil_add_pred_value(1081, "prio <= 0", prio <= 0);
        __cil_add_pred_value(1082, "prio > 3", prio > 3);
        __cil_add_pred_value(1083, "status", status);
        __cil_add_pred_value(1084, "status != -1", status != -1);
        __cil_add_pred_value(1085, "prio >= 1", prio >= 1);
        __cil_add_pred_value(1086, "argc < 4", argc < 4);
        __cil_add_pred_value(1087, "cur_proc", cur_proc);
        __cil_add_pred_value(1088, "block_queue", block_queue);
        add_process(prio);
      }
    }
    __cil_begin_pred_values(161, "./schedule.i", "main");
    __cil_add_pred_value(924, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(925, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(926, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(927, "prio <= 0", prio <= 0);
    __cil_add_pred_value(928, "prio > 3", prio > 3);
    __cil_add_pred_value(929, "status", status);
    __cil_add_pred_value(930, "status != -1", status != -1);
    __cil_add_pred_value(931, "prio >= 1", prio >= 1);
    __cil_add_pred_value(932, "argc < 4", argc < 4);
    __cil_add_pred_value(933, "cur_proc", cur_proc);
    __cil_add_pred_value(934, "block_queue", block_queue);
    break;
    case 7:
    __cil_begin_pred_values(162, "./schedule.i", "main");
    __cil_add_pred_value(935, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(936, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(937, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(938, "prio <= 0", prio <= 0);
    __cil_add_pred_value(939, "prio > 3", prio > 3);
    __cil_add_pred_value(940, "status", status);
    __cil_add_pred_value(941, "status != -1", status != -1);
    __cil_add_pred_value(942, "prio >= 1", prio >= 1);
    __cil_add_pred_value(943, "argc < 4", argc < 4);
    __cil_add_pred_value(944, "cur_proc", cur_proc);
    __cil_add_pred_value(945, "block_queue", block_queue);
    finish_all_processes();
    __cil_begin_pred_values(163, "./schedule.i", "main");
    __cil_add_pred_value(946, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(947, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(948, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(949, "prio <= 0", prio <= 0);
    __cil_add_pred_value(950, "prio > 3", prio > 3);
    __cil_add_pred_value(951, "status", status);
    __cil_add_pred_value(952, "status != -1", status != -1);
    __cil_add_pred_value(953, "prio >= 1", prio >= 1);
    __cil_add_pred_value(954, "argc < 4", argc < 4);
    __cil_add_pred_value(955, "cur_proc", cur_proc);
    __cil_add_pred_value(956, "block_queue", block_queue);
    break;
    }
    __cil_begin_pred_values(142, "./schedule.i", "main");
    __cil_add_pred_value(715, "argv + prio != 0", argv + prio != 0);
    __cil_add_pred_value(716, "cur_proc != 0", cur_proc != 0);
    __cil_add_pred_value(717, "block_queue != 0", block_queue != 0);
    __cil_add_pred_value(718, "prio <= 0", prio <= 0);
    __cil_add_pred_value(719, "prio > 3", prio > 3);
    __cil_add_pred_value(720, "status", status);
    __cil_add_pred_value(721, "status != -1", status != -1);
    __cil_add_pred_value(722, "prio >= 1", prio >= 1);
    __cil_add_pred_value(723, "argc < 4", argc < 4);
    __cil_add_pred_value(724, "cur_proc", cur_proc);
    __cil_add_pred_value(725, "block_queue", block_queue);
    status = fscanf((FILE * __restrict )stdin, (char const * __restrict )"%d",
                    & command);
  }
  __cil_begin_pred_values(132, "./schedule.i", "main");
  __cil_add_pred_value(605, "cur_proc != 0", cur_proc != 0);
  __cil_add_pred_value(606, "block_queue != 0", block_queue != 0);
  __cil_add_pred_value(607, "prio <= 0", prio <= 0);
  __cil_add_pred_value(608, "prio > 3", prio > 3);
  __cil_add_pred_value(609, "status", status);
  __cil_add_pred_value(610, "status != -1", status != -1);
  __cil_add_pred_value(611, "argv + prio != 0", argv + prio != 0);
  __cil_add_pred_value(612, "prio >= 1", prio >= 1);
  __cil_add_pred_value(613, "argc < 4", argc < 4);
  __cil_add_pred_value(614, "cur_proc", cur_proc);
  __cil_add_pred_value(615, "block_queue", block_queue);
  return (0);
}
}
