#!/usr/bin/python

import os
import shutil
import subprocess
import time
import signal
import re
import getopt, sys
import glob
from optparse import OptionParser
from time import localtime, strftime
import string
import datetime
import myutils
import itertools
#---------------------------------------------------------------------------------------------------------------------------------
GMUTANTS='../mutants'
GOUTPUTS='outputs'
GINPUTS='inputs'
TIMEOUT_LIMIT=0.1# in seconds
#---------------------------------------------------------------------------------------------------------------------------------
def main():
	curdir = os.getcwd()
	mutants=glob.glob('../mutants/mutant*.c')
	mutants.sort()
	mid = 0
	tmplines = myutils.getFileLines('runall.sh')
	cmdlines=[]
	for tmpline in tmplines:
		if tmpline.find('schedule2.exe') > -1:
			cmdlines.append(tmpline)
	#cmdlines=[]
	#for line in lines:
	#	parts = line.split('>')
	#	assert(len(parts)==2)
	#	p1 = parts[0].strip()
	#	p2 = parts[1].strip()
	#	inputs.append(p1)
	#	outputs.append(p2)
		
	for mutant in mutants:
		muname = os.path.basename(mutant)
		tmp = muname.split('_')
		muname = tmp[0]
	
		myutils.exec_cmd('rm -rf ../source/schedule2.exe')
		myutils.exec_cmd('gcc -O3 %s -o ../source/schedule2.exe -I ../source.alt/source.orig/'%(mutant))
		if os.path.exists('../source/schedule2.exe'):
			myutils.exec_cmd('mkdir ../outputs/%s'%(muname))
			# run it
			#numinputs=len(inputs)
			for cmdline in cmdlines:
				runline = cmdline.replace('outputs', 'outputs/%s'%(muname))
				#print(runline)
				p = subprocess.Popen(runline, shell=True)
				mtime = time.time()
				shouldbreak=False
				while p.poll() == None:
					time.sleep(0.005)
					fs = 0
					#if os.path.exists(outfile):
					#	fs = os.path.getsize(outfile)
					if( time.time()-mtime > TIMEOUT_LIMIT):
						#os.kill(p.pid, signal.SIGKILL)
						myutils.exec_cmd('pkill schedule2.exe')
						shouldbreak=True
						break
				#if shouldbreak==True:
				#	break
			os.chdir('../outputs')
			myutils.exec_cmd('tar czf %s.tar.gz %s'%(muname,muname))
			myutils.exec_cmd('rm -rf %s'%(muname))
			os.chdir('%s'%(curdir))
#---------------------------------------------------------------------------------------------------------------------------------
if __name__ == "__main__":
    main()


