# 1 "./schedule2.cil.c"
# 1 "<built-in>"
# 1 "<command-line>"
# 1 "./schedule2.cil.c"



typedef unsigned long size_t;
typedef long __off_t;
typedef long __off64_t;
struct _IO_FILE;
struct _IO_FILE;
typedef struct _IO_FILE FILE;
struct _IO_FILE;
typedef void _IO_lock_t;
struct _IO_marker {
   struct _IO_marker *_next ;
   struct _IO_FILE *_sbuf ;
   int _pos ;
};
struct _IO_FILE {
   int _flags ;
   char *_IO_read_ptr ;
   char *_IO_read_end ;
   char *_IO_read_base ;
   char *_IO_write_base ;
   char *_IO_write_ptr ;
   char *_IO_write_end ;
   char *_IO_buf_base ;
   char *_IO_buf_end ;
   char *_IO_save_base ;
   char *_IO_backup_base ;
   char *_IO_save_end ;
   struct _IO_marker *_markers ;
   struct _IO_FILE *_chain ;
   int _fileno ;
   int _flags2 ;
   __off_t _old_offset ;
   unsigned short _cur_column ;
   signed char _vtable_offset ;
   char _shortbuf[1] ;
   _IO_lock_t *_lock ;
   __off64_t _offset ;
   void *__pad1 ;
   void *__pad2 ;
   void *__pad3 ;
   void *__pad4 ;
   size_t __pad5 ;
   int _mode ;
   char _unused2[(15UL * sizeof(int ) - 4UL * sizeof(void *)) - sizeof(size_t )] ;
};
struct process;
struct process {
   unsigned int pid ;
   int priority ;
   struct process *next ;
};
struct queue {
   int length ;
   struct process *head ;
};
extern struct _IO_FILE *stdin ;
extern struct _IO_FILE *stdout ;
extern int fprintf(FILE * __restrict __stream , char const * __restrict __format
                   , ...) ;
extern __attribute__((__nothrow__)) int sscanf(char const * __restrict __s , char const * __restrict __format
                                                , ...) __asm__("__isoc99_sscanf") __attribute__((__leaf__)) ;
extern char *fgets(char * __restrict __s , int __n , FILE * __restrict __stream ) ;
int get_command(int *command , int *prio , float *ratio ) ;
int exit_here(int status ) ;
int enqueue(int prio , struct process *new_process ) ;
int new_job(int prio ) ;
int schedule(int command , int prio , float ratio ) ;
struct process *get_current(void) ;
int reschedule(int prio ) ;
int put_end(int prio , struct process *process ) ;
int get_process(int prio , float ratio , struct process **job ) ;
static struct process *current_job ;
static int next_pid = 0;
int enqueue(int prio , struct process *new_process )
{ int status ;
  int tmp ;

  {
  __cil_begin_pred_values(0, "./schedule2.i", "enqueue");
  __cil_add_pred_value(0, "current_job != 0", current_job != 0);
  __cil_add_pred_value(1, "current_job", current_job);
  __cil_add_pred_value(2, "! current_job", ! current_job);
  __cil_add_pred_value(3, "status", status);
  status = put_end(prio, new_process);
  __cil_begin_pred_values(1, "./schedule2.i", "enqueue");
  __cil_add_pred_value(4, "current_job != 0", current_job != 0);
  __cil_add_pred_value(5, "current_job", current_job);
  __cil_add_pred_value(6, "! current_job", ! current_job);
  __cil_add_pred_value(7, "status", status);
  if (status) {
    __cil_begin_pred_values(4, "./schedule2.i", "enqueue");
    __cil_add_pred_value(16, "current_job != 0", current_job != 0);
    __cil_add_pred_value(17, "current_job", current_job);
    __cil_add_pred_value(18, "! current_job", ! current_job);
    __cil_add_pred_value(19, "status", status);
    return (status);
  }
  __cil_begin_pred_values(2, "./schedule2.i", "enqueue");
  __cil_add_pred_value(8, "current_job != 0", current_job != 0);
  __cil_add_pred_value(9, "current_job", current_job);
  __cil_add_pred_value(10, "! current_job", ! current_job);
  __cil_add_pred_value(11, "status", status);
  tmp = reschedule(prio);
  __cil_begin_pred_values(3, "./schedule2.i", "enqueue");
  __cil_add_pred_value(12, "current_job != 0", current_job != 0);
  __cil_add_pred_value(13, "current_job", current_job);
  __cil_add_pred_value(14, "! current_job", ! current_job);
  __cil_add_pred_value(15, "status", status);
  return (tmp);
}
}
static struct queue prio_queue[4] ;
extern int ( atoi)() ;
int main(int argc , char **argv )
{ int command ;
  int prio ;
  float ratio ;
  int nprocs ;
  int status ;

  {
  begin_trace_session("predStmt", 0);
  __cil_begin_pred_values(5, "./schedule2.i", "main");
  __cil_add_pred_value(20, "current_job != 0", current_job != 0);
  __cil_add_pred_value(21, "current_job", current_job);
  __cil_add_pred_value(22, "! current_job", ! current_job);
  __cil_add_pred_value(23, "status < 0", status < 0);
  __cil_add_pred_value(24, "status > 0", status > 0);
  __cil_add_pred_value(25, "status", status);
  __cil_add_pred_value(26, "nprocs > 0", nprocs > 0);
  __cil_add_pred_value(27, "nprocs < 0", nprocs < 0);
  __cil_add_pred_value(28, "argv + (4 - prio) != 0", argv + (4 - prio) != 0);
  __cil_add_pred_value(29, "prio > 0", prio > 0);
  __cil_add_pred_value(30, "argc != 4", argc != 4);
  if (argc != 4) {
    __cil_begin_pred_values(12, "./schedule2.i", "main");
    __cil_add_pred_value(97, "current_job != 0", current_job != 0);
    __cil_add_pred_value(98, "current_job", current_job);
    __cil_add_pred_value(99, "! current_job", ! current_job);
    __cil_add_pred_value(100, "status < 0", status < 0);
    __cil_add_pred_value(101, "status > 0", status > 0);
    __cil_add_pred_value(102, "status", status);
    __cil_add_pred_value(103, "nprocs > 0", nprocs > 0);
    __cil_add_pred_value(104, "nprocs < 0", nprocs < 0);
    __cil_add_pred_value(105, "argv + (4 - prio) != 0", argv + (4 - prio) != 0);
    __cil_add_pred_value(106, "prio > 0", prio > 0);
    __cil_add_pred_value(107, "argc != 4", argc != 4);
    exit_here(-1);
  }
  __cil_begin_pred_values(6, "./schedule2.i", "main");
  __cil_add_pred_value(31, "current_job != 0", current_job != 0);
  __cil_add_pred_value(32, "current_job", current_job);
  __cil_add_pred_value(33, "! current_job", ! current_job);
  __cil_add_pred_value(34, "status < 0", status < 0);
  __cil_add_pred_value(35, "status > 0", status > 0);
  __cil_add_pred_value(36, "status", status);
  __cil_add_pred_value(37, "nprocs > 0", nprocs > 0);
  __cil_add_pred_value(38, "nprocs < 0", nprocs < 0);
  __cil_add_pred_value(39, "argv + (4 - prio) != 0", argv + (4 - prio) != 0);
  __cil_add_pred_value(40, "prio > 0", prio > 0);
  __cil_add_pred_value(41, "argc != 4", argc != 4);
  prio = 3;
  __cil_begin_pred_values(7, "./schedule2.i", "main");
  __cil_add_pred_value(42, "current_job != 0", current_job != 0);
  __cil_add_pred_value(43, "current_job", current_job);
  __cil_add_pred_value(44, "! current_job", ! current_job);
  __cil_add_pred_value(45, "status < 0", status < 0);
  __cil_add_pred_value(46, "status > 0", status > 0);
  __cil_add_pred_value(47, "status", status);
  __cil_add_pred_value(48, "nprocs > 0", nprocs > 0);
  __cil_add_pred_value(49, "nprocs < 0", nprocs < 0);
  __cil_add_pred_value(50, "argv + (4 - prio) != 0", argv + (4 - prio) != 0);
  __cil_add_pred_value(51, "prio > 0", prio > 0);
  __cil_add_pred_value(52, "argc != 4", argc != 4);
  while (1) {
    __cil_begin_pred_values(13, "./schedule2.i", "main");
    __cil_add_pred_value(108, "current_job != 0", current_job != 0);
    __cil_add_pred_value(109, "current_job", current_job);
    __cil_add_pred_value(110, "! current_job", ! current_job);
    __cil_add_pred_value(111, "status < 0", status < 0);
    __cil_add_pred_value(112, "status > 0", status > 0);
    __cil_add_pred_value(113, "status", status);
    __cil_add_pred_value(114, "nprocs > 0", nprocs > 0);
    __cil_add_pred_value(115, "nprocs < 0", nprocs < 0);
    __cil_add_pred_value(116, "argv + (4 - prio) != 0", argv + (4 - prio) != 0);
    __cil_add_pred_value(117, "prio > 0", prio > 0);
    __cil_add_pred_value(118, "argc != 4", argc != 4);
    if (! (prio > 0)) {
      __cil_begin_pred_values(18, "./schedule2.i", "main");
      __cil_add_pred_value(163, "current_job != 0", current_job != 0);
      __cil_add_pred_value(164, "current_job", current_job);
      __cil_add_pred_value(165, "! current_job", ! current_job);
      __cil_add_pred_value(166, "status < 0", status < 0);
      __cil_add_pred_value(167, "status > 0", status > 0);
      __cil_add_pred_value(168, "status", status);
      __cil_add_pred_value(169, "nprocs > 0", nprocs > 0);
      __cil_add_pred_value(170, "nprocs < 0", nprocs < 0);
      __cil_add_pred_value(171, "argv + (4 - prio) != 0", argv + (4 - prio) != 0);
      __cil_add_pred_value(172, "prio > 0", prio > 0);
      __cil_add_pred_value(173, "argc != 4", argc != 4);
      break;
    }
    __cil_begin_pred_values(14, "./schedule2.i", "main");
    __cil_add_pred_value(119, "current_job != 0", current_job != 0);
    __cil_add_pred_value(120, "current_job", current_job);
    __cil_add_pred_value(121, "! current_job", ! current_job);
    __cil_add_pred_value(122, "status < 0", status < 0);
    __cil_add_pred_value(123, "status > 0", status > 0);
    __cil_add_pred_value(124, "status", status);
    __cil_add_pred_value(125, "nprocs > 0", nprocs > 0);
    __cil_add_pred_value(126, "nprocs < 0", nprocs < 0);
    __cil_add_pred_value(127, "argv + (4 - prio) != 0", argv + (4 - prio) != 0);
    __cil_add_pred_value(128, "prio > 0", prio > 0);
    __cil_add_pred_value(129, "argc != 4", argc != 4);
    nprocs = atoi(*(argv + (4 - prio)));
    __cil_begin_pred_values(15, "./schedule2.i", "main");
    __cil_add_pred_value(130, "current_job != 0", current_job != 0);
    __cil_add_pred_value(131, "current_job", current_job);
    __cil_add_pred_value(132, "! current_job", ! current_job);
    __cil_add_pred_value(133, "status < 0", status < 0);
    __cil_add_pred_value(134, "status > 0", status > 0);
    __cil_add_pred_value(135, "status", status);
    __cil_add_pred_value(136, "nprocs > 0", nprocs > 0);
    __cil_add_pred_value(137, "nprocs < 0", nprocs < 0);
    __cil_add_pred_value(138, "argv + (4 - prio) != 0", argv + (4 - prio) != 0);
    __cil_add_pred_value(139, "prio > 0", prio > 0);
    __cil_add_pred_value(140, "argc != 4", argc != 4);
    if (nprocs < 0) {
      __cil_begin_pred_values(19, "./schedule2.i", "main");
      __cil_add_pred_value(174, "argv + (4 - prio) != 0", argv + (4 - prio) != 0);
      __cil_add_pred_value(175, "current_job != 0", current_job != 0);
      __cil_add_pred_value(176, "current_job", current_job);
      __cil_add_pred_value(177, "! current_job", ! current_job);
      __cil_add_pred_value(178, "status < 0", status < 0);
      __cil_add_pred_value(179, "status > 0", status > 0);
      __cil_add_pred_value(180, "status", status);
      __cil_add_pred_value(181, "nprocs > 0", nprocs > 0);
      __cil_add_pred_value(182, "nprocs < 0", nprocs < 0);
      __cil_add_pred_value(183, "prio > 0", prio > 0);
      __cil_add_pred_value(184, "argc != 4", argc != 4);
      exit_here(-2);
    }
    __cil_begin_pred_values(16, "./schedule2.i", "main");
    __cil_add_pred_value(141, "current_job != 0", current_job != 0);
    __cil_add_pred_value(142, "current_job", current_job);
    __cil_add_pred_value(143, "! current_job", ! current_job);
    __cil_add_pred_value(144, "status < 0", status < 0);
    __cil_add_pred_value(145, "status > 0", status > 0);
    __cil_add_pred_value(146, "status", status);
    __cil_add_pred_value(147, "nprocs > 0", nprocs > 0);
    __cil_add_pred_value(148, "nprocs < 0", nprocs < 0);
    __cil_add_pred_value(149, "argv + (4 - prio) != 0", argv + (4 - prio) != 0);
    __cil_add_pred_value(150, "prio > 0", prio > 0);
    __cil_add_pred_value(151, "argc != 4", argc != 4);
    while (1) {
      __cil_begin_pred_values(20, "./schedule2.i", "main");
      __cil_add_pred_value(185, "argv + (4 - prio) != 0", argv + (4 - prio) != 0);
      __cil_add_pred_value(186, "current_job != 0", current_job != 0);
      __cil_add_pred_value(187, "current_job", current_job);
      __cil_add_pred_value(188, "! current_job", ! current_job);
      __cil_add_pred_value(189, "status < 0", status < 0);
      __cil_add_pred_value(190, "status > 0", status > 0);
      __cil_add_pred_value(191, "status", status);
      __cil_add_pred_value(192, "nprocs > 0", nprocs > 0);
      __cil_add_pred_value(193, "nprocs < 0", nprocs < 0);
      __cil_add_pred_value(194, "prio > 0", prio > 0);
      __cil_add_pred_value(195, "argc != 4", argc != 4);
      if (! (nprocs > 0)) {
        __cil_begin_pred_values(24, "./schedule2.i", "main");
        __cil_add_pred_value(229, "argv + (4 - prio) != 0", argv + (4 - prio) != 0);
        __cil_add_pred_value(230, "current_job != 0", current_job != 0);
        __cil_add_pred_value(231, "current_job", current_job);
        __cil_add_pred_value(232, "! current_job", ! current_job);
        __cil_add_pred_value(233, "status < 0", status < 0);
        __cil_add_pred_value(234, "status > 0", status > 0);
        __cil_add_pred_value(235, "status", status);
        __cil_add_pred_value(236, "nprocs > 0", nprocs > 0);
        __cil_add_pred_value(237, "nprocs < 0", nprocs < 0);
        __cil_add_pred_value(238, "prio > 0", prio > 0);
        __cil_add_pred_value(239, "argc != 4", argc != 4);
        break;
      }
      __cil_begin_pred_values(21, "./schedule2.i", "main");
      __cil_add_pred_value(196, "argv + (4 - prio) != 0", argv + (4 - prio) != 0);
      __cil_add_pred_value(197, "current_job != 0", current_job != 0);
      __cil_add_pred_value(198, "current_job", current_job);
      __cil_add_pred_value(199, "! current_job", ! current_job);
      __cil_add_pred_value(200, "status < 0", status < 0);
      __cil_add_pred_value(201, "status > 0", status > 0);
      __cil_add_pred_value(202, "status", status);
      __cil_add_pred_value(203, "nprocs > 0", nprocs > 0);
      __cil_add_pred_value(204, "nprocs < 0", nprocs < 0);
      __cil_add_pred_value(205, "prio > 0", prio > 0);
      __cil_add_pred_value(206, "argc != 4", argc != 4);
      status = new_job(prio);
      __cil_begin_pred_values(22, "./schedule2.i", "main");
      __cil_add_pred_value(207, "argv + (4 - prio) != 0", argv + (4 - prio) != 0);
      __cil_add_pred_value(208, "current_job != 0", current_job != 0);
      __cil_add_pred_value(209, "current_job", current_job);
      __cil_add_pred_value(210, "! current_job", ! current_job);
      __cil_add_pred_value(211, "status < 0", status < 0);
      __cil_add_pred_value(212, "status > 0", status > 0);
      __cil_add_pred_value(213, "status", status);
      __cil_add_pred_value(214, "nprocs > 0", nprocs > 0);
      __cil_add_pred_value(215, "nprocs < 0", nprocs < 0);
      __cil_add_pred_value(216, "prio > 0", prio > 0);
      __cil_add_pred_value(217, "argc != 4", argc != 4);
      if (status) {
        __cil_begin_pred_values(25, "./schedule2.i", "main");
        __cil_add_pred_value(240, "argv + (4 - prio) != 0", argv + (4 - prio) != 0);
        __cil_add_pred_value(241, "current_job != 0", current_job != 0);
        __cil_add_pred_value(242, "current_job", current_job);
        __cil_add_pred_value(243, "! current_job", ! current_job);
        __cil_add_pred_value(244, "status < 0", status < 0);
        __cil_add_pred_value(245, "status > 0", status > 0);
        __cil_add_pred_value(246, "status", status);
        __cil_add_pred_value(247, "nprocs > 0", nprocs > 0);
        __cil_add_pred_value(248, "nprocs < 0", nprocs < 0);
        __cil_add_pred_value(249, "prio > 0", prio > 0);
        __cil_add_pred_value(250, "argc != 4", argc != 4);
        exit_here(status);
      }
      __cil_begin_pred_values(23, "./schedule2.i", "main");
      __cil_add_pred_value(218, "argv + (4 - prio) != 0", argv + (4 - prio) != 0);
      __cil_add_pred_value(219, "current_job != 0", current_job != 0);
      __cil_add_pred_value(220, "current_job", current_job);
      __cil_add_pred_value(221, "! current_job", ! current_job);
      __cil_add_pred_value(222, "status < 0", status < 0);
      __cil_add_pred_value(223, "status > 0", status > 0);
      __cil_add_pred_value(224, "status", status);
      __cil_add_pred_value(225, "nprocs > 0", nprocs > 0);
      __cil_add_pred_value(226, "nprocs < 0", nprocs < 0);
      __cil_add_pred_value(227, "prio > 0", prio > 0);
      __cil_add_pred_value(228, "argc != 4", argc != 4);
      nprocs --;
    }
    __cil_begin_pred_values(17, "./schedule2.i", "main");
    __cil_add_pred_value(152, "current_job != 0", current_job != 0);
    __cil_add_pred_value(153, "current_job", current_job);
    __cil_add_pred_value(154, "! current_job", ! current_job);
    __cil_add_pred_value(155, "status < 0", status < 0);
    __cil_add_pred_value(156, "status > 0", status > 0);
    __cil_add_pred_value(157, "status", status);
    __cil_add_pred_value(158, "nprocs > 0", nprocs > 0);
    __cil_add_pred_value(159, "nprocs < 0", nprocs < 0);
    __cil_add_pred_value(160, "argv + (4 - prio) != 0", argv + (4 - prio) != 0);
    __cil_add_pred_value(161, "prio > 0", prio > 0);
    __cil_add_pred_value(162, "argc != 4", argc != 4);
    prio --;
  }
  __cil_begin_pred_values(8, "./schedule2.i", "main");
  __cil_add_pred_value(53, "current_job != 0", current_job != 0);
  __cil_add_pred_value(54, "current_job", current_job);
  __cil_add_pred_value(55, "! current_job", ! current_job);
  __cil_add_pred_value(56, "status < 0", status < 0);
  __cil_add_pred_value(57, "status > 0", status > 0);
  __cil_add_pred_value(58, "status", status);
  __cil_add_pred_value(59, "nprocs > 0", nprocs > 0);
  __cil_add_pred_value(60, "nprocs < 0", nprocs < 0);
  __cil_add_pred_value(61, "argv + (4 - prio) != 0", argv + (4 - prio) != 0);
  __cil_add_pred_value(62, "prio > 0", prio > 0);
  __cil_add_pred_value(63, "argc != 4", argc != 4);
  while (1) {
    __cil_begin_pred_values(26, "./schedule2.i", "main");
    __cil_add_pred_value(251, "argv + (4 - prio) != 0", argv + (4 - prio) != 0);
    __cil_add_pred_value(252, "current_job != 0", current_job != 0);
    __cil_add_pred_value(253, "current_job", current_job);
    __cil_add_pred_value(254, "! current_job", ! current_job);
    __cil_add_pred_value(255, "status < 0", status < 0);
    __cil_add_pred_value(256, "status > 0", status > 0);
    __cil_add_pred_value(257, "status", status);
    __cil_add_pred_value(258, "nprocs > 0", nprocs > 0);
    __cil_add_pred_value(259, "nprocs < 0", nprocs < 0);
    __cil_add_pred_value(260, "prio > 0", prio > 0);
    __cil_add_pred_value(261, "argc != 4", argc != 4);
    status = get_command(& command, & prio, & ratio);
    __cil_begin_pred_values(27, "./schedule2.i", "main");
    __cil_add_pred_value(262, "argv + (4 - prio) != 0", argv + (4 - prio) != 0);
    __cil_add_pred_value(263, "current_job != 0", current_job != 0);
    __cil_add_pred_value(264, "current_job", current_job);
    __cil_add_pred_value(265, "! current_job", ! current_job);
    __cil_add_pred_value(266, "status < 0", status < 0);
    __cil_add_pred_value(267, "status > 0", status > 0);
    __cil_add_pred_value(268, "status", status);
    __cil_add_pred_value(269, "nprocs > 0", nprocs > 0);
    __cil_add_pred_value(270, "nprocs < 0", nprocs < 0);
    __cil_add_pred_value(271, "prio > 0", prio > 0);
    __cil_add_pred_value(272, "argc != 4", argc != 4);
    if (! (status > 0)) {
      __cil_begin_pred_values(29, "./schedule2.i", "main");
      __cil_add_pred_value(284, "argv + (4 - prio) != 0", argv + (4 - prio) != 0);
      __cil_add_pred_value(285, "current_job != 0", current_job != 0);
      __cil_add_pred_value(286, "current_job", current_job);
      __cil_add_pred_value(287, "! current_job", ! current_job);
      __cil_add_pred_value(288, "status < 0", status < 0);
      __cil_add_pred_value(289, "status > 0", status > 0);
      __cil_add_pred_value(290, "status", status);
      __cil_add_pred_value(291, "nprocs > 0", nprocs > 0);
      __cil_add_pred_value(292, "nprocs < 0", nprocs < 0);
      __cil_add_pred_value(293, "prio > 0", prio > 0);
      __cil_add_pred_value(294, "argc != 4", argc != 4);
      break;
    }
    __cil_begin_pred_values(28, "./schedule2.i", "main");
    __cil_add_pred_value(273, "argv + (4 - prio) != 0", argv + (4 - prio) != 0);
    __cil_add_pred_value(274, "current_job != 0", current_job != 0);
    __cil_add_pred_value(275, "current_job", current_job);
    __cil_add_pred_value(276, "! current_job", ! current_job);
    __cil_add_pred_value(277, "status < 0", status < 0);
    __cil_add_pred_value(278, "status > 0", status > 0);
    __cil_add_pred_value(279, "status", status);
    __cil_add_pred_value(280, "nprocs > 0", nprocs > 0);
    __cil_add_pred_value(281, "nprocs < 0", nprocs < 0);
    __cil_add_pred_value(282, "prio > 0", prio > 0);
    __cil_add_pred_value(283, "argc != 4", argc != 4);
    schedule(command, prio, ratio);
  }
  __cil_begin_pred_values(9, "./schedule2.i", "main");
  __cil_add_pred_value(64, "current_job != 0", current_job != 0);
  __cil_add_pred_value(65, "current_job", current_job);
  __cil_add_pred_value(66, "! current_job", ! current_job);
  __cil_add_pred_value(67, "status < 0", status < 0);
  __cil_add_pred_value(68, "status > 0", status > 0);
  __cil_add_pred_value(69, "status", status);
  __cil_add_pred_value(70, "nprocs > 0", nprocs > 0);
  __cil_add_pred_value(71, "nprocs < 0", nprocs < 0);
  __cil_add_pred_value(72, "argv + (4 - prio) != 0", argv + (4 - prio) != 0);
  __cil_add_pred_value(73, "prio > 0", prio > 0);
  __cil_add_pred_value(74, "argc != 4", argc != 4);
  if (status < 0) {
    __cil_begin_pred_values(30, "./schedule2.i", "main");
    __cil_add_pred_value(295, "argv + (4 - prio) != 0", argv + (4 - prio) != 0);
    __cil_add_pred_value(296, "current_job != 0", current_job != 0);
    __cil_add_pred_value(297, "current_job", current_job);
    __cil_add_pred_value(298, "! current_job", ! current_job);
    __cil_add_pred_value(299, "status < 0", status < 0);
    __cil_add_pred_value(300, "status > 0", status > 0);
    __cil_add_pred_value(301, "status", status);
    __cil_add_pred_value(302, "nprocs > 0", nprocs > 0);
    __cil_add_pred_value(303, "nprocs < 0", nprocs < 0);
    __cil_add_pred_value(304, "prio > 0", prio > 0);
    __cil_add_pred_value(305, "argc != 4", argc != 4);
    exit_here(status);
  }
  __cil_begin_pred_values(10, "./schedule2.i", "main");
  __cil_add_pred_value(75, "current_job != 0", current_job != 0);
  __cil_add_pred_value(76, "current_job", current_job);
  __cil_add_pred_value(77, "! current_job", ! current_job);
  __cil_add_pred_value(78, "status < 0", status < 0);
  __cil_add_pred_value(79, "status > 0", status > 0);
  __cil_add_pred_value(80, "status", status);
  __cil_add_pred_value(81, "nprocs > 0", nprocs > 0);
  __cil_add_pred_value(82, "nprocs < 0", nprocs < 0);
  __cil_add_pred_value(83, "argv + (4 - prio) != 0", argv + (4 - prio) != 0);
  __cil_add_pred_value(84, "prio > 0", prio > 0);
  __cil_add_pred_value(85, "argc != 4", argc != 4);
  exit_here(0);
  __cil_begin_pred_values(11, "./schedule2.i", "main");
  __cil_add_pred_value(86, "current_job != 0", current_job != 0);
  __cil_add_pred_value(87, "current_job", current_job);
  __cil_add_pred_value(88, "! current_job", ! current_job);
  __cil_add_pred_value(89, "status < 0", status < 0);
  __cil_add_pred_value(90, "status > 0", status > 0);
  __cil_add_pred_value(91, "status", status);
  __cil_add_pred_value(92, "nprocs > 0", nprocs > 0);
  __cil_add_pred_value(93, "nprocs < 0", nprocs < 0);
  __cil_add_pred_value(94, "argv + (4 - prio) != 0", argv + (4 - prio) != 0);
  __cil_add_pred_value(95, "prio > 0", prio > 0);
  __cil_add_pred_value(96, "argc != 4", argc != 4);
  return (0);
}
}
extern int ( strlen)() ;
int get_command(int *command , int *prio , float *ratio )
{ int status ;
  char buf[20] ;
  int tmp ;
  int tmp___0 ;
  char *tmp___1 ;
  char *tmp___2 ;

  {
  __cil_begin_pred_values(31, "./schedule2.i", "get_command");
  __cil_add_pred_value(306, "current_job != 0", current_job != 0);
  __cil_add_pred_value(307, "current_job", current_job);
  __cil_add_pred_value(308, "! current_job", ! current_job);
  __cil_add_pred_value(309, "tmp___1", tmp___1);
  __cil_add_pred_value(310, "command != 0", command != 0);
  __cil_add_pred_value(311, "tmp___2", tmp___2);
  status = 0;
  __cil_begin_pred_values(32, "./schedule2.i", "get_command");
  __cil_add_pred_value(312, "current_job != 0", current_job != 0);
  __cil_add_pred_value(313, "current_job", current_job);
  __cil_add_pred_value(314, "! current_job", ! current_job);
  __cil_add_pred_value(315, "tmp___1", tmp___1);
  __cil_add_pred_value(316, "command != 0", command != 0);
  __cil_add_pred_value(317, "tmp___2", tmp___2);
  tmp___2 = fgets((char * __restrict )(buf), 20, (FILE * __restrict )stdin);
  __cil_begin_pred_values(33, "./schedule2.i", "get_command");
  __cil_add_pred_value(318, "current_job != 0", current_job != 0);
  __cil_add_pred_value(319, "current_job", current_job);
  __cil_add_pred_value(320, "! current_job", ! current_job);
  __cil_add_pred_value(321, "tmp___1", tmp___1);
  __cil_add_pred_value(322, "command != 0", command != 0);
  __cil_add_pred_value(323, "tmp___2", tmp___2);
  if (tmp___2) {
    __cil_begin_pred_values(34, "./schedule2.i", "get_command");
    __cil_add_pred_value(324, "current_job != 0", current_job != 0);
    __cil_add_pred_value(325, "current_job", current_job);
    __cil_add_pred_value(326, "! current_job", ! current_job);
    __cil_add_pred_value(327, "tmp___1", tmp___1);
    __cil_add_pred_value(328, "command != 0", command != 0);
    __cil_add_pred_value(329, "tmp___2", tmp___2);
    tmp = -1;
    __cil_begin_pred_values(35, "./schedule2.i", "get_command");
    __cil_add_pred_value(330, "current_job != 0", current_job != 0);
    __cil_add_pred_value(331, "current_job", current_job);
    __cil_add_pred_value(332, "! current_job", ! current_job);
    __cil_add_pred_value(333, "tmp___1", tmp___1);
    __cil_add_pred_value(334, "command != 0", command != 0);
    __cil_add_pred_value(335, "tmp___2", tmp___2);
    *command = tmp;
    __cil_begin_pred_values(36, "./schedule2.i", "get_command");
    __cil_add_pred_value(336, "current_job != 0", current_job != 0);
    __cil_add_pred_value(337, "current_job", current_job);
    __cil_add_pred_value(338, "! current_job", ! current_job);
    __cil_add_pred_value(339, "tmp___1", tmp___1);
    __cil_add_pred_value(340, "command != 0", command != 0);
    __cil_add_pred_value(341, "tmp___2", tmp___2);
    *prio = tmp;
    __cil_begin_pred_values(37, "./schedule2.i", "get_command");
    __cil_add_pred_value(342, "current_job != 0", current_job != 0);
    __cil_add_pred_value(343, "current_job", current_job);
    __cil_add_pred_value(344, "! current_job", ! current_job);
    __cil_add_pred_value(345, "tmp___1", tmp___1);
    __cil_add_pred_value(346, "command != 0", command != 0);
    __cil_add_pred_value(347, "tmp___2", tmp___2);
    *ratio = (float )(- 1.0);
    __cil_begin_pred_values(38, "./schedule2.i", "get_command");
    __cil_add_pred_value(348, "current_job != 0", current_job != 0);
    __cil_add_pred_value(349, "current_job", current_job);
    __cil_add_pred_value(350, "! current_job", ! current_job);
    __cil_add_pred_value(351, "tmp___1", tmp___1);
    __cil_add_pred_value(352, "command != 0", command != 0);
    __cil_add_pred_value(353, "tmp___2", tmp___2);
    sscanf((char const * __restrict )(buf), (char const * __restrict )"%d",
           command);
    __cil_begin_pred_values(39, "./schedule2.i", "get_command");
    __cil_add_pred_value(354, "current_job != 0", current_job != 0);
    __cil_add_pred_value(355, "current_job", current_job);
    __cil_add_pred_value(356, "! current_job", ! current_job);
    __cil_add_pred_value(357, "tmp___1", tmp___1);
    __cil_add_pred_value(358, "command != 0", command != 0);
    __cil_add_pred_value(359, "tmp___2", tmp___2);
    switch (*command) {
    case 1:
    __cil_begin_pred_values(42, "./schedule2.i", "get_command");
    __cil_add_pred_value(372, "command != 0", command != 0);
    __cil_add_pred_value(373, "current_job != 0", current_job != 0);
    __cil_add_pred_value(374, "current_job", current_job);
    __cil_add_pred_value(375, "! current_job", ! current_job);
    __cil_add_pred_value(376, "tmp___1", tmp___1);
    __cil_add_pred_value(377, "tmp___2", tmp___2);
    sscanf((char const * __restrict )(buf), (char const * __restrict )"%*s%d",
           prio);
    __cil_begin_pred_values(43, "./schedule2.i", "get_command");
    __cil_add_pred_value(378, "command != 0", command != 0);
    __cil_add_pred_value(379, "current_job != 0", current_job != 0);
    __cil_add_pred_value(380, "current_job", current_job);
    __cil_add_pred_value(381, "! current_job", ! current_job);
    __cil_add_pred_value(382, "tmp___1", tmp___1);
    __cil_add_pred_value(383, "tmp___2", tmp___2);
    break;
    case 4:
    __cil_begin_pred_values(44, "./schedule2.i", "get_command");
    __cil_add_pred_value(384, "command != 0", command != 0);
    __cil_add_pred_value(385, "current_job != 0", current_job != 0);
    __cil_add_pred_value(386, "current_job", current_job);
    __cil_add_pred_value(387, "! current_job", ! current_job);
    __cil_add_pred_value(388, "tmp___1", tmp___1);
    __cil_add_pred_value(389, "tmp___2", tmp___2);
    sscanf((char const * __restrict )(buf), (char const * __restrict )"%*s%f",
           ratio);
    __cil_begin_pred_values(45, "./schedule2.i", "get_command");
    __cil_add_pred_value(390, "command != 0", command != 0);
    __cil_add_pred_value(391, "current_job != 0", current_job != 0);
    __cil_add_pred_value(392, "current_job", current_job);
    __cil_add_pred_value(393, "! current_job", ! current_job);
    __cil_add_pred_value(394, "tmp___1", tmp___1);
    __cil_add_pred_value(395, "tmp___2", tmp___2);
    break;
    case 2:
    __cil_begin_pred_values(46, "./schedule2.i", "get_command");
    __cil_add_pred_value(396, "command != 0", command != 0);
    __cil_add_pred_value(397, "current_job != 0", current_job != 0);
    __cil_add_pred_value(398, "current_job", current_job);
    __cil_add_pred_value(399, "! current_job", ! current_job);
    __cil_add_pred_value(400, "tmp___1", tmp___1);
    __cil_add_pred_value(401, "tmp___2", tmp___2);
    sscanf((char const * __restrict )(buf), (char const * __restrict )"%*s%d%f",
           prio, ratio);
    __cil_begin_pred_values(47, "./schedule2.i", "get_command");
    __cil_add_pred_value(402, "command != 0", command != 0);
    __cil_add_pred_value(403, "current_job != 0", current_job != 0);
    __cil_add_pred_value(404, "current_job", current_job);
    __cil_add_pred_value(405, "! current_job", ! current_job);
    __cil_add_pred_value(406, "tmp___1", tmp___1);
    __cil_add_pred_value(407, "tmp___2", tmp___2);
    break;
    }
    __cil_begin_pred_values(40, "./schedule2.i", "get_command");
    __cil_add_pred_value(360, "current_job != 0", current_job != 0);
    __cil_add_pred_value(361, "current_job", current_job);
    __cil_add_pred_value(362, "! current_job", ! current_job);
    __cil_add_pred_value(363, "tmp___1", tmp___1);
    __cil_add_pred_value(364, "command != 0", command != 0);
    __cil_add_pred_value(365, "tmp___2", tmp___2);
    while (1) {
      __cil_begin_pred_values(48, "./schedule2.i", "get_command");
      __cil_add_pred_value(408, "command != 0", command != 0);
      __cil_add_pred_value(409, "current_job != 0", current_job != 0);
      __cil_add_pred_value(410, "current_job", current_job);
      __cil_add_pred_value(411, "! current_job", ! current_job);
      __cil_add_pred_value(412, "tmp___1", tmp___1);
      __cil_add_pred_value(413, "tmp___2", tmp___2);
      tmp___0 = strlen(buf);
      __cil_begin_pred_values(49, "./schedule2.i", "get_command");
      __cil_add_pred_value(414, "command != 0", command != 0);
      __cil_add_pred_value(415, "current_job != 0", current_job != 0);
      __cil_add_pred_value(416, "current_job", current_job);
      __cil_add_pred_value(417, "! current_job", ! current_job);
      __cil_add_pred_value(418, "tmp___1", tmp___1);
      __cil_add_pred_value(419, "tmp___2", tmp___2);
      if ((int )buf[tmp___0 - 1] != 10) {
        __cil_begin_pred_values(50, "./schedule2.i", "get_command");
        __cil_add_pred_value(420, "command != 0", command != 0);
        __cil_add_pred_value(421, "current_job != 0", current_job != 0);
        __cil_add_pred_value(422, "current_job", current_job);
        __cil_add_pred_value(423, "! current_job", ! current_job);
        __cil_add_pred_value(424, "tmp___1", tmp___1);
        __cil_add_pred_value(425, "tmp___2", tmp___2);
        tmp___1 = fgets((char * __restrict )(buf), 20, (FILE * __restrict )stdin);
        __cil_begin_pred_values(51, "./schedule2.i", "get_command");
        __cil_add_pred_value(426, "command != 0", command != 0);
        __cil_add_pred_value(427, "current_job != 0", current_job != 0);
        __cil_add_pred_value(428, "current_job", current_job);
        __cil_add_pred_value(429, "! current_job", ! current_job);
        __cil_add_pred_value(430, "tmp___1", tmp___1);
        __cil_add_pred_value(431, "tmp___2", tmp___2);
        if (! tmp___1) {
          __cil_begin_pred_values(52, "./schedule2.i", "get_command");
          __cil_add_pred_value(432, "command != 0", command != 0);
          __cil_add_pred_value(433, "current_job != 0", current_job != 0);
          __cil_add_pred_value(434, "current_job", current_job);
          __cil_add_pred_value(435, "! current_job", ! current_job);
          __cil_add_pred_value(436, "tmp___1", tmp___1);
          __cil_add_pred_value(437, "tmp___2", tmp___2);
          break;
        }
      } else {
        __cil_begin_pred_values(53, "./schedule2.i", "get_command");
        __cil_add_pred_value(438, "command != 0", command != 0);
        __cil_add_pred_value(439, "current_job != 0", current_job != 0);
        __cil_add_pred_value(440, "current_job", current_job);
        __cil_add_pred_value(441, "! current_job", ! current_job);
        __cil_add_pred_value(442, "tmp___1", tmp___1);
        __cil_add_pred_value(443, "tmp___2", tmp___2);
        break;
      }
    }
    __cil_begin_pred_values(41, "./schedule2.i", "get_command");
    __cil_add_pred_value(366, "current_job != 0", current_job != 0);
    __cil_add_pred_value(367, "current_job", current_job);
    __cil_add_pred_value(368, "! current_job", ! current_job);
    __cil_add_pred_value(369, "tmp___1", tmp___1);
    __cil_add_pred_value(370, "command != 0", command != 0);
    __cil_add_pred_value(371, "tmp___2", tmp___2);
    return (1);
  } else {
    __cil_begin_pred_values(54, "./schedule2.i", "get_command");
    __cil_add_pred_value(444, "command != 0", command != 0);
    __cil_add_pred_value(445, "current_job != 0", current_job != 0);
    __cil_add_pred_value(446, "current_job", current_job);
    __cil_add_pred_value(447, "! current_job", ! current_job);
    __cil_add_pred_value(448, "tmp___1", tmp___1);
    __cil_add_pred_value(449, "tmp___2", tmp___2);
    return (0);
  }
}
}
extern int ( exit)() ;
extern int ( abs)() ;
int exit_here(int status )
{ int tmp ;

  {
  __cil_begin_pred_values(55, "./schedule2.i", "exit_here");
  __cil_add_pred_value(450, "current_job != 0", current_job != 0);
  __cil_add_pred_value(451, "current_job", current_job);
  __cil_add_pred_value(452, "! current_job", ! current_job);
  tmp = abs(status);
  __cil_begin_pred_values(56, "./schedule2.i", "exit_here");
  __cil_add_pred_value(453, "current_job != 0", current_job != 0);
  __cil_add_pred_value(454, "current_job", current_job);
  __cil_add_pred_value(455, "! current_job", ! current_job);
  exit(tmp);
}
}
extern int ( malloc)() ;
extern int ( free)() ;
int new_job(int prio )
{ int pid ;
  int status ;
  struct process *new_process ;
  int tmp ;
  int tmp___0 ;

  {
  __cil_begin_pred_values(57, "./schedule2.i", "new_job");
  __cil_add_pred_value(456, "current_job != 0", current_job != 0);
  __cil_add_pred_value(457, "current_job", current_job);
  __cil_add_pred_value(458, "! current_job", ! current_job);
  __cil_add_pred_value(459, "status", status);
  __cil_add_pred_value(460, "! new_process", ! new_process);
  status = 0;
  __cil_begin_pred_values(58, "./schedule2.i", "new_job");
  __cil_add_pred_value(461, "current_job != 0", current_job != 0);
  __cil_add_pred_value(462, "current_job", current_job);
  __cil_add_pred_value(463, "! current_job", ! current_job);
  __cil_add_pred_value(464, "status", status);
  __cil_add_pred_value(465, "! new_process", ! new_process);
  tmp = next_pid;
  __cil_begin_pred_values(59, "./schedule2.i", "new_job");
  __cil_add_pred_value(466, "current_job != 0", current_job != 0);
  __cil_add_pred_value(467, "current_job", current_job);
  __cil_add_pred_value(468, "! current_job", ! current_job);
  __cil_add_pred_value(469, "status", status);
  __cil_add_pred_value(470, "! new_process", ! new_process);
  next_pid ++;
  __cil_begin_pred_values(60, "./schedule2.i", "new_job");
  __cil_add_pred_value(471, "current_job != 0", current_job != 0);
  __cil_add_pred_value(472, "current_job", current_job);
  __cil_add_pred_value(473, "! current_job", ! current_job);
  __cil_add_pred_value(474, "status", status);
  __cil_add_pred_value(475, "! new_process", ! new_process);
  pid = tmp;
  __cil_begin_pred_values(61, "./schedule2.i", "new_job");
  __cil_add_pred_value(476, "current_job != 0", current_job != 0);
  __cil_add_pred_value(477, "current_job", current_job);
  __cil_add_pred_value(478, "! current_job", ! current_job);
  __cil_add_pred_value(479, "status", status);
  __cil_add_pred_value(480, "! new_process", ! new_process);
  tmp___0 = malloc(sizeof(struct process ));
  __cil_begin_pred_values(62, "./schedule2.i", "new_job");
  __cil_add_pred_value(481, "current_job != 0", current_job != 0);
  __cil_add_pred_value(482, "current_job", current_job);
  __cil_add_pred_value(483, "! current_job", ! current_job);
  __cil_add_pred_value(484, "status", status);
  __cil_add_pred_value(485, "! new_process", ! new_process);
  new_process = (struct process *)tmp___0;
  __cil_begin_pred_values(63, "./schedule2.i", "new_job");
  __cil_add_pred_value(486, "current_job != 0", current_job != 0);
  __cil_add_pred_value(487, "current_job", current_job);
  __cil_add_pred_value(488, "! current_job", ! current_job);
  __cil_add_pred_value(489, "status", status);
  __cil_add_pred_value(490, "! new_process", ! new_process);
  if (! new_process) {
    __cil_begin_pred_values(66, "./schedule2.i", "new_job");
    __cil_add_pred_value(501, "current_job != 0", current_job != 0);
    __cil_add_pred_value(502, "current_job", current_job);
    __cil_add_pred_value(503, "! current_job", ! current_job);
    __cil_add_pred_value(504, "status", status);
    __cil_add_pred_value(505, "! new_process", ! new_process);
    status = -3;
  } else {
    __cil_begin_pred_values(67, "./schedule2.i", "new_job");
    __cil_add_pred_value(506, "current_job != 0", current_job != 0);
    __cil_add_pred_value(507, "current_job", current_job);
    __cil_add_pred_value(508, "! current_job", ! current_job);
    __cil_add_pred_value(509, "status", status);
    __cil_add_pred_value(510, "! new_process", ! new_process);
    new_process->pid = (unsigned int )pid;
    __cil_begin_pred_values(68, "./schedule2.i", "new_job");
    __cil_add_pred_value(511, "current_job != 0", current_job != 0);
    __cil_add_pred_value(512, "current_job", current_job);
    __cil_add_pred_value(513, "! current_job", ! current_job);
    __cil_add_pred_value(514, "status", status);
    __cil_add_pred_value(515, "! new_process", ! new_process);
    new_process->priority = prio;
    __cil_begin_pred_values(69, "./schedule2.i", "new_job");
    __cil_add_pred_value(516, "current_job != 0", current_job != 0);
    __cil_add_pred_value(517, "current_job", current_job);
    __cil_add_pred_value(518, "! current_job", ! current_job);
    __cil_add_pred_value(519, "status", status);
    __cil_add_pred_value(520, "! new_process", ! new_process);
    new_process->next = (struct process *)0;
    __cil_begin_pred_values(70, "./schedule2.i", "new_job");
    __cil_add_pred_value(521, "current_job != 0", current_job != 0);
    __cil_add_pred_value(522, "current_job", current_job);
    __cil_add_pred_value(523, "! current_job", ! current_job);
    __cil_add_pred_value(524, "status", status);
    __cil_add_pred_value(525, "! new_process", ! new_process);
    status = enqueue(prio, new_process);
    __cil_begin_pred_values(71, "./schedule2.i", "new_job");
    __cil_add_pred_value(526, "current_job != 0", current_job != 0);
    __cil_add_pred_value(527, "current_job", current_job);
    __cil_add_pred_value(528, "! current_job", ! current_job);
    __cil_add_pred_value(529, "status", status);
    __cil_add_pred_value(530, "! new_process", ! new_process);
    if (status) {
      __cil_begin_pred_values(72, "./schedule2.i", "new_job");
      __cil_add_pred_value(531, "current_job != 0", current_job != 0);
      __cil_add_pred_value(532, "current_job", current_job);
      __cil_add_pred_value(533, "! current_job", ! current_job);
      __cil_add_pred_value(534, "status", status);
      __cil_add_pred_value(535, "! new_process", ! new_process);
      free(new_process);
    }
  }
  __cil_begin_pred_values(64, "./schedule2.i", "new_job");
  __cil_add_pred_value(491, "current_job != 0", current_job != 0);
  __cil_add_pred_value(492, "current_job", current_job);
  __cil_add_pred_value(493, "! current_job", ! current_job);
  __cil_add_pred_value(494, "status", status);
  __cil_add_pred_value(495, "! new_process", ! new_process);
  if (status) {
    __cil_begin_pred_values(73, "./schedule2.i", "new_job");
    __cil_add_pred_value(536, "current_job != 0", current_job != 0);
    __cil_add_pred_value(537, "current_job", current_job);
    __cil_add_pred_value(538, "! current_job", ! current_job);
    __cil_add_pred_value(539, "status", status);
    __cil_add_pred_value(540, "! new_process", ! new_process);
    next_pid --;
  }
  __cil_begin_pred_values(65, "./schedule2.i", "new_job");
  __cil_add_pred_value(496, "current_job != 0", current_job != 0);
  __cil_add_pred_value(497, "current_job", current_job);
  __cil_add_pred_value(498, "! current_job", ! current_job);
  __cil_add_pred_value(499, "status", status);
  __cil_add_pred_value(500, "! new_process", ! new_process);
  return (status);
}
}
int upgrade_prio(int prio , float ratio )
{ int status ;
  struct process *job ;
  int tmp ;

  {
  __cil_begin_pred_values(74, "./schedule2.i", "upgrade_prio");
  __cil_add_pred_value(541, "current_job != 0", current_job != 0);
  __cil_add_pred_value(542, "current_job", current_job);
  __cil_add_pred_value(543, "! current_job", ! current_job);
  __cil_add_pred_value(544, "status <= 0", status <= 0);
  __cil_add_pred_value(545, "prio > 2", prio > 2);
  __cil_add_pred_value(546, "prio < 1", prio < 1);
  if (prio < 1) {
    __cil_begin_pred_values(80, "./schedule2.i", "upgrade_prio");
    __cil_add_pred_value(577, "current_job != 0", current_job != 0);
    __cil_add_pred_value(578, "current_job", current_job);
    __cil_add_pred_value(579, "! current_job", ! current_job);
    __cil_add_pred_value(580, "status <= 0", status <= 0);
    __cil_add_pred_value(581, "prio > 2", prio > 2);
    __cil_add_pred_value(582, "prio < 1", prio < 1);
    return (-4);
  } else {
    __cil_begin_pred_values(81, "./schedule2.i", "upgrade_prio");
    __cil_add_pred_value(583, "current_job != 0", current_job != 0);
    __cil_add_pred_value(584, "current_job", current_job);
    __cil_add_pred_value(585, "! current_job", ! current_job);
    __cil_add_pred_value(586, "status <= 0", status <= 0);
    __cil_add_pred_value(587, "prio > 2", prio > 2);
    __cil_add_pred_value(588, "prio < 1", prio < 1);
    if (prio > 2) {
      __cil_begin_pred_values(82, "./schedule2.i", "upgrade_prio");
      __cil_add_pred_value(589, "current_job != 0", current_job != 0);
      __cil_add_pred_value(590, "current_job", current_job);
      __cil_add_pred_value(591, "! current_job", ! current_job);
      __cil_add_pred_value(592, "status <= 0", status <= 0);
      __cil_add_pred_value(593, "prio > 2", prio > 2);
      __cil_add_pred_value(594, "prio < 1", prio < 1);
      return (-4);
    }
  }
  __cil_begin_pred_values(75, "./schedule2.i", "upgrade_prio");
  __cil_add_pred_value(547, "current_job != 0", current_job != 0);
  __cil_add_pred_value(548, "current_job", current_job);
  __cil_add_pred_value(549, "! current_job", ! current_job);
  __cil_add_pred_value(550, "status <= 0", status <= 0);
  __cil_add_pred_value(551, "prio > 2", prio > 2);
  __cil_add_pred_value(552, "prio < 1", prio < 1);
  status = get_process(prio, ratio, & job);
  __cil_begin_pred_values(76, "./schedule2.i", "upgrade_prio");
  __cil_add_pred_value(553, "current_job != 0", current_job != 0);
  __cil_add_pred_value(554, "current_job", current_job);
  __cil_add_pred_value(555, "! current_job", ! current_job);
  __cil_add_pred_value(556, "status <= 0", status <= 0);
  __cil_add_pred_value(557, "prio > 2", prio > 2);
  __cil_add_pred_value(558, "prio < 1", prio < 1);
  if (status <= 0) {
    __cil_begin_pred_values(83, "./schedule2.i", "upgrade_prio");
    __cil_add_pred_value(595, "current_job != 0", current_job != 0);
    __cil_add_pred_value(596, "current_job", current_job);
    __cil_add_pred_value(597, "! current_job", ! current_job);
    __cil_add_pred_value(598, "status <= 0", status <= 0);
    __cil_add_pred_value(599, "prio > 2", prio > 2);
    __cil_add_pred_value(600, "prio < 1", prio < 1);
    return (status);
  }
  __cil_begin_pred_values(77, "./schedule2.i", "upgrade_prio");
  __cil_add_pred_value(559, "current_job != 0", current_job != 0);
  __cil_add_pred_value(560, "current_job", current_job);
  __cil_add_pred_value(561, "! current_job", ! current_job);
  __cil_add_pred_value(562, "status <= 0", status <= 0);
  __cil_add_pred_value(563, "prio > 2", prio > 2);
  __cil_add_pred_value(564, "prio < 1", prio < 1);
  job->priority = prio + 1;
  __cil_begin_pred_values(78, "./schedule2.i", "upgrade_prio");
  __cil_add_pred_value(565, "current_job != 0", current_job != 0);
  __cil_add_pred_value(566, "current_job", current_job);
  __cil_add_pred_value(567, "! current_job", ! current_job);
  __cil_add_pred_value(568, "status <= 0", status <= 0);
  __cil_add_pred_value(569, "prio > 2", prio > 2);
  __cil_add_pred_value(570, "prio < 1", prio < 1);
  tmp = enqueue(prio + 1, job);
  __cil_begin_pred_values(79, "./schedule2.i", "upgrade_prio");
  __cil_add_pred_value(571, "current_job != 0", current_job != 0);
  __cil_add_pred_value(572, "current_job", current_job);
  __cil_add_pred_value(573, "! current_job", ! current_job);
  __cil_add_pred_value(574, "status <= 0", status <= 0);
  __cil_add_pred_value(575, "prio > 2", prio > 2);
  __cil_add_pred_value(576, "prio < 1", prio < 1);
  return (tmp);
}
}
int block(void)
{ struct process *job ;
  int tmp ;

  {
  __cil_begin_pred_values(84, "./schedule2.i", "block");
  __cil_add_pred_value(601, "current_job != 0", current_job != 0);
  __cil_add_pred_value(602, "current_job", current_job);
  __cil_add_pred_value(603, "! current_job", ! current_job);
  __cil_add_pred_value(604, "job", job);
  job = get_current();
  __cil_begin_pred_values(85, "./schedule2.i", "block");
  __cil_add_pred_value(605, "current_job != 0", current_job != 0);
  __cil_add_pred_value(606, "current_job", current_job);
  __cil_add_pred_value(607, "! current_job", ! current_job);
  __cil_add_pred_value(608, "job", job);
  if (job) {
    __cil_begin_pred_values(87, "./schedule2.i", "block");
    __cil_add_pred_value(613, "current_job != 0", current_job != 0);
    __cil_add_pred_value(614, "current_job", current_job);
    __cil_add_pred_value(615, "! current_job", ! current_job);
    __cil_add_pred_value(616, "job", job);
    current_job = (struct process *)0;
    __cil_begin_pred_values(88, "./schedule2.i", "block");
    __cil_add_pred_value(617, "current_job != 0", current_job != 0);
    __cil_add_pred_value(618, "current_job", current_job);
    __cil_add_pred_value(619, "! current_job", ! current_job);
    __cil_add_pred_value(620, "job", job);
    tmp = enqueue(0, job);
    __cil_begin_pred_values(89, "./schedule2.i", "block");
    __cil_add_pred_value(621, "current_job != 0", current_job != 0);
    __cil_add_pred_value(622, "current_job", current_job);
    __cil_add_pred_value(623, "! current_job", ! current_job);
    __cil_add_pred_value(624, "job", job);
    return (tmp);
  }
  __cil_begin_pred_values(86, "./schedule2.i", "block");
  __cil_add_pred_value(609, "current_job != 0", current_job != 0);
  __cil_add_pred_value(610, "current_job", current_job);
  __cil_add_pred_value(611, "! current_job", ! current_job);
  __cil_add_pred_value(612, "job", job);
  return (0);
}
}
int unblock(float ratio )
{ int status ;
  struct process *job ;
  int tmp ;

  {
  __cil_begin_pred_values(90, "./schedule2.i", "unblock");
  __cil_add_pred_value(625, "current_job != 0", current_job != 0);
  __cil_add_pred_value(626, "current_job", current_job);
  __cil_add_pred_value(627, "! current_job", ! current_job);
  __cil_add_pred_value(628, "job != 0", job != 0);
  __cil_add_pred_value(629, "status <= 0", status <= 0);
  status = get_process(0, ratio, & job);
  __cil_begin_pred_values(91, "./schedule2.i", "unblock");
  __cil_add_pred_value(630, "current_job != 0", current_job != 0);
  __cil_add_pred_value(631, "current_job", current_job);
  __cil_add_pred_value(632, "! current_job", ! current_job);
  __cil_add_pred_value(633, "job != 0", job != 0);
  __cil_add_pred_value(634, "status <= 0", status <= 0);
  if (status <= 0) {
    __cil_begin_pred_values(94, "./schedule2.i", "unblock");
    __cil_add_pred_value(645, "current_job != 0", current_job != 0);
    __cil_add_pred_value(646, "current_job", current_job);
    __cil_add_pred_value(647, "! current_job", ! current_job);
    __cil_add_pred_value(648, "job != 0", job != 0);
    __cil_add_pred_value(649, "status <= 0", status <= 0);
    return (status);
  }
  __cil_begin_pred_values(92, "./schedule2.i", "unblock");
  __cil_add_pred_value(635, "current_job != 0", current_job != 0);
  __cil_add_pred_value(636, "current_job", current_job);
  __cil_add_pred_value(637, "! current_job", ! current_job);
  __cil_add_pred_value(638, "job != 0", job != 0);
  __cil_add_pred_value(639, "status <= 0", status <= 0);
  tmp = enqueue(job->priority, job);
  __cil_begin_pred_values(93, "./schedule2.i", "unblock");
  __cil_add_pred_value(640, "current_job != 0", current_job != 0);
  __cil_add_pred_value(641, "current_job", current_job);
  __cil_add_pred_value(642, "! current_job", ! current_job);
  __cil_add_pred_value(643, "job != 0", job != 0);
  __cil_add_pred_value(644, "status <= 0", status <= 0);
  return (tmp);
}
}
int quantum_expire(void)
{ struct process *job ;
  int tmp ;

  {
  __cil_begin_pred_values(95, "./schedule2.i", "quantum_expire");
  __cil_add_pred_value(650, "current_job != 0", current_job != 0);
  __cil_add_pred_value(651, "current_job", current_job);
  __cil_add_pred_value(652, "! current_job", ! current_job);
  __cil_add_pred_value(653, "job != 0", job != 0);
  __cil_add_pred_value(654, "job", job);
  job = get_current();
  __cil_begin_pred_values(96, "./schedule2.i", "quantum_expire");
  __cil_add_pred_value(655, "current_job != 0", current_job != 0);
  __cil_add_pred_value(656, "current_job", current_job);
  __cil_add_pred_value(657, "! current_job", ! current_job);
  __cil_add_pred_value(658, "job != 0", job != 0);
  __cil_add_pred_value(659, "job", job);
  if (job) {
    __cil_begin_pred_values(98, "./schedule2.i", "quantum_expire");
    __cil_add_pred_value(665, "current_job != 0", current_job != 0);
    __cil_add_pred_value(666, "current_job", current_job);
    __cil_add_pred_value(667, "! current_job", ! current_job);
    __cil_add_pred_value(668, "job != 0", job != 0);
    __cil_add_pred_value(669, "job", job);
    current_job = (struct process *)0;
    __cil_begin_pred_values(99, "./schedule2.i", "quantum_expire");
    __cil_add_pred_value(670, "current_job != 0", current_job != 0);
    __cil_add_pred_value(671, "current_job", current_job);
    __cil_add_pred_value(672, "! current_job", ! current_job);
    __cil_add_pred_value(673, "job != 0", job != 0);
    __cil_add_pred_value(674, "job", job);
    tmp = enqueue(job->priority, job);
    __cil_begin_pred_values(100, "./schedule2.i", "quantum_expire");
    __cil_add_pred_value(675, "current_job != 0", current_job != 0);
    __cil_add_pred_value(676, "current_job", current_job);
    __cil_add_pred_value(677, "! current_job", ! current_job);
    __cil_add_pred_value(678, "job != 0", job != 0);
    __cil_add_pred_value(679, "job", job);
    return (tmp);
  }
  __cil_begin_pred_values(97, "./schedule2.i", "quantum_expire");
  __cil_add_pred_value(660, "current_job != 0", current_job != 0);
  __cil_add_pred_value(661, "current_job", current_job);
  __cil_add_pred_value(662, "! current_job", ! current_job);
  __cil_add_pred_value(663, "job != 0", job != 0);
  __cil_add_pred_value(664, "job", job);
  return (0);
}
}
int finish(void)
{ struct process *job ;

  {
  __cil_begin_pred_values(101, "./schedule2.i", "finish");
  __cil_add_pred_value(680, "current_job != 0", current_job != 0);
  __cil_add_pred_value(681, "current_job", current_job);
  __cil_add_pred_value(682, "! current_job", ! current_job);
  __cil_add_pred_value(683, "job != 0", job != 0);
  __cil_add_pred_value(684, "job", job);
  job = get_current();
  __cil_begin_pred_values(102, "./schedule2.i", "finish");
  __cil_add_pred_value(685, "current_job != 0", current_job != 0);
  __cil_add_pred_value(686, "current_job", current_job);
  __cil_add_pred_value(687, "! current_job", ! current_job);
  __cil_add_pred_value(688, "job != 0", job != 0);
  __cil_add_pred_value(689, "job", job);
  if (job) {
    __cil_begin_pred_values(103, "./schedule2.i", "finish");
    __cil_add_pred_value(690, "current_job != 0", current_job != 0);
    __cil_add_pred_value(691, "current_job", current_job);
    __cil_add_pred_value(692, "! current_job", ! current_job);
    __cil_add_pred_value(693, "job != 0", job != 0);
    __cil_add_pred_value(694, "job", job);
    current_job = (struct process *)0;
    __cil_begin_pred_values(104, "./schedule2.i", "finish");
    __cil_add_pred_value(695, "current_job != 0", current_job != 0);
    __cil_add_pred_value(696, "current_job", current_job);
    __cil_add_pred_value(697, "! current_job", ! current_job);
    __cil_add_pred_value(698, "job != 0", job != 0);
    __cil_add_pred_value(699, "job", job);
    reschedule(0);
    __cil_begin_pred_values(105, "./schedule2.i", "finish");
    __cil_add_pred_value(700, "current_job != 0", current_job != 0);
    __cil_add_pred_value(701, "current_job", current_job);
    __cil_add_pred_value(702, "! current_job", ! current_job);
    __cil_add_pred_value(703, "job != 0", job != 0);
    __cil_add_pred_value(704, "job", job);
    fprintf((FILE * __restrict )stdout, (char const * __restrict )" %d", job->pid);
    __cil_begin_pred_values(106, "./schedule2.i", "finish");
    __cil_add_pred_value(705, "current_job != 0", current_job != 0);
    __cil_add_pred_value(706, "current_job", current_job);
    __cil_add_pred_value(707, "! current_job", ! current_job);
    __cil_add_pred_value(708, "job != 0", job != 0);
    __cil_add_pred_value(709, "job", job);
    free(job);
    __cil_begin_pred_values(107, "./schedule2.i", "finish");
    __cil_add_pred_value(710, "current_job != 0", current_job != 0);
    __cil_add_pred_value(711, "current_job", current_job);
    __cil_add_pred_value(712, "! current_job", ! current_job);
    __cil_add_pred_value(713, "job != 0", job != 0);
    __cil_add_pred_value(714, "job", job);
    return (0);
  } else {
    __cil_begin_pred_values(108, "./schedule2.i", "finish");
    __cil_add_pred_value(715, "job != 0", job != 0);
    __cil_add_pred_value(716, "current_job != 0", current_job != 0);
    __cil_add_pred_value(717, "current_job", current_job);
    __cil_add_pred_value(718, "! current_job", ! current_job);
    __cil_add_pred_value(719, "job", job);
    return (1);
  }
}
}
int flush(void)
{ int tmp ;

  {
  __cil_begin_pred_values(109, "./schedule2.i", "flush");
  __cil_add_pred_value(720, "current_job != 0", current_job != 0);
  __cil_add_pred_value(721, "current_job", current_job);
  __cil_add_pred_value(722, "! current_job", ! current_job);
  __cil_add_pred_value(723, "tmp", tmp);
  while (1) {
    __cil_begin_pred_values(112, "./schedule2.i", "flush");
    __cil_add_pred_value(732, "current_job != 0", current_job != 0);
    __cil_add_pred_value(733, "current_job", current_job);
    __cil_add_pred_value(734, "! current_job", ! current_job);
    __cil_add_pred_value(735, "tmp", tmp);
    tmp = finish();
    __cil_begin_pred_values(113, "./schedule2.i", "flush");
    __cil_add_pred_value(736, "current_job != 0", current_job != 0);
    __cil_add_pred_value(737, "current_job", current_job);
    __cil_add_pred_value(738, "! current_job", ! current_job);
    __cil_add_pred_value(739, "tmp", tmp);
    if (tmp) {
      __cil_begin_pred_values(114, "./schedule2.i", "flush");
      __cil_add_pred_value(740, "current_job != 0", current_job != 0);
      __cil_add_pred_value(741, "current_job", current_job);
      __cil_add_pred_value(742, "! current_job", ! current_job);
      __cil_add_pred_value(743, "tmp", tmp);
      break;
    }
  }
  __cil_begin_pred_values(110, "./schedule2.i", "flush");
  __cil_add_pred_value(724, "current_job != 0", current_job != 0);
  __cil_add_pred_value(725, "current_job", current_job);
  __cil_add_pred_value(726, "! current_job", ! current_job);
  __cil_add_pred_value(727, "tmp", tmp);
  fprintf((FILE * __restrict )stdout, (char const * __restrict )"\n");
  __cil_begin_pred_values(111, "./schedule2.i", "flush");
  __cil_add_pred_value(728, "current_job != 0", current_job != 0);
  __cil_add_pred_value(729, "current_job", current_job);
  __cil_add_pred_value(730, "! current_job", ! current_job);
  __cil_add_pred_value(731, "tmp", tmp);
  return (0);
}
}
struct process *get_current(void)
{ int prio ;
  int tmp ;

  {
  __cil_begin_pred_values(115, "./schedule2.i", "get_current");
  __cil_add_pred_value(744, "current_job != 0", current_job != 0);
  __cil_add_pred_value(745, "current_job", current_job);
  __cil_add_pred_value(746, "tmp > 0", tmp > 0);
  __cil_add_pred_value(747, "prio > 0", prio > 0);
  __cil_add_pred_value(748, "! current_job", ! current_job);
  if (! current_job) {
    __cil_begin_pred_values(117, "./schedule2.i", "get_current");
    __cil_add_pred_value(754, "current_job != 0", current_job != 0);
    __cil_add_pred_value(755, "current_job", current_job);
    __cil_add_pred_value(756, "tmp > 0", tmp > 0);
    __cil_add_pred_value(757, "prio > 0", prio > 0);
    __cil_add_pred_value(758, "! current_job", ! current_job);
    prio = 3;
    __cil_begin_pred_values(118, "./schedule2.i", "get_current");
    __cil_add_pred_value(759, "current_job != 0", current_job != 0);
    __cil_add_pred_value(760, "current_job", current_job);
    __cil_add_pred_value(761, "tmp > 0", tmp > 0);
    __cil_add_pred_value(762, "prio > 0", prio > 0);
    __cil_add_pred_value(763, "! current_job", ! current_job);
    while (1) {
      __cil_begin_pred_values(119, "./schedule2.i", "get_current");
      __cil_add_pred_value(764, "current_job != 0", current_job != 0);
      __cil_add_pred_value(765, "current_job", current_job);
      __cil_add_pred_value(766, "tmp > 0", tmp > 0);
      __cil_add_pred_value(767, "prio > 0", prio > 0);
      __cil_add_pred_value(768, "! current_job", ! current_job);
      if (! (prio > 0)) {
        __cil_begin_pred_values(123, "./schedule2.i", "get_current");
        __cil_add_pred_value(784, "current_job != 0", current_job != 0);
        __cil_add_pred_value(785, "current_job", current_job);
        __cil_add_pred_value(786, "tmp > 0", tmp > 0);
        __cil_add_pred_value(787, "prio > 0", prio > 0);
        __cil_add_pred_value(788, "! current_job", ! current_job);
        break;
      }
      __cil_begin_pred_values(120, "./schedule2.i", "get_current");
      __cil_add_pred_value(769, "current_job != 0", current_job != 0);
      __cil_add_pred_value(770, "current_job", current_job);
      __cil_add_pred_value(771, "tmp > 0", tmp > 0);
      __cil_add_pred_value(772, "prio > 0", prio > 0);
      __cil_add_pred_value(773, "! current_job", ! current_job);
      tmp = get_process(prio, 0.0, & current_job);
      __cil_begin_pred_values(121, "./schedule2.i", "get_current");
      __cil_add_pred_value(774, "current_job != 0", current_job != 0);
      __cil_add_pred_value(775, "current_job", current_job);
      __cil_add_pred_value(776, "tmp > 0", tmp > 0);
      __cil_add_pred_value(777, "prio > 0", prio > 0);
      __cil_add_pred_value(778, "! current_job", ! current_job);
      if (tmp > 0) {
        __cil_begin_pred_values(124, "./schedule2.i", "get_current");
        __cil_add_pred_value(789, "current_job != 0", current_job != 0);
        __cil_add_pred_value(790, "current_job", current_job);
        __cil_add_pred_value(791, "tmp > 0", tmp > 0);
        __cil_add_pred_value(792, "prio > 0", prio > 0);
        __cil_add_pred_value(793, "! current_job", ! current_job);
        break;
      }
      __cil_begin_pred_values(122, "./schedule2.i", "get_current");
      __cil_add_pred_value(779, "current_job != 0", current_job != 0);
      __cil_add_pred_value(780, "current_job", current_job);
      __cil_add_pred_value(781, "tmp > 0", tmp > 0);
      __cil_add_pred_value(782, "prio > 0", prio > 0);
      __cil_add_pred_value(783, "! current_job", ! current_job);
      prio --;
    }
  }
  __cil_begin_pred_values(116, "./schedule2.i", "get_current");
  __cil_add_pred_value(749, "current_job != 0", current_job != 0);
  __cil_add_pred_value(750, "current_job", current_job);
  __cil_add_pred_value(751, "tmp > 0", tmp > 0);
  __cil_add_pred_value(752, "prio > 0", prio > 0);
  __cil_add_pred_value(753, "! current_job", ! current_job);
  return (current_job);
}
}
int reschedule(int prio )
{

  {
  __cil_begin_pred_values(125, "./schedule2.i", "reschedule");
  __cil_add_pred_value(794, "current_job != 0", current_job != 0);
  __cil_add_pred_value(795, "current_job", current_job);
  __cil_add_pred_value(796, "! current_job", ! current_job);
  if (current_job) {
    __cil_begin_pred_values(128, "./schedule2.i", "reschedule");
    __cil_add_pred_value(803, "current_job != 0", current_job != 0);
    __cil_add_pred_value(804, "current_job", current_job);
    __cil_add_pred_value(805, "! current_job", ! current_job);
    if (prio > current_job->priority) {
      __cil_begin_pred_values(129, "./schedule2.i", "reschedule");
      __cil_add_pred_value(806, "current_job != 0", current_job != 0);
      __cil_add_pred_value(807, "current_job", current_job);
      __cil_add_pred_value(808, "! current_job", ! current_job);
      put_end(current_job->priority, current_job);
      __cil_begin_pred_values(130, "./schedule2.i", "reschedule");
      __cil_add_pred_value(809, "current_job != 0", current_job != 0);
      __cil_add_pred_value(810, "current_job", current_job);
      __cil_add_pred_value(811, "! current_job", ! current_job);
      current_job = (struct process *)0;
    }
  }
  __cil_begin_pred_values(126, "./schedule2.i", "reschedule");
  __cil_add_pred_value(797, "current_job != 0", current_job != 0);
  __cil_add_pred_value(798, "current_job", current_job);
  __cil_add_pred_value(799, "! current_job", ! current_job);
  get_current();
  __cil_begin_pred_values(127, "./schedule2.i", "reschedule");
  __cil_add_pred_value(800, "current_job != 0", current_job != 0);
  __cil_add_pred_value(801, "current_job", current_job);
  __cil_add_pred_value(802, "! current_job", ! current_job);
  return (0);
}
}
int schedule(int command , int prio , float ratio )
{ int status ;

  {
  __cil_begin_pred_values(131, "./schedule2.i", "schedule");
  __cil_add_pred_value(812, "current_job != 0", current_job != 0);
  __cil_add_pred_value(813, "current_job", current_job);
  __cil_add_pred_value(814, "! current_job", ! current_job);
  status = 0;
  __cil_begin_pred_values(132, "./schedule2.i", "schedule");
  __cil_add_pred_value(815, "current_job != 0", current_job != 0);
  __cil_add_pred_value(816, "current_job", current_job);
  __cil_add_pred_value(817, "! current_job", ! current_job);
  switch (command) {
  case 1:
  __cil_begin_pred_values(134, "./schedule2.i", "schedule");
  __cil_add_pred_value(821, "current_job != 0", current_job != 0);
  __cil_add_pred_value(822, "current_job", current_job);
  __cil_add_pred_value(823, "! current_job", ! current_job);
  status = new_job(prio);
  __cil_begin_pred_values(135, "./schedule2.i", "schedule");
  __cil_add_pred_value(824, "current_job != 0", current_job != 0);
  __cil_add_pred_value(825, "current_job", current_job);
  __cil_add_pred_value(826, "! current_job", ! current_job);
  break;
  case 5:
  __cil_begin_pred_values(136, "./schedule2.i", "schedule");
  __cil_add_pred_value(827, "current_job != 0", current_job != 0);
  __cil_add_pred_value(828, "current_job", current_job);
  __cil_add_pred_value(829, "! current_job", ! current_job);
  status = quantum_expire();
  __cil_begin_pred_values(137, "./schedule2.i", "schedule");
  __cil_add_pred_value(830, "current_job != 0", current_job != 0);
  __cil_add_pred_value(831, "current_job", current_job);
  __cil_add_pred_value(832, "! current_job", ! current_job);
  break;
  case 2:
  __cil_begin_pred_values(138, "./schedule2.i", "schedule");
  __cil_add_pred_value(833, "current_job != 0", current_job != 0);
  __cil_add_pred_value(834, "current_job", current_job);
  __cil_add_pred_value(835, "! current_job", ! current_job);
  status = upgrade_prio(prio, ratio);
  __cil_begin_pred_values(139, "./schedule2.i", "schedule");
  __cil_add_pred_value(836, "current_job != 0", current_job != 0);
  __cil_add_pred_value(837, "current_job", current_job);
  __cil_add_pred_value(838, "! current_job", ! current_job);
  break;
  case 3:
  __cil_begin_pred_values(140, "./schedule2.i", "schedule");
  __cil_add_pred_value(839, "current_job != 0", current_job != 0);
  __cil_add_pred_value(840, "current_job", current_job);
  __cil_add_pred_value(841, "! current_job", ! current_job);
  status = block();
  __cil_begin_pred_values(141, "./schedule2.i", "schedule");
  __cil_add_pred_value(842, "current_job != 0", current_job != 0);
  __cil_add_pred_value(843, "current_job", current_job);
  __cil_add_pred_value(844, "! current_job", ! current_job);
  break;
  case 4:
  __cil_begin_pred_values(142, "./schedule2.i", "schedule");
  __cil_add_pred_value(845, "current_job != 0", current_job != 0);
  __cil_add_pred_value(846, "current_job", current_job);
  __cil_add_pred_value(847, "! current_job", ! current_job);
  status = unblock(ratio);
  __cil_begin_pred_values(143, "./schedule2.i", "schedule");
  __cil_add_pred_value(848, "current_job != 0", current_job != 0);
  __cil_add_pred_value(849, "current_job", current_job);
  __cil_add_pred_value(850, "! current_job", ! current_job);
  break;
  case 6:
  __cil_begin_pred_values(144, "./schedule2.i", "schedule");
  __cil_add_pred_value(851, "current_job != 0", current_job != 0);
  __cil_add_pred_value(852, "current_job", current_job);
  __cil_add_pred_value(853, "! current_job", ! current_job);
  finish();
  __cil_begin_pred_values(145, "./schedule2.i", "schedule");
  __cil_add_pred_value(854, "current_job != 0", current_job != 0);
  __cil_add_pred_value(855, "current_job", current_job);
  __cil_add_pred_value(856, "! current_job", ! current_job);
  fprintf((FILE * __restrict )stdout, (char const * __restrict )"\n");
  __cil_begin_pred_values(146, "./schedule2.i", "schedule");
  __cil_add_pred_value(857, "current_job != 0", current_job != 0);
  __cil_add_pred_value(858, "current_job", current_job);
  __cil_add_pred_value(859, "! current_job", ! current_job);
  break;
  case 7:
  __cil_begin_pred_values(147, "./schedule2.i", "schedule");
  __cil_add_pred_value(860, "current_job != 0", current_job != 0);
  __cil_add_pred_value(861, "current_job", current_job);
  __cil_add_pred_value(862, "! current_job", ! current_job);
  status = flush();
  __cil_begin_pred_values(148, "./schedule2.i", "schedule");
  __cil_add_pred_value(863, "current_job != 0", current_job != 0);
  __cil_add_pred_value(864, "current_job", current_job);
  __cil_add_pred_value(865, "! current_job", ! current_job);
  break;
  default:
  __cil_begin_pred_values(149, "./schedule2.i", "schedule");
  __cil_add_pred_value(866, "current_job != 0", current_job != 0);
  __cil_add_pred_value(867, "current_job", current_job);
  __cil_add_pred_value(868, "! current_job", ! current_job);
  status = -6;
  }
  __cil_begin_pred_values(133, "./schedule2.i", "schedule");
  __cil_add_pred_value(818, "current_job != 0", current_job != 0);
  __cil_add_pred_value(819, "current_job", current_job);
  __cil_add_pred_value(820, "! current_job", ! current_job);
  return (status);
}
}
int put_end(int prio , struct process *process )
{ struct process **next ;

  {
  __cil_begin_pred_values(150, "./schedule2.i", "put_end");
  __cil_add_pred_value(869, "current_job != 0", current_job != 0);
  __cil_add_pred_value(870, "next != 0", next != 0);
  __cil_add_pred_value(871, "prio < 0", prio < 0);
  __cil_add_pred_value(872, "prio > 3", prio > 3);
  __cil_add_pred_value(873, "current_job", current_job);
  __cil_add_pred_value(874, "! current_job", ! current_job);
  if (prio > 3) {
    __cil_begin_pred_values(156, "./schedule2.i", "put_end");
    __cil_add_pred_value(905, "current_job != 0", current_job != 0);
    __cil_add_pred_value(906, "next != 0", next != 0);
    __cil_add_pred_value(907, "prio < 0", prio < 0);
    __cil_add_pred_value(908, "prio > 3", prio > 3);
    __cil_add_pred_value(909, "current_job", current_job);
    __cil_add_pred_value(910, "! current_job", ! current_job);
    return (-4);
  } else {
    __cil_begin_pred_values(157, "./schedule2.i", "put_end");
    __cil_add_pred_value(911, "current_job != 0", current_job != 0);
    __cil_add_pred_value(912, "next != 0", next != 0);
    __cil_add_pred_value(913, "prio < 0", prio < 0);
    __cil_add_pred_value(914, "prio > 3", prio > 3);
    __cil_add_pred_value(915, "current_job", current_job);
    __cil_add_pred_value(916, "! current_job", ! current_job);
    if (prio < 0) {
      __cil_begin_pred_values(158, "./schedule2.i", "put_end");
      __cil_add_pred_value(917, "current_job != 0", current_job != 0);
      __cil_add_pred_value(918, "next != 0", next != 0);
      __cil_add_pred_value(919, "prio < 0", prio < 0);
      __cil_add_pred_value(920, "prio > 3", prio > 3);
      __cil_add_pred_value(921, "current_job", current_job);
      __cil_add_pred_value(922, "! current_job", ! current_job);
      return (-4);
    }
  }
  __cil_begin_pred_values(151, "./schedule2.i", "put_end");
  __cil_add_pred_value(875, "current_job != 0", current_job != 0);
  __cil_add_pred_value(876, "next != 0", next != 0);
  __cil_add_pred_value(877, "prio < 0", prio < 0);
  __cil_add_pred_value(878, "prio > 3", prio > 3);
  __cil_add_pred_value(879, "current_job", current_job);
  __cil_add_pred_value(880, "! current_job", ! current_job);
  next = & prio_queue[prio].head;
  __cil_begin_pred_values(152, "./schedule2.i", "put_end");
  __cil_add_pred_value(881, "current_job != 0", current_job != 0);
  __cil_add_pred_value(882, "next != 0", next != 0);
  __cil_add_pred_value(883, "prio < 0", prio < 0);
  __cil_add_pred_value(884, "prio > 3", prio > 3);
  __cil_add_pred_value(885, "current_job", current_job);
  __cil_add_pred_value(886, "! current_job", ! current_job);
  while (1) {
    __cil_begin_pred_values(159, "./schedule2.i", "put_end");
    __cil_add_pred_value(923, "current_job != 0", current_job != 0);
    __cil_add_pred_value(924, "next != 0", next != 0);
    __cil_add_pred_value(925, "prio < 0", prio < 0);
    __cil_add_pred_value(926, "prio > 3", prio > 3);
    __cil_add_pred_value(927, "current_job", current_job);
    __cil_add_pred_value(928, "! current_job", ! current_job);
    if (! *next) {
      __cil_begin_pred_values(161, "./schedule2.i", "put_end");
      __cil_add_pred_value(935, "next != 0", next != 0);
      __cil_add_pred_value(936, "current_job != 0", current_job != 0);
      __cil_add_pred_value(937, "prio < 0", prio < 0);
      __cil_add_pred_value(938, "prio > 3", prio > 3);
      __cil_add_pred_value(939, "current_job", current_job);
      __cil_add_pred_value(940, "! current_job", ! current_job);
      break;
    }
    __cil_begin_pred_values(160, "./schedule2.i", "put_end");
    __cil_add_pred_value(929, "current_job != 0", current_job != 0);
    __cil_add_pred_value(930, "next != 0", next != 0);
    __cil_add_pred_value(931, "prio < 0", prio < 0);
    __cil_add_pred_value(932, "prio > 3", prio > 3);
    __cil_add_pred_value(933, "current_job", current_job);
    __cil_add_pred_value(934, "! current_job", ! current_job);
    next = & (*next)->next;
  }
  __cil_begin_pred_values(153, "./schedule2.i", "put_end");
  __cil_add_pred_value(887, "current_job != 0", current_job != 0);
  __cil_add_pred_value(888, "next != 0", next != 0);
  __cil_add_pred_value(889, "prio < 0", prio < 0);
  __cil_add_pred_value(890, "prio > 3", prio > 3);
  __cil_add_pred_value(891, "current_job", current_job);
  __cil_add_pred_value(892, "! current_job", ! current_job);
  *next = process;
  __cil_begin_pred_values(154, "./schedule2.i", "put_end");
  __cil_add_pred_value(893, "current_job != 0", current_job != 0);
  __cil_add_pred_value(894, "next != 0", next != 0);
  __cil_add_pred_value(895, "prio < 0", prio < 0);
  __cil_add_pred_value(896, "prio > 3", prio > 3);
  __cil_add_pred_value(897, "current_job", current_job);
  __cil_add_pred_value(898, "! current_job", ! current_job);
  (prio_queue[prio].length) ++;
  __cil_begin_pred_values(155, "./schedule2.i", "put_end");
  __cil_add_pred_value(899, "current_job != 0", current_job != 0);
  __cil_add_pred_value(900, "next != 0", next != 0);
  __cil_add_pred_value(901, "prio < 0", prio < 0);
  __cil_add_pred_value(902, "prio > 3", prio > 3);
  __cil_add_pred_value(903, "current_job", current_job);
  __cil_add_pred_value(904, "! current_job", ! current_job);
  return (0);
}
}
int get_process(int prio , float ratio , struct process **job )
{ int length ;
  int index ;
  struct process **next ;

  {
  __cil_begin_pred_values(162, "./schedule2.i", "get_process");
  __cil_add_pred_value(941, "current_job != 0", current_job != 0);
  __cil_add_pred_value(942, "job != 0", job != 0);
  __cil_add_pred_value(943, "next != 0", next != 0);
  __cil_add_pred_value(944, "index", index);
  __cil_add_pred_value(945, "index >= length", index >= length);
  __cil_add_pred_value(946, "(double )ratio > 1.0", (double )ratio > 1.0);
  __cil_add_pred_value(947, "(double )ratio < 0.0", (double )ratio < 0.0);
  __cil_add_pred_value(948, "prio < 0", prio < 0);
  __cil_add_pred_value(949, "prio > 3", prio > 3);
  __cil_add_pred_value(950, "current_job", current_job);
  __cil_add_pred_value(951, "! current_job", ! current_job);
  if (prio > 3) {
    __cil_begin_pred_values(171, "./schedule2.i", "get_process");
    __cil_add_pred_value(1040, "current_job != 0", current_job != 0);
    __cil_add_pred_value(1041, "job != 0", job != 0);
    __cil_add_pred_value(1042, "next != 0", next != 0);
    __cil_add_pred_value(1043, "index", index);
    __cil_add_pred_value(1044, "index >= length", index >= length);
    __cil_add_pred_value(1045, "(double )ratio > 1.0", (double )ratio > 1.0);
    __cil_add_pred_value(1046, "(double )ratio < 0.0", (double )ratio < 0.0);
    __cil_add_pred_value(1047, "prio < 0", prio < 0);
    __cil_add_pred_value(1048, "prio > 3", prio > 3);
    __cil_add_pred_value(1049, "current_job", current_job);
    __cil_add_pred_value(1050, "! current_job", ! current_job);
    return (-4);
  } else {
    __cil_begin_pred_values(172, "./schedule2.i", "get_process");
    __cil_add_pred_value(1051, "current_job != 0", current_job != 0);
    __cil_add_pred_value(1052, "job != 0", job != 0);
    __cil_add_pred_value(1053, "next != 0", next != 0);
    __cil_add_pred_value(1054, "index", index);
    __cil_add_pred_value(1055, "index >= length", index >= length);
    __cil_add_pred_value(1056, "(double )ratio > 1.0", (double )ratio > 1.0);
    __cil_add_pred_value(1057, "(double )ratio < 0.0", (double )ratio < 0.0);
    __cil_add_pred_value(1058, "prio < 0", prio < 0);
    __cil_add_pred_value(1059, "prio > 3", prio > 3);
    __cil_add_pred_value(1060, "current_job", current_job);
    __cil_add_pred_value(1061, "! current_job", ! current_job);
    if (prio < 0) {
      __cil_begin_pred_values(173, "./schedule2.i", "get_process");
      __cil_add_pred_value(1062, "current_job != 0", current_job != 0);
      __cil_add_pred_value(1063, "job != 0", job != 0);
      __cil_add_pred_value(1064, "next != 0", next != 0);
      __cil_add_pred_value(1065, "index", index);
      __cil_add_pred_value(1066, "index >= length", index >= length);
      __cil_add_pred_value(1067, "(double )ratio > 1.0", (double )ratio > 1.0);
      __cil_add_pred_value(1068, "(double )ratio < 0.0", (double )ratio < 0.0);
      __cil_add_pred_value(1069, "prio < 0", prio < 0);
      __cil_add_pred_value(1070, "prio > 3", prio > 3);
      __cil_add_pred_value(1071, "current_job", current_job);
      __cil_add_pred_value(1072, "! current_job", ! current_job);
      return (-4);
    }
  }
  __cil_begin_pred_values(163, "./schedule2.i", "get_process");
  __cil_add_pred_value(952, "current_job != 0", current_job != 0);
  __cil_add_pred_value(953, "job != 0", job != 0);
  __cil_add_pred_value(954, "next != 0", next != 0);
  __cil_add_pred_value(955, "index", index);
  __cil_add_pred_value(956, "index >= length", index >= length);
  __cil_add_pred_value(957, "(double )ratio > 1.0", (double )ratio > 1.0);
  __cil_add_pred_value(958, "(double )ratio < 0.0", (double )ratio < 0.0);
  __cil_add_pred_value(959, "prio < 0", prio < 0);
  __cil_add_pred_value(960, "prio > 3", prio > 3);
  __cil_add_pred_value(961, "current_job", current_job);
  __cil_add_pred_value(962, "! current_job", ! current_job);
  if ((double )ratio < 0.0) {
    __cil_begin_pred_values(174, "./schedule2.i", "get_process");
    __cil_add_pred_value(1073, "current_job != 0", current_job != 0);
    __cil_add_pred_value(1074, "job != 0", job != 0);
    __cil_add_pred_value(1075, "next != 0", next != 0);
    __cil_add_pred_value(1076, "index", index);
    __cil_add_pred_value(1077, "index >= length", index >= length);
    __cil_add_pred_value(1078, "(double )ratio > 1.0", (double )ratio > 1.0);
    __cil_add_pred_value(1079, "(double )ratio < 0.0", (double )ratio < 0.0);
    __cil_add_pred_value(1080, "prio < 0", prio < 0);
    __cil_add_pred_value(1081, "prio > 3", prio > 3);
    __cil_add_pred_value(1082, "current_job", current_job);
    __cil_add_pred_value(1083, "! current_job", ! current_job);
    return (-5);
  } else {
    __cil_begin_pred_values(175, "./schedule2.i", "get_process");
    __cil_add_pred_value(1084, "current_job != 0", current_job != 0);
    __cil_add_pred_value(1085, "job != 0", job != 0);
    __cil_add_pred_value(1086, "next != 0", next != 0);
    __cil_add_pred_value(1087, "index", index);
    __cil_add_pred_value(1088, "index >= length", index >= length);
    __cil_add_pred_value(1089, "(double )ratio > 1.0", (double )ratio > 1.0);
    __cil_add_pred_value(1090, "(double )ratio < 0.0", (double )ratio < 0.0);
    __cil_add_pred_value(1091, "prio < 0", prio < 0);
    __cil_add_pred_value(1092, "prio > 3", prio > 3);
    __cil_add_pred_value(1093, "current_job", current_job);
    __cil_add_pred_value(1094, "! current_job", ! current_job);
    if ((double )ratio > 1.0) {
      __cil_begin_pred_values(176, "./schedule2.i", "get_process");
      __cil_add_pred_value(1095, "current_job != 0", current_job != 0);
      __cil_add_pred_value(1096, "job != 0", job != 0);
      __cil_add_pred_value(1097, "next != 0", next != 0);
      __cil_add_pred_value(1098, "index", index);
      __cil_add_pred_value(1099, "index >= length", index >= length);
      __cil_add_pred_value(1100, "(double )ratio > 1.0", (double )ratio > 1.0);
      __cil_add_pred_value(1101, "(double )ratio < 0.0", (double )ratio < 0.0);
      __cil_add_pred_value(1102, "prio < 0", prio < 0);
      __cil_add_pred_value(1103, "prio > 3", prio > 3);
      __cil_add_pred_value(1104, "current_job", current_job);
      __cil_add_pred_value(1105, "! current_job", ! current_job);
      return (-5);
    }
  }
  __cil_begin_pred_values(164, "./schedule2.i", "get_process");
  __cil_add_pred_value(963, "current_job != 0", current_job != 0);
  __cil_add_pred_value(964, "job != 0", job != 0);
  __cil_add_pred_value(965, "next != 0", next != 0);
  __cil_add_pred_value(966, "index", index);
  __cil_add_pred_value(967, "index >= length", index >= length);
  __cil_add_pred_value(968, "(double )ratio > 1.0", (double )ratio > 1.0);
  __cil_add_pred_value(969, "(double )ratio < 0.0", (double )ratio < 0.0);
  __cil_add_pred_value(970, "prio < 0", prio < 0);
  __cil_add_pred_value(971, "prio > 3", prio > 3);
  __cil_add_pred_value(972, "current_job", current_job);
  __cil_add_pred_value(973, "! current_job", ! current_job);
  length = prio_queue[prio].length;
  __cil_begin_pred_values(165, "./schedule2.i", "get_process");
  __cil_add_pred_value(974, "current_job != 0", current_job != 0);
  __cil_add_pred_value(975, "job != 0", job != 0);
  __cil_add_pred_value(976, "next != 0", next != 0);
  __cil_add_pred_value(977, "index", index);
  __cil_add_pred_value(978, "index >= length", index >= length);
  __cil_add_pred_value(979, "(double )ratio > 1.0", (double )ratio > 1.0);
  __cil_add_pred_value(980, "(double )ratio < 0.0", (double )ratio < 0.0);
  __cil_add_pred_value(981, "prio < 0", prio < 0);
  __cil_add_pred_value(982, "prio > 3", prio > 3);
  __cil_add_pred_value(983, "current_job", current_job);
  __cil_add_pred_value(984, "! current_job", ! current_job);
  index = (int )(ratio * (float )length);
  __cil_begin_pred_values(166, "./schedule2.i", "get_process");
  __cil_add_pred_value(985, "current_job != 0", current_job != 0);
  __cil_add_pred_value(986, "job != 0", job != 0);
  __cil_add_pred_value(987, "next != 0", next != 0);
  __cil_add_pred_value(988, "index", index);
  __cil_add_pred_value(989, "index >= length", index >= length);
  __cil_add_pred_value(990, "(double )ratio > 1.0", (double )ratio > 1.0);
  __cil_add_pred_value(991, "(double )ratio < 0.0", (double )ratio < 0.0);
  __cil_add_pred_value(992, "prio < 0", prio < 0);
  __cil_add_pred_value(993, "prio > 3", prio > 3);
  __cil_add_pred_value(994, "current_job", current_job);
  __cil_add_pred_value(995, "! current_job", ! current_job);
  if (index >= length) {
    __cil_begin_pred_values(177, "./schedule2.i", "get_process");
    __cil_add_pred_value(1106, "current_job != 0", current_job != 0);
    __cil_add_pred_value(1107, "job != 0", job != 0);
    __cil_add_pred_value(1108, "next != 0", next != 0);
    __cil_add_pred_value(1109, "index", index);
    __cil_add_pred_value(1110, "index >= length", index >= length);
    __cil_add_pred_value(1111, "(double )ratio > 1.0", (double )ratio > 1.0);
    __cil_add_pred_value(1112, "(double )ratio < 0.0", (double )ratio < 0.0);
    __cil_add_pred_value(1113, "prio < 0", prio < 0);
    __cil_add_pred_value(1114, "prio > 3", prio > 3);
    __cil_add_pred_value(1115, "current_job", current_job);
    __cil_add_pred_value(1116, "! current_job", ! current_job);
    index = length - 1;
  } else {
    __cil_begin_pred_values(178, "./schedule2.i", "get_process");
    __cil_add_pred_value(1117, "current_job != 0", current_job != 0);
    __cil_add_pred_value(1118, "job != 0", job != 0);
    __cil_add_pred_value(1119, "next != 0", next != 0);
    __cil_add_pred_value(1120, "index", index);
    __cil_add_pred_value(1121, "index >= length", index >= length);
    __cil_add_pred_value(1122, "(double )ratio > 1.0", (double )ratio > 1.0);
    __cil_add_pred_value(1123, "(double )ratio < 0.0", (double )ratio < 0.0);
    __cil_add_pred_value(1124, "prio < 0", prio < 0);
    __cil_add_pred_value(1125, "prio > 3", prio > 3);
    __cil_add_pred_value(1126, "current_job", current_job);
    __cil_add_pred_value(1127, "! current_job", ! current_job);
    index = index;
  }
  __cil_begin_pred_values(167, "./schedule2.i", "get_process");
  __cil_add_pred_value(996, "current_job != 0", current_job != 0);
  __cil_add_pred_value(997, "job != 0", job != 0);
  __cil_add_pred_value(998, "next != 0", next != 0);
  __cil_add_pred_value(999, "index", index);
  __cil_add_pred_value(1000, "index >= length", index >= length);
  __cil_add_pred_value(1001, "(double )ratio > 1.0", (double )ratio > 1.0);
  __cil_add_pred_value(1002, "(double )ratio < 0.0", (double )ratio < 0.0);
  __cil_add_pred_value(1003, "prio < 0", prio < 0);
  __cil_add_pred_value(1004, "prio > 3", prio > 3);
  __cil_add_pred_value(1005, "current_job", current_job);
  __cil_add_pred_value(1006, "! current_job", ! current_job);
  next = & prio_queue[prio].head;
  __cil_begin_pred_values(168, "./schedule2.i", "get_process");
  __cil_add_pred_value(1007, "current_job != 0", current_job != 0);
  __cil_add_pred_value(1008, "job != 0", job != 0);
  __cil_add_pred_value(1009, "next != 0", next != 0);
  __cil_add_pred_value(1010, "index", index);
  __cil_add_pred_value(1011, "index >= length", index >= length);
  __cil_add_pred_value(1012, "(double )ratio > 1.0", (double )ratio > 1.0);
  __cil_add_pred_value(1013, "(double )ratio < 0.0", (double )ratio < 0.0);
  __cil_add_pred_value(1014, "prio < 0", prio < 0);
  __cil_add_pred_value(1015, "prio > 3", prio > 3);
  __cil_add_pred_value(1016, "current_job", current_job);
  __cil_add_pred_value(1017, "! current_job", ! current_job);
  while (1) {
    __cil_begin_pred_values(179, "./schedule2.i", "get_process");
    __cil_add_pred_value(1128, "current_job != 0", current_job != 0);
    __cil_add_pred_value(1129, "job != 0", job != 0);
    __cil_add_pred_value(1130, "next != 0", next != 0);
    __cil_add_pred_value(1131, "index", index);
    __cil_add_pred_value(1132, "index >= length", index >= length);
    __cil_add_pred_value(1133, "(double )ratio > 1.0", (double )ratio > 1.0);
    __cil_add_pred_value(1134, "(double )ratio < 0.0", (double )ratio < 0.0);
    __cil_add_pred_value(1135, "prio < 0", prio < 0);
    __cil_add_pred_value(1136, "prio > 3", prio > 3);
    __cil_add_pred_value(1137, "current_job", current_job);
    __cil_add_pred_value(1138, "! current_job", ! current_job);
    if (index) {
      __cil_begin_pred_values(182, "./schedule2.i", "get_process");
      __cil_add_pred_value(1161, "current_job != 0", current_job != 0);
      __cil_add_pred_value(1162, "job != 0", job != 0);
      __cil_add_pred_value(1163, "next != 0", next != 0);
      __cil_add_pred_value(1164, "index", index);
      __cil_add_pred_value(1165, "index >= length", index >= length);
      __cil_add_pred_value(1166, "(double )ratio > 1.0", (double )ratio > 1.0);
      __cil_add_pred_value(1167, "(double )ratio < 0.0", (double )ratio < 0.0);
      __cil_add_pred_value(1168, "prio < 0", prio < 0);
      __cil_add_pred_value(1169, "prio > 3", prio > 3);
      __cil_add_pred_value(1170, "current_job", current_job);
      __cil_add_pred_value(1171, "! current_job", ! current_job);
      if (! *next) {
        __cil_begin_pred_values(183, "./schedule2.i", "get_process");
        __cil_add_pred_value(1172, "next != 0", next != 0);
        __cil_add_pred_value(1173, "current_job != 0", current_job != 0);
        __cil_add_pred_value(1174, "job != 0", job != 0);
        __cil_add_pred_value(1175, "index", index);
        __cil_add_pred_value(1176, "index >= length", index >= length);
        __cil_add_pred_value(1177, "(double )ratio > 1.0", (double )ratio > 1.0);
        __cil_add_pred_value(1178, "(double )ratio < 0.0", (double )ratio < 0.0);
        __cil_add_pred_value(1179, "prio < 0", prio < 0);
        __cil_add_pred_value(1180, "prio > 3", prio > 3);
        __cil_add_pred_value(1181, "current_job", current_job);
        __cil_add_pred_value(1182, "! current_job", ! current_job);
        break;
      }
    } else {
      __cil_begin_pred_values(184, "./schedule2.i", "get_process");
      __cil_add_pred_value(1183, "next != 0", next != 0);
      __cil_add_pred_value(1184, "current_job != 0", current_job != 0);
      __cil_add_pred_value(1185, "job != 0", job != 0);
      __cil_add_pred_value(1186, "index", index);
      __cil_add_pred_value(1187, "index >= length", index >= length);
      __cil_add_pred_value(1188, "(double )ratio > 1.0", (double )ratio > 1.0);
      __cil_add_pred_value(1189, "(double )ratio < 0.0", (double )ratio < 0.0);
      __cil_add_pred_value(1190, "prio < 0", prio < 0);
      __cil_add_pred_value(1191, "prio > 3", prio > 3);
      __cil_add_pred_value(1192, "current_job", current_job);
      __cil_add_pred_value(1193, "! current_job", ! current_job);
      break;
    }
    __cil_begin_pred_values(180, "./schedule2.i", "get_process");
    __cil_add_pred_value(1139, "current_job != 0", current_job != 0);
    __cil_add_pred_value(1140, "job != 0", job != 0);
    __cil_add_pred_value(1141, "next != 0", next != 0);
    __cil_add_pred_value(1142, "index", index);
    __cil_add_pred_value(1143, "index >= length", index >= length);
    __cil_add_pred_value(1144, "(double )ratio > 1.0", (double )ratio > 1.0);
    __cil_add_pred_value(1145, "(double )ratio < 0.0", (double )ratio < 0.0);
    __cil_add_pred_value(1146, "prio < 0", prio < 0);
    __cil_add_pred_value(1147, "prio > 3", prio > 3);
    __cil_add_pred_value(1148, "current_job", current_job);
    __cil_add_pred_value(1149, "! current_job", ! current_job);
    next = & (*next)->next;
    __cil_begin_pred_values(181, "./schedule2.i", "get_process");
    __cil_add_pred_value(1150, "current_job != 0", current_job != 0);
    __cil_add_pred_value(1151, "job != 0", job != 0);
    __cil_add_pred_value(1152, "next != 0", next != 0);
    __cil_add_pred_value(1153, "index", index);
    __cil_add_pred_value(1154, "index >= length", index >= length);
    __cil_add_pred_value(1155, "(double )ratio > 1.0", (double )ratio > 1.0);
    __cil_add_pred_value(1156, "(double )ratio < 0.0", (double )ratio < 0.0);
    __cil_add_pred_value(1157, "prio < 0", prio < 0);
    __cil_add_pred_value(1158, "prio > 3", prio > 3);
    __cil_add_pred_value(1159, "current_job", current_job);
    __cil_add_pred_value(1160, "! current_job", ! current_job);
    index --;
  }
  __cil_begin_pred_values(169, "./schedule2.i", "get_process");
  __cil_add_pred_value(1018, "current_job != 0", current_job != 0);
  __cil_add_pred_value(1019, "job != 0", job != 0);
  __cil_add_pred_value(1020, "next != 0", next != 0);
  __cil_add_pred_value(1021, "index", index);
  __cil_add_pred_value(1022, "index >= length", index >= length);
  __cil_add_pred_value(1023, "(double )ratio > 1.0", (double )ratio > 1.0);
  __cil_add_pred_value(1024, "(double )ratio < 0.0", (double )ratio < 0.0);
  __cil_add_pred_value(1025, "prio < 0", prio < 0);
  __cil_add_pred_value(1026, "prio > 3", prio > 3);
  __cil_add_pred_value(1027, "current_job", current_job);
  __cil_add_pred_value(1028, "! current_job", ! current_job);
  *job = *next;
  __cil_begin_pred_values(170, "./schedule2.i", "get_process");
  __cil_add_pred_value(1029, "current_job != 0", current_job != 0);
  __cil_add_pred_value(1030, "job != 0", job != 0);
  __cil_add_pred_value(1031, "next != 0", next != 0);
  __cil_add_pred_value(1032, "index", index);
  __cil_add_pred_value(1033, "index >= length", index >= length);
  __cil_add_pred_value(1034, "(double )ratio > 1.0", (double )ratio > 1.0);
  __cil_add_pred_value(1035, "(double )ratio < 0.0", (double )ratio < 0.0);
  __cil_add_pred_value(1036, "prio < 0", prio < 0);
  __cil_add_pred_value(1037, "prio > 3", prio > 3);
  __cil_add_pred_value(1038, "current_job", current_job);
  __cil_add_pred_value(1039, "! current_job", ! current_job);
  if (*job) {
    __cil_begin_pred_values(185, "./schedule2.i", "get_process");
    __cil_add_pred_value(1194, "job != 0", job != 0);
    __cil_add_pred_value(1195, "next != 0", next != 0);
    __cil_add_pred_value(1196, "current_job != 0", current_job != 0);
    __cil_add_pred_value(1197, "index", index);
    __cil_add_pred_value(1198, "index >= length", index >= length);
    __cil_add_pred_value(1199, "(double )ratio > 1.0", (double )ratio > 1.0);
    __cil_add_pred_value(1200, "(double )ratio < 0.0", (double )ratio < 0.0);
    __cil_add_pred_value(1201, "prio < 0", prio < 0);
    __cil_add_pred_value(1202, "prio > 3", prio > 3);
    __cil_add_pred_value(1203, "current_job", current_job);
    __cil_add_pred_value(1204, "! current_job", ! current_job);
    *next = (*next)->next;
    __cil_begin_pred_values(186, "./schedule2.i", "get_process");
    __cil_add_pred_value(1205, "job != 0", job != 0);
    __cil_add_pred_value(1206, "next != 0", next != 0);
    __cil_add_pred_value(1207, "current_job != 0", current_job != 0);
    __cil_add_pred_value(1208, "index", index);
    __cil_add_pred_value(1209, "index >= length", index >= length);
    __cil_add_pred_value(1210, "(double )ratio > 1.0", (double )ratio > 1.0);
    __cil_add_pred_value(1211, "(double )ratio < 0.0", (double )ratio < 0.0);
    __cil_add_pred_value(1212, "prio < 0", prio < 0);
    __cil_add_pred_value(1213, "prio > 3", prio > 3);
    __cil_add_pred_value(1214, "current_job", current_job);
    __cil_add_pred_value(1215, "! current_job", ! current_job);
    (*job)->next = (struct process *)0;
    __cil_begin_pred_values(187, "./schedule2.i", "get_process");
    __cil_add_pred_value(1216, "job != 0", job != 0);
    __cil_add_pred_value(1217, "next != 0", next != 0);
    __cil_add_pred_value(1218, "current_job != 0", current_job != 0);
    __cil_add_pred_value(1219, "index", index);
    __cil_add_pred_value(1220, "index >= length", index >= length);
    __cil_add_pred_value(1221, "(double )ratio > 1.0", (double )ratio > 1.0);
    __cil_add_pred_value(1222, "(double )ratio < 0.0", (double )ratio < 0.0);
    __cil_add_pred_value(1223, "prio < 0", prio < 0);
    __cil_add_pred_value(1224, "prio > 3", prio > 3);
    __cil_add_pred_value(1225, "current_job", current_job);
    __cil_add_pred_value(1226, "! current_job", ! current_job);
    (prio_queue[prio].length) --;
    __cil_begin_pred_values(188, "./schedule2.i", "get_process");
    __cil_add_pred_value(1227, "job != 0", job != 0);
    __cil_add_pred_value(1228, "next != 0", next != 0);
    __cil_add_pred_value(1229, "current_job != 0", current_job != 0);
    __cil_add_pred_value(1230, "index", index);
    __cil_add_pred_value(1231, "index >= length", index >= length);
    __cil_add_pred_value(1232, "(double )ratio > 1.0", (double )ratio > 1.0);
    __cil_add_pred_value(1233, "(double )ratio < 0.0", (double )ratio < 0.0);
    __cil_add_pred_value(1234, "prio < 0", prio < 0);
    __cil_add_pred_value(1235, "prio > 3", prio > 3);
    __cil_add_pred_value(1236, "current_job", current_job);
    __cil_add_pred_value(1237, "! current_job", ! current_job);
    return (1);
  } else {
    __cil_begin_pred_values(189, "./schedule2.i", "get_process");
    __cil_add_pred_value(1238, "job != 0", job != 0);
    __cil_add_pred_value(1239, "next != 0", next != 0);
    __cil_add_pred_value(1240, "current_job != 0", current_job != 0);
    __cil_add_pred_value(1241, "index", index);
    __cil_add_pred_value(1242, "index >= length", index >= length);
    __cil_add_pred_value(1243, "(double )ratio > 1.0", (double )ratio > 1.0);
    __cil_add_pred_value(1244, "(double )ratio < 0.0", (double )ratio < 0.0);
    __cil_add_pred_value(1245, "prio < 0", prio < 0);
    __cil_add_pred_value(1246, "prio > 3", prio > 3);
    __cil_add_pred_value(1247, "current_job", current_job);
    __cil_add_pred_value(1248, "! current_job", ! current_job);
    return (0);
  }
}
}
