#! bin/bash

prog=tcas
gcc -o ../source/$prog.exe ../source/$prog.c
rm ../outputs/* -rf
mkdir ../outputs/oracle
bash runalltimeout.sh
mv ../outputs/t* ../outputs/oracle/

echo -n "" > mukill
for mufile in ../mutants/*.c
do
    rm ../source/$prog.exe
    gcc -o ../source/$prog.exe $mufile
    rm ../outputs/t*    
    bash runalltimeout.sh
    for i in {1..1608}
    do
        if [ -e ../outputs/t$i ]; then
            dr=`diff ../outputs/oracle/t$i ../outputs/t$i | wc -l`
            if [ $dr -eq 0 ]; then
                echo -n "0," >> mukill
            else
                echo -n "1," >> mukill
            fi
        else
            echo -n "1," >> mukill
        fi
 
    done
    echo "" >> mukill
done
