import random
import sys
from sets import Set

tccoverages = open(sys.argv[1]).readlines()
bbnum = len(tccoverages[0].strip().split(',')) -1 # -1, because lines end with a comma
ofilename=sys.argv[3]

MAXSIZE = 50
sizes = range(1,MAXSIZE + 1)
MAXITER = 100
#print sizes
testSuites = []

# load test suites
lines=open(sys.argv[2]).readlines()
for line in lines:
    line=line.strip()
    line=line.strip(',')
    parts=line.split(',')
    arr=[]
    for p in parts:
        arr.append(int(p))
    testSuites.append(arr)

# load cov data
covdata=[]
lines=open(sys.argv[1]).readlines()
for line in lines:
    line=line.strip()
    line=line.strip(',')
    parts=line.split(',')
    arr=[]
    for p in parts:
        arr.append(int(p))
    covdata.append(arr)

uniqdbb=[]

def computeDBBEx(ts):
    tmp=[]
    for i in range((bbnum)):
        arr=[]
        for tc in ts:
            arr.append(covdata[tc][i])
        tmp.append(arr)
    #print(tmp)
    c=[]
    keys=[]
    #print(bbnum)
    for i in range(bbnum):
        index=-1
        for k in range(len(keys)):
            #print k, i
            if keys[k]==tmp[i]:
                index=k
                break         
        if index > -1:
            c[index].append(i)
        else:
            keys.append(tmp[i])
            c.append([i])
    #print(c)
    global uniqdbb
    #bfound=False
    for ce in c:
        bfound=False
        for dbb in uniqdbb:
            if ce==dbb:
              bfound=True
              break
        if not bfound:
            uniqdbb.append(ce) 

    #print(uniqdbb)
    return len(c)
        
        
#n = 0
#for size in sizes:
#    print "Size:" ,size
#    for j in range(0,MAXITER):
#        n = n +1
#        testSuites.append(random.sample(xrange(len(tccoverages)), size))
        
# print "n", testSuites

def setEqual(s1, s2):
    return len(s1) == len(s2) and s1.issubset(s2) and s2.issubset(s1)

def computeDBB(ts):
    dbb = 0
    relation = []
    for i in range(0,bbnum):
        relation.append([])

    for tc in ts:
        cov = tccoverages[tc].strip()
        bbs = cov.split(",")
        for bi in range(0,bbnum):
            if bbs[bi] == "1":
                relation[bi].append(tc)

    relSet = []
    for i in range(0,bbnum):
        #print relation[i];
        if relation[i] != []:
            relSet.append(Set(relation[i]))
    masked = []
    for i in range(0,len(relSet)):
        if i not in masked:
            dbb += 1
        for j in range(i+1, len(relSet)):
            if j not in masked:
                if setEqual(relSet[i], relSet[j]):
                    masked.append(j)
    print(relSet)
    return dbb


outf=open(ofilename,'w')
for ts in testSuites:
  #print(ts)
  size=len(ts)
  num_dbb=computeDBBEx(ts)
  outf.write('%d,%d\n'%(size,num_dbb))    
  #print "ts =" , ts
  #print "ts_size =" , len(ts)
  #print "#dbb =", computeDBB(ts)
outf.close() 
#print(uniqdbb)  
print(len(uniqdbb))     
    


