
import commands
import string
import subprocess
import myutils
import os
import sys
import glob

maxlen=0
#--------------------------------------------------------
def getLineCoverage(filename):
    s=''
    f = open(filename)
    lines = f.readlines()
    f.close()
    
    for line in lines:
        newline=line.strip()
        lineno=newline.split(':')[1].strip()
        lineno=int(lineno)
        if lineno >=1:
          if newline[0] != '-' and newline[0] != '#':
            s+='1,'
          else:
            s+='0,'
    global maxlen        
    if maxlen==0:
      maxlen=len(s)
    else:
      assert(maxlen==len(s))
    return s
#--------------------------------------------------------
progname=sys.argv[1]
targetdir=sys.argv[2]
files=glob.glob('%s/%s.c.gcov.*'%(targetdir,progname))
numfiles=len(files)
for i in range(1,numfiles+1):
  f='%s/%s.c.gcov.%d'%(targetdir,progname,i)
  cov=getLineCoverage(f)
  if cov.find('1')>=0:
    myutils.appendline2file('%s/line.cov'%(targetdir),cov)

