oldmymethoddirs={
    '/media/148C54428C542112/ISSTA2013DATA/covbasedtestcasedata/schedule', ...   
 	'/media/148C54428C542112/ISSTA2013DATA/covbasedtestcasedata/schedule2', ...
    '/media/148C54428C542112/ISSTA2013DATA/covbasedtestcasedata/replace', ...
    '/media/148C54428C542112/ISSTA2013DATA/covbasedtestcasedata/printtokens',...
    '/media/148C54428C542112/ISSTA2013DATA/covbasedtestcasedata/printtokens2',... 
    '/media/148C54428C542112/ISSTA2013DATA/covbasedtestcasedata/tcas',...
    '/media/148C54428C542112/ISSTA2013DATA/covbasedtestcasedata/totinfo_2.0', ...
    '/media/148C54428C542112/ISSTA2013DATA/covbasedtestcasedata/space', ...
    '/media/148C54428C542112/ISSTA2013DATA/covbasedtestcasedata/yaffs2tester',...
	'/media/148C54428C542112/ISSTA2013DATA/covbasedtestcasedata/sglibtester',...
    '/media/148C54428C542112/ISSTA2013DATA/covbasedtestcasedata/SQLite'
    };
oldalldirs={
    '/media/148C54428C542112/ISSTA2013DATA/correlationdata/schedule', ...   
 	'/media/148C54428C542112/ISSTA2013DATA/correlationdata/schedule2', ...
    '/media/148C54428C542112/ISSTA2013DATA/correlationdata/replace', ...
    '/media/148C54428C542112/ISSTA2013DATA/correlationdata/printtokens',...
    '/media/148C54428C542112/ISSTA2013DATA/correlationdata/printtokens2',... 
    '/media/148C54428C542112/ISSTA2013DATA/correlationdata/tcas',...
    '/media/148C54428C542112/ISSTA2013DATA/correlationdata/totinfo_2.0', ...
    '/media/148C54428C542112/ISSTA2013DATA/correlationdata/space', ...
    '/media/148C54428C542112/ISSTA2013DATA/correlationdata/yaffs2tester',...
	'/media/148C54428C542112/ISSTA2013DATA/correlationdata/sglibtester',...
    '/media/148C54428C542112/ISSTA2013DATA/correlationdata/SQLite'
    };


subdirs = { 
    'subjects/schedule/scripts/', ...   
 	'subjects/schedule2/scripts/', ...
    'subjects/replace/scripts/', ...
    'subjects/printtokens/scripts/',...
    'subjects/printtokens2/scripts/', ...
    'subjects/tcas/scripts/',...
    'subjects/totinfo_2.0/totinfo/scripts/', ...
    'subjects/space/source/', ...
    'subjects/yaffs2tester/w200/coverage',...    
	'subjects/sglibtester/experiment/rbtree/',...
    'subjects/SQLite-7fac56ed9feda819/'
    };

%fsrsquare=fopen('fsrsquare_new','w+');
%fsSpearman=fopen('fsSpearman_new','w+');
% headers
%fprintf(fsrsquare, 'Size Block Branch PCT(BB) PCT(ST) Path TPath');
%fprintf(fsSpearman, 'Size Block Branch PCT(BB) PCT(ST) Path TPath');
all=[];
for subidx = 1:11%size(subnames,2)
  r=[];
  linecov=load(sprintf('%s/mymethodcov_line',char(subdirs(subidx))));
  linesize=load(sprintf('%s/allcov_line',char(subdirs(subidx))));
  dbbcov=load(sprintf('%s/dbb_covbased',char(subdirs(subidx))));
  dbbsize=load(sprintf('%s/dbb',char(subdirs(subidx))));

  oldmymethod=load(sprintf('%s/allcov',char(oldmymethoddirs(subidx))));
  oldall=load(sprintf('%s/allcov',char(oldalldirs(subidx))));
  
  % size
  x=corr(linecov(:,end), linecov(:,1),'type','Spearman');
    r=[r,x];
	
    x=corr(linesize(:,end), linesize(:,1),'type','Spearman');
	r=[r,x];
    
  % dbb
    x=corr(linecov(:,end), dbbcov(:,2),'type','Spearman');
    r=[r,x];
	
    x=corr(linesize(:,end), dbbsize(:,2),'type','Spearman');
	r=[r,x];
    
  % statement
    x=corr(linecov(:,end), linecov(:,2),'type','Spearman');
    r=[r,x];
	
    x=corr(linesize(:,end), linesize(:,2),'type','Spearman');
	r=[r,x];
    
   % branch    
     x=corr(oldmymethod(:,end), oldmymethod(:,3),'type','Spearman');
    r=[r,x];
	
    x=corr(oldall(:,end), oldall(:,3),'type','Spearman');
	r=[r,x];
    
    % IMP    
     x=corr(oldmymethod(:,end), oldmymethod(:,6),'type','Spearman');
    r=[r,x];
	
    x=corr(oldall(:,end), oldall(:,6),'type','Spearman');
	r=[r,x];
    
    % AIMP    
     x=corr(oldmymethod(:,end), oldmymethod(:,7),'type','Spearman');
    r=[r,x];
	
    x=corr(oldall(:,end), oldall(:,7),'type','Spearman');
	r=[r,x];
    
    
    % PCT(BB)    
     x=corr(oldmymethod(:,end), oldmymethod(:,4),'type','Spearman');
    r=[r,x];
	
    x=corr(oldall(:,end), oldall(:,4),'type','Spearman');
	r=[r,x];
    
    % PCT(ST)    
     x=corr(oldmymethod(:,end), oldmymethod(:,5),'type','Spearman');
    r=[r,x];
	
    x=corr(oldall(:,end), oldall(:,5),'type','Spearman');
	r=[r,x];
    all=[all;r];
    
    %all
end

fdbb=fopen('spearman.csv','w+');

for i =1:size(all,1)
   for j=1:size(all,2)
        fprintf(fdbb,' %.3f,', all(i,j));        
   end;
   fprintf(fdbb,'\n');
end
fclose(fdbb);
