#!/bin/bash 
#
# build.sh: build replace with instrumentation
#
# Copyright (C) 2011-2013 Oregon State University.
#
# Created by Chaoqiang Zhang <zhangch@eecs.oregonstate.edu>
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#

CIL=../cil-1.3.7/bin/cilly
types=( block branch acyclicpath path pred predStmt )
for type in  "${types[@]}"
do
    echo $type
    $CIL -c --save-temps --do${type}Cov --noPrintLn replace.c
    mv replace.cil.c replace.$type.cil.c

    gcc -o replace.$type.exe replace.$type.cil.c  ../coveragehooks/covhooks.cpp -lstdc++ 
    replace.$type.exe 'abc' 'def' < file.inp
done


