#!/bin/bash

# build ocaml and cil
# 

dir=`pwd`

tar xzvf ocaml-3.11.2.tar.gz
cd ${dir}/ocaml*
./configure --prefix $HOME
make clean
make world
make opt
make install

cd ${dir}
tar xzvf cil-1.3.7.tar.gz
cd ${dir}/cil-1.3.7
./configure EXTRASRCDIRS=${dir}/cilextensions/coverage EXTRAFEATURES="blockCov branchCov pathCov acyclicpathCov predCov predStmtCov"
make
make

#cd ${dir}
#tar xzvf gmp-5.0.1.tar.gz
#cd ${dir}/gmp*
#configure prefix=$HOME
#make
#make install
#make check

#cd ${dir}/coveragehooks/src
#make
